# `datadog_dashboard`

Refer to the Terraform Registory for docs: [`datadog_dashboard`](https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard).

# `dashboard` Submodule <a name="`dashboard` Submodule" id="@cdktf/provider-datadog.dashboard"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### Dashboard <a name="Dashboard" id="@cdktf/provider-datadog.dashboard.Dashboard"></a>

Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard datadog_dashboard}.

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.Dashboard(scope: Construct, id: string, config: DashboardConfig)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | The scope in which to define this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id">id</a></code> | <code>string</code> | The scoped construct ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.config">config</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig">DashboardConfig</a></code> | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.id"></a>

- *Type:* string

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `config`<sup>Required</sup> <a name="config" id="@cdktf/provider-datadog.dashboard.Dashboard.Initializer.parameter.config"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardConfig">DashboardConfig</a>

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toString">toString</a></code> | Returns a string representation of this construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.addOverride">addOverride</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId">overrideLogicalId</a></code> | Overrides the auto-generated logical ID with a specific ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId">resetOverrideLogicalId</a></code> | Resets a previously passed logical Id to use the auto-generated logical id again. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toMetadata">toMetadata</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.toTerraform">toTerraform</a></code> | Adds this resource to the terraform JSON output. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable">putTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset">putTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.putWidget">putWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists">resetDashboardLists</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetDescription">resetDescription</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetId">resetId</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly">resetIsReadOnly</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList">resetNotifyList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType">resetReflowType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles">resetRestrictedRoles</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable">resetTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset">resetTemplateVariablePreset</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetUrl">resetUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.resetWidget">resetWidget</a></code> | *No description.* |

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.Dashboard.toString"></a>

```typescript
public toString(): string
```

Returns a string representation of this construct.

##### `addOverride` <a name="addOverride" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride"></a>

```typescript
public addOverride(path: string, value: any): void
```

###### `path`<sup>Required</sup> <a name="path" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.path"></a>

- *Type:* string

---

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.addOverride.parameter.value"></a>

- *Type:* any

---

##### `overrideLogicalId` <a name="overrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId"></a>

```typescript
public overrideLogicalId(newLogicalId: string): void
```

Overrides the auto-generated logical ID with a specific ID.

###### `newLogicalId`<sup>Required</sup> <a name="newLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.overrideLogicalId.parameter.newLogicalId"></a>

- *Type:* string

The new logical ID to use for this stack element.

---

##### `resetOverrideLogicalId` <a name="resetOverrideLogicalId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetOverrideLogicalId"></a>

```typescript
public resetOverrideLogicalId(): void
```

Resets a previously passed logical Id to use the auto-generated logical id again.

##### `toMetadata` <a name="toMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.toMetadata"></a>

```typescript
public toMetadata(): any
```

##### `toTerraform` <a name="toTerraform" id="@cdktf/provider-datadog.dashboard.Dashboard.toTerraform"></a>

```typescript
public toTerraform(): any
```

Adds this resource to the terraform JSON output.

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.Dashboard.interpolationForAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `putTemplateVariable` <a name="putTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable"></a>

```typescript
public putTemplateVariable(value: IResolvable | DashboardTemplateVariable[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariable.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]

---

##### `putTemplateVariablePreset` <a name="putTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset"></a>

```typescript
public putTemplateVariablePreset(value: IResolvable | DashboardTemplateVariablePreset[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putTemplateVariablePreset.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]

---

##### `putWidget` <a name="putWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget"></a>

```typescript
public putWidget(value: IResolvable | DashboardWidget[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.Dashboard.putWidget.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>[]

---

##### `resetDashboardLists` <a name="resetDashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDashboardLists"></a>

```typescript
public resetDashboardLists(): void
```

##### `resetDescription` <a name="resetDescription" id="@cdktf/provider-datadog.dashboard.Dashboard.resetDescription"></a>

```typescript
public resetDescription(): void
```

##### `resetId` <a name="resetId" id="@cdktf/provider-datadog.dashboard.Dashboard.resetId"></a>

```typescript
public resetId(): void
```

##### `resetIsReadOnly` <a name="resetIsReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.resetIsReadOnly"></a>

```typescript
public resetIsReadOnly(): void
```

##### `resetNotifyList` <a name="resetNotifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.resetNotifyList"></a>

```typescript
public resetNotifyList(): void
```

##### `resetReflowType` <a name="resetReflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.resetReflowType"></a>

```typescript
public resetReflowType(): void
```

##### `resetRestrictedRoles` <a name="resetRestrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.resetRestrictedRoles"></a>

```typescript
public resetRestrictedRoles(): void
```

##### `resetTemplateVariable` <a name="resetTemplateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariable"></a>

```typescript
public resetTemplateVariable(): void
```

##### `resetTemplateVariablePreset` <a name="resetTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.resetTemplateVariablePreset"></a>

```typescript
public resetTemplateVariablePreset(): void
```

##### `resetUrl` <a name="resetUrl" id="@cdktf/provider-datadog.dashboard.Dashboard.resetUrl"></a>

```typescript
public resetUrl(): void
```

##### `resetWidget` <a name="resetWidget" id="@cdktf/provider-datadog.dashboard.Dashboard.resetWidget"></a>

```typescript
public resetWidget(): void
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isConstruct">isConstruct</a></code> | Checks if `x` is a construct. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement">isTerraformElement</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource">isTerraformResource</a></code> | *No description.* |

---

##### `isConstruct` <a name="isConstruct" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

dashboard.Dashboard.isConstruct(x: any)
```

Checks if `x` is a construct.

Use this method instead of `instanceof` to properly detect `Construct`
instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the `constructs` library on
disk are seen as independent, completely different libraries. As a
consequence, the class `Construct` in each copy of the `constructs` library
is seen as a different class, and an instance of one class will not test as
`instanceof` the other class. `npm install` will not create installations
like this, but users may manually symlink construct libraries together or
use a monorepo tool: in those cases, multiple copies of the `constructs`
library can be accidentally installed, and `instanceof` will behave
unpredictably. It is safest to avoid using `instanceof`, and using
this type-testing method instead.

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isConstruct.parameter.x"></a>

- *Type:* any

Any object.

---

##### `isTerraformElement` <a name="isTerraformElement" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

dashboard.Dashboard.isTerraformElement(x: any)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformElement.parameter.x"></a>

- *Type:* any

---

##### `isTerraformResource` <a name="isTerraformResource" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

dashboard.Dashboard.isTerraformResource(x: any)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.Dashboard.isTerraformResource.parameter.x"></a>

- *Type:* any

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack">cdktfStack</a></code> | <code>cdktf.TerraformStack</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId">friendlyUniqueId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments">terraformMetaArguments</a></code> | <code>{[ key: string ]: any}</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType">terraformResourceType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata">terraformGeneratorMetadata</a></code> | <code>cdktf.TerraformProviderGeneratorMetadata</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.connection">connection</a></code> | <code>cdktf.SSHProvisionerConnection \| cdktf.WinrmProvisionerConnection</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.count">count</a></code> | <code>number \| cdktf.TerraformCount</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn">dependsOn</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.forEach">forEach</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners">provisioners</a></code> | <code>cdktf.FileProvisioner \| cdktf.LocalExecProvisioner \| cdktf.RemoteExecProvisioner[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved">dashboardListsRemoved</a></code> | <code>number[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable">templateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset">templateVariablePreset</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput">dashboardListsInput</a></code> | <code>number[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput">descriptionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.idInput">idInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput">isReadOnlyInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput">layoutTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput">notifyListInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput">reflowTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput">restrictedRolesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput">templateVariableInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput">templateVariablePresetInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput">urlInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput">widgetInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists">dashboardLists</a></code> | <code>number[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.description">description</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.id">id</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly">isReadOnly</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType">layoutType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList">notifyList</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType">reflowType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles">restrictedRoles</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.url">url</a></code> | <code>string</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="@cdktf/provider-datadog.dashboard.Dashboard.property.node"></a>

```typescript
public readonly node: Node;
```

- *Type:* constructs.Node

The tree node.

---

##### `cdktfStack`<sup>Required</sup> <a name="cdktfStack" id="@cdktf/provider-datadog.dashboard.Dashboard.property.cdktfStack"></a>

```typescript
public readonly cdktfStack: TerraformStack;
```

- *Type:* cdktf.TerraformStack

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `friendlyUniqueId`<sup>Required</sup> <a name="friendlyUniqueId" id="@cdktf/provider-datadog.dashboard.Dashboard.property.friendlyUniqueId"></a>

```typescript
public readonly friendlyUniqueId: string;
```

- *Type:* string

---

##### `terraformMetaArguments`<sup>Required</sup> <a name="terraformMetaArguments" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformMetaArguments"></a>

```typescript
public readonly terraformMetaArguments: {[ key: string ]: any};
```

- *Type:* {[ key: string ]: any}

---

##### `terraformResourceType`<sup>Required</sup> <a name="terraformResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformResourceType"></a>

```typescript
public readonly terraformResourceType: string;
```

- *Type:* string

---

##### `terraformGeneratorMetadata`<sup>Optional</sup> <a name="terraformGeneratorMetadata" id="@cdktf/provider-datadog.dashboard.Dashboard.property.terraformGeneratorMetadata"></a>

```typescript
public readonly terraformGeneratorMetadata: TerraformProviderGeneratorMetadata;
```

- *Type:* cdktf.TerraformProviderGeneratorMetadata

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.Dashboard.property.connection"></a>

```typescript
public readonly connection: SSHProvisionerConnection | WinrmProvisionerConnection;
```

- *Type:* cdktf.SSHProvisionerConnection | cdktf.WinrmProvisionerConnection

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.Dashboard.property.count"></a>

```typescript
public readonly count: number | TerraformCount;
```

- *Type:* number | cdktf.TerraformCount

---

##### `dependsOn`<sup>Optional</sup> <a name="dependsOn" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dependsOn"></a>

```typescript
public readonly dependsOn: string[];
```

- *Type:* string[]

---

##### `forEach`<sup>Optional</sup> <a name="forEach" id="@cdktf/provider-datadog.dashboard.Dashboard.property.forEach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.Dashboard.property.lifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.Dashboard.property.provisioners"></a>

```typescript
public readonly provisioners: FileProvisioner | LocalExecProvisioner | RemoteExecProvisioner[];
```

- *Type:* cdktf.FileProvisioner | cdktf.LocalExecProvisioner | cdktf.RemoteExecProvisioner[]

---

##### `dashboardListsRemoved`<sup>Required</sup> <a name="dashboardListsRemoved" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsRemoved"></a>

```typescript
public readonly dashboardListsRemoved: number[];
```

- *Type:* number[]

---

##### `templateVariable`<sup>Required</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariable"></a>

```typescript
public readonly templateVariable: DashboardTemplateVariableList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList">DashboardTemplateVariableList</a>

---

##### `templateVariablePreset`<sup>Required</sup> <a name="templateVariablePreset" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePreset"></a>

```typescript
public readonly templateVariablePreset: DashboardTemplateVariablePresetList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList">DashboardTemplateVariablePresetList</a>

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widget"></a>

```typescript
public readonly widget: DashboardWidgetList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetList">DashboardWidgetList</a>

---

##### `dashboardListsInput`<sup>Optional</sup> <a name="dashboardListsInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardListsInput"></a>

```typescript
public readonly dashboardListsInput: number[];
```

- *Type:* number[]

---

##### `descriptionInput`<sup>Optional</sup> <a name="descriptionInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.descriptionInput"></a>

```typescript
public readonly descriptionInput: string;
```

- *Type:* string

---

##### `idInput`<sup>Optional</sup> <a name="idInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.idInput"></a>

```typescript
public readonly idInput: string;
```

- *Type:* string

---

##### `isReadOnlyInput`<sup>Optional</sup> <a name="isReadOnlyInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnlyInput"></a>

```typescript
public readonly isReadOnlyInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `layoutTypeInput`<sup>Optional</sup> <a name="layoutTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutTypeInput"></a>

```typescript
public readonly layoutTypeInput: string;
```

- *Type:* string

---

##### `notifyListInput`<sup>Optional</sup> <a name="notifyListInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyListInput"></a>

```typescript
public readonly notifyListInput: string[];
```

- *Type:* string[]

---

##### `reflowTypeInput`<sup>Optional</sup> <a name="reflowTypeInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowTypeInput"></a>

```typescript
public readonly reflowTypeInput: string;
```

- *Type:* string

---

##### `restrictedRolesInput`<sup>Optional</sup> <a name="restrictedRolesInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRolesInput"></a>

```typescript
public readonly restrictedRolesInput: string[];
```

- *Type:* string[]

---

##### `templateVariableInput`<sup>Optional</sup> <a name="templateVariableInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariableInput"></a>

```typescript
public readonly templateVariableInput: IResolvable | DashboardTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]

---

##### `templateVariablePresetInput`<sup>Optional</sup> <a name="templateVariablePresetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.templateVariablePresetInput"></a>

```typescript
public readonly templateVariablePresetInput: IResolvable | DashboardTemplateVariablePreset[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `urlInput`<sup>Optional</sup> <a name="urlInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.urlInput"></a>

```typescript
public readonly urlInput: string;
```

- *Type:* string

---

##### `widgetInput`<sup>Optional</sup> <a name="widgetInput" id="@cdktf/provider-datadog.dashboard.Dashboard.property.widgetInput"></a>

```typescript
public readonly widgetInput: IResolvable | DashboardWidget[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>[]

---

##### `dashboardLists`<sup>Required</sup> <a name="dashboardLists" id="@cdktf/provider-datadog.dashboard.Dashboard.property.dashboardLists"></a>

```typescript
public readonly dashboardLists: number[];
```

- *Type:* number[]

---

##### `description`<sup>Required</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.Dashboard.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.Dashboard.property.id"></a>

```typescript
public readonly id: string;
```

- *Type:* string

---

##### `isReadOnly`<sup>Required</sup> <a name="isReadOnly" id="@cdktf/provider-datadog.dashboard.Dashboard.property.isReadOnly"></a>

```typescript
public readonly isReadOnly: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.layoutType"></a>

```typescript
public readonly layoutType: string;
```

- *Type:* string

---

##### `notifyList`<sup>Required</sup> <a name="notifyList" id="@cdktf/provider-datadog.dashboard.Dashboard.property.notifyList"></a>

```typescript
public readonly notifyList: string[];
```

- *Type:* string[]

---

##### `reflowType`<sup>Required</sup> <a name="reflowType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.reflowType"></a>

```typescript
public readonly reflowType: string;
```

- *Type:* string

---

##### `restrictedRoles`<sup>Required</sup> <a name="restrictedRoles" id="@cdktf/provider-datadog.dashboard.Dashboard.property.restrictedRoles"></a>

```typescript
public readonly restrictedRoles: string[];
```

- *Type:* string[]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.Dashboard.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.Dashboard.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType">tfResourceType</a></code> | <code>string</code> | *No description.* |

---

##### `tfResourceType`<sup>Required</sup> <a name="tfResourceType" id="@cdktf/provider-datadog.dashboard.Dashboard.property.tfResourceType"></a>

```typescript
public readonly tfResourceType: string;
```

- *Type:* string

---

## Structs <a name="Structs" id="Structs"></a>

### DashboardConfig <a name="DashboardConfig" id="@cdktf/provider-datadog.dashboard.DashboardConfig"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardConfig.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardConfig: dashboard.DashboardConfig = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection">connection</a></code> | <code>cdktf.SSHProvisionerConnection \| cdktf.WinrmProvisionerConnection</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.count">count</a></code> | <code>number \| cdktf.TerraformCount</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn">dependsOn</a></code> | <code>cdktf.ITerraformDependable[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach">forEach</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners">provisioners</a></code> | <code>cdktf.FileProvisioner \| cdktf.LocalExecProvisioner \| cdktf.RemoteExecProvisioner[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType">layoutType</a></code> | <code>string</code> | The layout type of the dashboard. Valid values are `ordered`, `free`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.title">title</a></code> | <code>string</code> | The title of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists">dashboardLists</a></code> | <code>number[]</code> | A list of dashboard lists this dashboard belongs to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.description">description</a></code> | <code>string</code> | The description of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.id">id</a></code> | <code>string</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly">isReadOnly</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList">notifyList</a></code> | <code>string[]</code> | The list of handles for the users to notify when changes are made to this dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType">reflowType</a></code> | <code>string</code> | The reflow type of a new dashboard layout. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles">restrictedRoles</a></code> | <code>string[]</code> | UUIDs of roles whose associated users are authorized to edit the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable">templateVariable</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]</code> | template_variable block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset">templateVariablePreset</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]</code> | template_variable_preset block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.url">url</a></code> | <code>string</code> | The URL of the dashboard. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget">widget</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>[]</code> | widget block. |

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.connection"></a>

```typescript
public readonly connection: SSHProvisionerConnection | WinrmProvisionerConnection;
```

- *Type:* cdktf.SSHProvisionerConnection | cdktf.WinrmProvisionerConnection

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.count"></a>

```typescript
public readonly count: number | TerraformCount;
```

- *Type:* number | cdktf.TerraformCount

---

##### `dependsOn`<sup>Optional</sup> <a name="dependsOn" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dependsOn"></a>

```typescript
public readonly dependsOn: ITerraformDependable[];
```

- *Type:* cdktf.ITerraformDependable[]

---

##### `forEach`<sup>Optional</sup> <a name="forEach" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.forEach"></a>

```typescript
public readonly forEach: ITerraformIterator;
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.lifecycle"></a>

```typescript
public readonly lifecycle: TerraformResourceLifecycle;
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provider"></a>

```typescript
public readonly provider: TerraformProvider;
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.provisioners"></a>

```typescript
public readonly provisioners: FileProvisioner | LocalExecProvisioner | RemoteExecProvisioner[];
```

- *Type:* cdktf.FileProvisioner | cdktf.LocalExecProvisioner | cdktf.RemoteExecProvisioner[]

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.layoutType"></a>

```typescript
public readonly layoutType: string;
```

- *Type:* string

The layout type of the dashboard. Valid values are `ordered`, `free`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `dashboardLists`<sup>Optional</sup> <a name="dashboardLists" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.dashboardLists"></a>

```typescript
public readonly dashboardLists: number[];
```

- *Type:* number[]

A list of dashboard lists this dashboard belongs to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dashboard_lists Dashboard#dashboard_lists}

---

##### `description`<sup>Optional</sup> <a name="description" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* string

The description of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#description Dashboard#description}

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.id"></a>

```typescript
public readonly id: string;
```

- *Type:* string

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#id Dashboard#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `isReadOnly`<sup>Optional</sup> <a name="isReadOnly" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.isReadOnly"></a>

```typescript
public readonly isReadOnly: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether this dashboard is read-only. **Deprecated.** Prefer using `restricted_roles` to define which roles are required to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_read_only Dashboard#is_read_only}

---

##### `notifyList`<sup>Optional</sup> <a name="notifyList" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.notifyList"></a>

```typescript
public readonly notifyList: string[];
```

- *Type:* string[]

The list of handles for the users to notify when changes are made to this dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#notify_list Dashboard#notify_list}

---

##### `reflowType`<sup>Optional</sup> <a name="reflowType" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.reflowType"></a>

```typescript
public readonly reflowType: string;
```

- *Type:* string

The reflow type of a new dashboard layout.

Set this only when layout type is `ordered`. If set to `fixed`, the dashboard expects all widgets to have a layout, and if it's set to `auto`, widgets should not have layouts. Valid values are `auto`, `fixed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#reflow_type Dashboard#reflow_type}

---

##### `restrictedRoles`<sup>Optional</sup> <a name="restrictedRoles" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.restrictedRoles"></a>

```typescript
public readonly restrictedRoles: string[];
```

- *Type:* string[]

UUIDs of roles whose associated users are authorized to edit the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#restricted_roles Dashboard#restricted_roles}

---

##### `templateVariable`<sup>Optional</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariable"></a>

```typescript
public readonly templateVariable: IResolvable | DashboardTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

##### `templateVariablePreset`<sup>Optional</sup> <a name="templateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.templateVariablePreset"></a>

```typescript
public readonly templateVariablePreset: IResolvable | DashboardTemplateVariablePreset[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]

template_variable_preset block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable_preset Dashboard#template_variable_preset}

---

##### `url`<sup>Optional</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

The URL of the dashboard.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardConfig.property.widget"></a>

```typescript
public readonly widget: IResolvable | DashboardWidget[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidget">DashboardWidget</a>[]

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardTemplateVariable <a name="DashboardTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardTemplateVariable: dashboard.DashboardTemplateVariable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name">name</a></code> | <code>string</code> | The name of the variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues">availableValues</a></code> | <code>string[]</code> | The list of values that the template variable drop-down is be limited to. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default">default</a></code> | <code>string</code> | The default value for the template variable on dashboard load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults">defaults</a></code> | <code>string[]</code> | One or many default values for template variables on load. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix">prefix</a></code> | <code>string</code> | The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `availableValues`<sup>Optional</sup> <a name="availableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.availableValues"></a>

```typescript
public readonly availableValues: string[];
```

- *Type:* string[]

The list of values that the template variable drop-down is be limited to.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#available_values Dashboard#available_values}

---

##### `default`<sup>Optional</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.default"></a>

```typescript
public readonly default: string;
```

- *Type:* string

The default value for the template variable on dashboard load.

Cannot be used in conjunction with `defaults`. **Deprecated.** Use `defaults` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#default Dashboard#default}

---

##### `defaults`<sup>Optional</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.defaults"></a>

```typescript
public readonly defaults: string[];
```

- *Type:* string[]

One or many default values for template variables on load.

If more than one default is specified, they will be unioned together with `OR`. Cannot be used in conjunction with `default`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#defaults Dashboard#defaults}

---

##### `prefix`<sup>Optional</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariable.property.prefix"></a>

```typescript
public readonly prefix: string;
```

- *Type:* string

The tag prefix associated with the variable. Only tags with this prefix appear in the variable dropdown.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#prefix Dashboard#prefix}

---

### DashboardTemplateVariablePreset <a name="DashboardTemplateVariablePreset" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardTemplateVariablePreset: dashboard.DashboardTemplateVariablePreset = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name">name</a></code> | <code>string</code> | The name of the preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable">templateVariable</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]</code> | template_variable block. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the preset.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `templateVariable`<sup>Optional</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset.property.templateVariable"></a>

```typescript
public readonly templateVariable: IResolvable | DashboardTemplateVariablePresetTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]

template_variable block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#template_variable Dashboard#template_variable}

---

### DashboardTemplateVariablePresetTemplateVariable <a name="DashboardTemplateVariablePresetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardTemplateVariablePresetTemplateVariable: dashboard.DashboardTemplateVariablePresetTemplateVariable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name">name</a></code> | <code>string</code> | The name of the template variable. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value">value</a></code> | <code>string</code> | The value that should be assumed by the template variable in this preset. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values">values</a></code> | <code>string[]</code> | One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified. |

---

##### `name`<sup>Optional</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the template variable.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Optional</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

The value that should be assumed by the template variable in this preset.

Cannot be used in conjunction with `values`. **Deprecated.** Use `values` instead.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `values`<sup>Optional</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable.property.values"></a>

```typescript
public readonly values: string[];
```

- *Type:* string[]

One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified.

Cannot be used in conjunction with `value`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#values Dashboard#values}

---

### DashboardWidget <a name="DashboardWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidget.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidget: dashboard.DashboardWidget = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition">alertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition">alertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition">changeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition">checkStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition">distributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition">eventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition">eventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition">freeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition">geomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition">groupDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | group_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition">heatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition">hostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition">iframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition">imageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition">listStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition">logStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition">manageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition">noteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition">queryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition">queryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition">runWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition">scatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition">serviceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition">servicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition">sloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition">sunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition">timeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition">toplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition">topologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition">traceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition">treemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout">widgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alertGraphDefinition`<sup>Optional</sup> <a name="alertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertGraphDefinition"></a>

```typescript
public readonly alertGraphDefinition: DashboardWidgetAlertGraphDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alertValueDefinition`<sup>Optional</sup> <a name="alertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.alertValueDefinition"></a>

```typescript
public readonly alertValueDefinition: DashboardWidgetAlertValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `changeDefinition`<sup>Optional</sup> <a name="changeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.changeDefinition"></a>

```typescript
public readonly changeDefinition: DashboardWidgetChangeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `checkStatusDefinition`<sup>Optional</sup> <a name="checkStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.checkStatusDefinition"></a>

```typescript
public readonly checkStatusDefinition: DashboardWidgetCheckStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distributionDefinition`<sup>Optional</sup> <a name="distributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.distributionDefinition"></a>

```typescript
public readonly distributionDefinition: DashboardWidgetDistributionDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `eventStreamDefinition`<sup>Optional</sup> <a name="eventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventStreamDefinition"></a>

```typescript
public readonly eventStreamDefinition: DashboardWidgetEventStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `eventTimelineDefinition`<sup>Optional</sup> <a name="eventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.eventTimelineDefinition"></a>

```typescript
public readonly eventTimelineDefinition: DashboardWidgetEventTimelineDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `freeTextDefinition`<sup>Optional</sup> <a name="freeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.freeTextDefinition"></a>

```typescript
public readonly freeTextDefinition: DashboardWidgetFreeTextDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomapDefinition`<sup>Optional</sup> <a name="geomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.geomapDefinition"></a>

```typescript
public readonly geomapDefinition: DashboardWidgetGeomapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `groupDefinition`<sup>Optional</sup> <a name="groupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.groupDefinition"></a>

```typescript
public readonly groupDefinition: DashboardWidgetGroupDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

group_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_definition Dashboard#group_definition}

---

##### `heatmapDefinition`<sup>Optional</sup> <a name="heatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.heatmapDefinition"></a>

```typescript
public readonly heatmapDefinition: DashboardWidgetHeatmapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition">DashboardWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmapDefinition`<sup>Optional</sup> <a name="hostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.hostmapDefinition"></a>

```typescript
public readonly hostmapDefinition: DashboardWidgetHostmapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition">DashboardWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframeDefinition`<sup>Optional</sup> <a name="iframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.iframeDefinition"></a>

```typescript
public readonly iframeDefinition: DashboardWidgetIframeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition">DashboardWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `imageDefinition`<sup>Optional</sup> <a name="imageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.imageDefinition"></a>

```typescript
public readonly imageDefinition: DashboardWidgetImageDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition">DashboardWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `listStreamDefinition`<sup>Optional</sup> <a name="listStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.listStreamDefinition"></a>

```typescript
public readonly listStreamDefinition: DashboardWidgetListStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition">DashboardWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `logStreamDefinition`<sup>Optional</sup> <a name="logStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.logStreamDefinition"></a>

```typescript
public readonly logStreamDefinition: DashboardWidgetLogStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition">DashboardWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manageStatusDefinition`<sup>Optional</sup> <a name="manageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.manageStatusDefinition"></a>

```typescript
public readonly manageStatusDefinition: DashboardWidgetManageStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition">DashboardWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `noteDefinition`<sup>Optional</sup> <a name="noteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.noteDefinition"></a>

```typescript
public readonly noteDefinition: DashboardWidgetNoteDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition">DashboardWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `queryTableDefinition`<sup>Optional</sup> <a name="queryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryTableDefinition"></a>

```typescript
public readonly queryTableDefinition: DashboardWidgetQueryTableDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition">DashboardWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `queryValueDefinition`<sup>Optional</sup> <a name="queryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.queryValueDefinition"></a>

```typescript
public readonly queryValueDefinition: DashboardWidgetQueryValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition">DashboardWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `runWorkflowDefinition`<sup>Optional</sup> <a name="runWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.runWorkflowDefinition"></a>

```typescript
public readonly runWorkflowDefinition: DashboardWidgetRunWorkflowDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition">DashboardWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplotDefinition`<sup>Optional</sup> <a name="scatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.scatterplotDefinition"></a>

```typescript
public readonly scatterplotDefinition: DashboardWidgetScatterplotDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition">DashboardWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `serviceLevelObjectiveDefinition`<sup>Optional</sup> <a name="serviceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.serviceLevelObjectiveDefinition"></a>

```typescript
public readonly serviceLevelObjectiveDefinition: DashboardWidgetServiceLevelObjectiveDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition">DashboardWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemapDefinition`<sup>Optional</sup> <a name="servicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.servicemapDefinition"></a>

```typescript
public readonly servicemapDefinition: DashboardWidgetServicemapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition">DashboardWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `sloListDefinition`<sup>Optional</sup> <a name="sloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sloListDefinition"></a>

```typescript
public readonly sloListDefinition: DashboardWidgetSloListDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition">DashboardWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburstDefinition`<sup>Optional</sup> <a name="sunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.sunburstDefinition"></a>

```typescript
public readonly sunburstDefinition: DashboardWidgetSunburstDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition">DashboardWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseriesDefinition`<sup>Optional</sup> <a name="timeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.timeseriesDefinition"></a>

```typescript
public readonly timeseriesDefinition: DashboardWidgetTimeseriesDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition">DashboardWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplistDefinition`<sup>Optional</sup> <a name="toplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.toplistDefinition"></a>

```typescript
public readonly toplistDefinition: DashboardWidgetToplistDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition">DashboardWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topologyMapDefinition`<sup>Optional</sup> <a name="topologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.topologyMapDefinition"></a>

```typescript
public readonly topologyMapDefinition: DashboardWidgetTopologyMapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition">DashboardWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `traceServiceDefinition`<sup>Optional</sup> <a name="traceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.traceServiceDefinition"></a>

```typescript
public readonly traceServiceDefinition: DashboardWidgetTraceServiceDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition">DashboardWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemapDefinition`<sup>Optional</sup> <a name="treemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.treemapDefinition"></a>

```typescript
public readonly treemapDefinition: DashboardWidgetTreemapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition">DashboardWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widgetLayout`<sup>Optional</sup> <a name="widgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidget.property.widgetLayout"></a>

```typescript
public readonly widgetLayout: DashboardWidgetWidgetLayout;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout">DashboardWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetAlertGraphDefinition <a name="DashboardWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetAlertGraphDefinition: dashboard.DashboardWidgetAlertGraphDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId">alertId</a></code> | <code>string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType">vizType</a></code> | <code>string</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.vizType"></a>

```typescript
public readonly vizType: string;
```

- *Type:* string

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetAlertValueDefinition <a name="DashboardWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetAlertValueDefinition: dashboard.DashboardWidgetAlertValueDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId">alertId</a></code> | <code>string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>number</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>string</code> | The unit for the value displayed in the widget. |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition.property.unit"></a>

```typescript
public readonly unit: string;
```

- *Type:* string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetChangeDefinition <a name="DashboardWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinition: dashboard.DashboardWidgetChangeDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetChangeDefinitionCustomLink <a name="DashboardWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionCustomLink: dashboard.DashboardWidgetChangeDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetChangeDefinitionRequest <a name="DashboardWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequest: dashboard.DashboardWidgetChangeDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType">changeType</a></code> | <code>string</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo">compareTo</a></code> | <code>string</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood">increaseGood</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy">orderBy</a></code> | <code>string</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir">orderDir</a></code> | <code>string</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent">showPresent</a></code> | <code>boolean \| cdktf.IResolvable</code> | If set to `true`, displays the current value. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `changeType`<sup>Optional</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.changeType"></a>

```typescript
public readonly changeType: string;
```

- *Type:* string

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compareTo`<sup>Optional</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.compareTo"></a>

```typescript
public readonly compareTo: string;
```

- *Type:* string

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increaseGood`<sup>Optional</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.increaseGood"></a>

```typescript
public readonly increaseGood: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `orderBy`<sup>Optional</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderBy"></a>

```typescript
public readonly orderBy: string;
```

- *Type:* string

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `orderDir`<sup>Optional</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.orderDir"></a>

```typescript
public readonly orderDir: string;
```

- *Type:* string

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `showPresent`<sup>Optional</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest.property.showPresent"></a>

```typescript
public readonly showPresent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestApmQuery: dashboard.DashboardWidgetChangeDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestFormula: dashboard.DashboardWidgetChangeDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestFormulaLimit: dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestFormulaStyle: dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestLogQuery: dashboard.DashboardWidgetChangeDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestProcessQuery: dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQuery: dashboard.DashboardWidgetChangeDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestRumQuery: dashboard.DashboardWidgetChangeDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestSecurityQuery: dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetCheckStatusDefinition <a name="DashboardWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetCheckStatusDefinition: dashboard.DashboardWidgetCheckStatusDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check">check</a></code> | <code>string</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>string</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group">group</a></code> | <code>string</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy">groupBy</a></code> | <code>string[]</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>string[]</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.check"></a>

```typescript
public readonly check: string;
```

- *Type:* string

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.grouping"></a>

```typescript
public readonly grouping: string;
```

- *Type:* string

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.group"></a>

```typescript
public readonly group: string;
```

- *Type:* string

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.tags"></a>

```typescript
public readonly tags: string[];
```

- *Type:* string[]

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinition <a name="DashboardWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinition: dashboard.DashboardWidgetDistributionDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetDistributionDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetDistributionDefinitionRequest <a name="DashboardWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequest: dashboard.DashboardWidgetDistributionDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetDistributionDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```typescript
public readonly apmStatsQuery: DashboardWidgetDistributionDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetDistributionDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetDistributionDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetDistributionDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetDistributionDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetDistributionDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmQuery: dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmStatsQuery: dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>string</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```typescript
public readonly primaryTag: string;
```

- *Type:* string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```typescript
public readonly rowType: string;
```

- *Type:* string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```typescript
public readonly resource: string;
```

- *Type:* string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns: dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestLogQuery: dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestProcessQuery: dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestRumQuery: dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestSecurityQuery: dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetDistributionDefinitionRequestStyle: dashboard.DashboardWidgetDistributionDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetEventStreamDefinition <a name="DashboardWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetEventStreamDefinition: dashboard.DashboardWidgetEventStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize">eventSize</a></code> | <code>string</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.eventSize"></a>

```typescript
public readonly eventSize: string;
```

- *Type:* string

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetEventTimelineDefinition <a name="DashboardWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetEventTimelineDefinition: dashboard.DashboardWidgetEventTimelineDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetFreeTextDefinition <a name="DashboardWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetFreeTextDefinition: dashboard.DashboardWidgetFreeTextDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text">text</a></code> | <code>string</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color">color</a></code> | <code>string</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize">fontSize</a></code> | <code>string</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.text"></a>

```typescript
public readonly text: string;
```

- *Type:* string

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.color"></a>

```typescript
public readonly color: string;
```

- *Type:* string

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.fontSize"></a>

```typescript
public readonly fontSize: string;
```

- *Type:* string

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGeomapDefinition <a name="DashboardWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinition: dashboard.DashboardWidgetGeomapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.view"></a>

```typescript
public readonly view: DashboardWidgetGeomapDefinitionView;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGeomapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGeomapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.style"></a>

```typescript
public readonly style: DashboardWidgetGeomapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionCustomLink: dashboard.DashboardWidgetGeomapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGeomapDefinitionRequest <a name="DashboardWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequest: dashboard.DashboardWidgetGeomapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGeomapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGeomapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGeomapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGeomapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestFormula: dashboard.DashboardWidgetGeomapDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGeomapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGeomapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestLogQuery: dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGeomapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestRumQuery: dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGeomapDefinitionStyle <a name="DashboardWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionStyle: dashboard.DashboardWidgetGeomapDefinitionStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>string</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```typescript
public readonly paletteFlip: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGeomapDefinitionView <a name="DashboardWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGeomapDefinitionView: dashboard.DashboardWidgetGeomapDefinitionView = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>string</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView.property.focus"></a>

```typescript
public readonly focus: string;
```

- *Type:* string

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinition <a name="DashboardWidgetGroupDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinition: dashboard.DashboardWidgetGroupDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType">layoutType</a></code> | <code>string</code> | The layout type of the group. Valid values are `ordered`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor">backgroundColor</a></code> | <code>string</code> | The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg">bannerImg</a></code> | <code>string</code> | The image URL to display as a banner for the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle">showTitle</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the title or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title">title</a></code> | <code>string</code> | The title of the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget">widget</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>[]</code> | widget block. |

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.layoutType"></a>

```typescript
public readonly layoutType: string;
```

- *Type:* string

The layout type of the group. Valid values are `ordered`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#layout_type Dashboard#layout_type}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.backgroundColor"></a>

```typescript
public readonly backgroundColor: string;
```

- *Type:* string

The background color of the group title, options: `vivid_blue`, `vivid_purple`, `vivid_pink`, `vivid_orange`, `vivid_yellow`, `vivid_green`, `blue`, `purple`, `pink`, `orange`, `yellow`, `green`, `gray` or `white`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `bannerImg`<sup>Optional</sup> <a name="bannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.bannerImg"></a>

```typescript
public readonly bannerImg: string;
```

- *Type:* string

The image URL to display as a banner for the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#banner_img Dashboard#banner_img}

---

##### `showTitle`<sup>Optional</sup> <a name="showTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.showTitle"></a>

```typescript
public readonly showTitle: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the title or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_title Dashboard#show_title}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `widget`<sup>Optional</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition.property.widget"></a>

```typescript
public readonly widget: IResolvable | DashboardWidgetGroupDefinitionWidget[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>[]

widget block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget Dashboard#widget}

---

### DashboardWidgetGroupDefinitionWidget <a name="DashboardWidgetGroupDefinitionWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidget: dashboard.DashboardWidgetGroupDefinitionWidget = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition">alertGraphDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | alert_graph_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition">alertValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | alert_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition">changeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | change_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition">checkStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a></code> | check_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition">distributionDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a></code> | distribution_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition">eventStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a></code> | event_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition">eventTimelineDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a></code> | event_timeline_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition">freeTextDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a></code> | free_text_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition">geomapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a></code> | geomap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition">heatmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a></code> | heatmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition">hostmapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a></code> | hostmap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition">iframeDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a></code> | iframe_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition">imageDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a></code> | image_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition">listStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a></code> | list_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition">logStreamDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a></code> | log_stream_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition">manageStatusDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a></code> | manage_status_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition">noteDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a></code> | note_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition">queryTableDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a></code> | query_table_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition">queryValueDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a></code> | query_value_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition">runWorkflowDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a></code> | run_workflow_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition">scatterplotDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a></code> | scatterplot_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition">serviceLevelObjectiveDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a></code> | service_level_objective_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition">servicemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a></code> | servicemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition">sloListDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a></code> | slo_list_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition">sunburstDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a></code> | sunburst_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition">timeseriesDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a></code> | timeseries_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition">toplistDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a></code> | toplist_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition">topologyMapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a></code> | topology_map_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition">traceServiceDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a></code> | trace_service_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition">treemapDefinition</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a></code> | treemap_definition block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout">widgetLayout</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a></code> | widget_layout block. |

---

##### `alertGraphDefinition`<sup>Optional</sup> <a name="alertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertGraphDefinition"></a>

```typescript
public readonly alertGraphDefinition: DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

alert_graph_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_graph_definition Dashboard#alert_graph_definition}

---

##### `alertValueDefinition`<sup>Optional</sup> <a name="alertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.alertValueDefinition"></a>

```typescript
public readonly alertValueDefinition: DashboardWidgetGroupDefinitionWidgetAlertValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

alert_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_value_definition Dashboard#alert_value_definition}

---

##### `changeDefinition`<sup>Optional</sup> <a name="changeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.changeDefinition"></a>

```typescript
public readonly changeDefinition: DashboardWidgetGroupDefinitionWidgetChangeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

change_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_definition Dashboard#change_definition}

---

##### `checkStatusDefinition`<sup>Optional</sup> <a name="checkStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.checkStatusDefinition"></a>

```typescript
public readonly checkStatusDefinition: DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a>

check_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check_status_definition Dashboard#check_status_definition}

---

##### `distributionDefinition`<sup>Optional</sup> <a name="distributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.distributionDefinition"></a>

```typescript
public readonly distributionDefinition: DashboardWidgetGroupDefinitionWidgetDistributionDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition">DashboardWidgetGroupDefinitionWidgetDistributionDefinition</a>

distribution_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#distribution_definition Dashboard#distribution_definition}

---

##### `eventStreamDefinition`<sup>Optional</sup> <a name="eventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventStreamDefinition"></a>

```typescript
public readonly eventStreamDefinition: DashboardWidgetGroupDefinitionWidgetEventStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition">DashboardWidgetGroupDefinitionWidgetEventStreamDefinition</a>

event_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_stream_definition Dashboard#event_stream_definition}

---

##### `eventTimelineDefinition`<sup>Optional</sup> <a name="eventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.eventTimelineDefinition"></a>

```typescript
public readonly eventTimelineDefinition: DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition">DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition</a>

event_timeline_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_timeline_definition Dashboard#event_timeline_definition}

---

##### `freeTextDefinition`<sup>Optional</sup> <a name="freeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.freeTextDefinition"></a>

```typescript
public readonly freeTextDefinition: DashboardWidgetGroupDefinitionWidgetFreeTextDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition">DashboardWidgetGroupDefinitionWidgetFreeTextDefinition</a>

free_text_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#free_text_definition Dashboard#free_text_definition}

---

##### `geomapDefinition`<sup>Optional</sup> <a name="geomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.geomapDefinition"></a>

```typescript
public readonly geomapDefinition: DashboardWidgetGroupDefinitionWidgetGeomapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition">DashboardWidgetGroupDefinitionWidgetGeomapDefinition</a>

geomap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#geomap_definition Dashboard#geomap_definition}

---

##### `heatmapDefinition`<sup>Optional</sup> <a name="heatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.heatmapDefinition"></a>

```typescript
public readonly heatmapDefinition: DashboardWidgetGroupDefinitionWidgetHeatmapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition">DashboardWidgetGroupDefinitionWidgetHeatmapDefinition</a>

heatmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#heatmap_definition Dashboard#heatmap_definition}

---

##### `hostmapDefinition`<sup>Optional</sup> <a name="hostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.hostmapDefinition"></a>

```typescript
public readonly hostmapDefinition: DashboardWidgetGroupDefinitionWidgetHostmapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition">DashboardWidgetGroupDefinitionWidgetHostmapDefinition</a>

hostmap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hostmap_definition Dashboard#hostmap_definition}

---

##### `iframeDefinition`<sup>Optional</sup> <a name="iframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.iframeDefinition"></a>

```typescript
public readonly iframeDefinition: DashboardWidgetGroupDefinitionWidgetIframeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition">DashboardWidgetGroupDefinitionWidgetIframeDefinition</a>

iframe_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#iframe_definition Dashboard#iframe_definition}

---

##### `imageDefinition`<sup>Optional</sup> <a name="imageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.imageDefinition"></a>

```typescript
public readonly imageDefinition: DashboardWidgetGroupDefinitionWidgetImageDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition">DashboardWidgetGroupDefinitionWidgetImageDefinition</a>

image_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_definition Dashboard#image_definition}

---

##### `listStreamDefinition`<sup>Optional</sup> <a name="listStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.listStreamDefinition"></a>

```typescript
public readonly listStreamDefinition: DashboardWidgetGroupDefinitionWidgetListStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition">DashboardWidgetGroupDefinitionWidgetListStreamDefinition</a>

list_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#list_stream_definition Dashboard#list_stream_definition}

---

##### `logStreamDefinition`<sup>Optional</sup> <a name="logStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.logStreamDefinition"></a>

```typescript
public readonly logStreamDefinition: DashboardWidgetGroupDefinitionWidgetLogStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition">DashboardWidgetGroupDefinitionWidgetLogStreamDefinition</a>

log_stream_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_stream_definition Dashboard#log_stream_definition}

---

##### `manageStatusDefinition`<sup>Optional</sup> <a name="manageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.manageStatusDefinition"></a>

```typescript
public readonly manageStatusDefinition: DashboardWidgetGroupDefinitionWidgetManageStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition">DashboardWidgetGroupDefinitionWidgetManageStatusDefinition</a>

manage_status_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#manage_status_definition Dashboard#manage_status_definition}

---

##### `noteDefinition`<sup>Optional</sup> <a name="noteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.noteDefinition"></a>

```typescript
public readonly noteDefinition: DashboardWidgetGroupDefinitionWidgetNoteDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition">DashboardWidgetGroupDefinitionWidgetNoteDefinition</a>

note_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#note_definition Dashboard#note_definition}

---

##### `queryTableDefinition`<sup>Optional</sup> <a name="queryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryTableDefinition"></a>

```typescript
public readonly queryTableDefinition: DashboardWidgetGroupDefinitionWidgetQueryTableDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition">DashboardWidgetGroupDefinitionWidgetQueryTableDefinition</a>

query_table_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_table_definition Dashboard#query_table_definition}

---

##### `queryValueDefinition`<sup>Optional</sup> <a name="queryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.queryValueDefinition"></a>

```typescript
public readonly queryValueDefinition: DashboardWidgetGroupDefinitionWidgetQueryValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition">DashboardWidgetGroupDefinitionWidgetQueryValueDefinition</a>

query_value_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_value_definition Dashboard#query_value_definition}

---

##### `runWorkflowDefinition`<sup>Optional</sup> <a name="runWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.runWorkflowDefinition"></a>

```typescript
public readonly runWorkflowDefinition: DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition</a>

run_workflow_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#run_workflow_definition Dashboard#run_workflow_definition}

---

##### `scatterplotDefinition`<sup>Optional</sup> <a name="scatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.scatterplotDefinition"></a>

```typescript
public readonly scatterplotDefinition: DashboardWidgetGroupDefinitionWidgetScatterplotDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition">DashboardWidgetGroupDefinitionWidgetScatterplotDefinition</a>

scatterplot_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_definition Dashboard#scatterplot_definition}

---

##### `serviceLevelObjectiveDefinition`<sup>Optional</sup> <a name="serviceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.serviceLevelObjectiveDefinition"></a>

```typescript
public readonly serviceLevelObjectiveDefinition: DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition">DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition</a>

service_level_objective_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service_level_objective_definition Dashboard#service_level_objective_definition}

---

##### `servicemapDefinition`<sup>Optional</sup> <a name="servicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.servicemapDefinition"></a>

```typescript
public readonly servicemapDefinition: DashboardWidgetGroupDefinitionWidgetServicemapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition">DashboardWidgetGroupDefinitionWidgetServicemapDefinition</a>

servicemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#servicemap_definition Dashboard#servicemap_definition}

---

##### `sloListDefinition`<sup>Optional</sup> <a name="sloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sloListDefinition"></a>

```typescript
public readonly sloListDefinition: DashboardWidgetGroupDefinitionWidgetSloListDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition">DashboardWidgetGroupDefinitionWidgetSloListDefinition</a>

slo_list_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_list_definition Dashboard#slo_list_definition}

---

##### `sunburstDefinition`<sup>Optional</sup> <a name="sunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.sunburstDefinition"></a>

```typescript
public readonly sunburstDefinition: DashboardWidgetGroupDefinitionWidgetSunburstDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition">DashboardWidgetGroupDefinitionWidgetSunburstDefinition</a>

sunburst_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sunburst_definition Dashboard#sunburst_definition}

---

##### `timeseriesDefinition`<sup>Optional</sup> <a name="timeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.timeseriesDefinition"></a>

```typescript
public readonly timeseriesDefinition: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition</a>

timeseries_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_definition Dashboard#timeseries_definition}

---

##### `toplistDefinition`<sup>Optional</sup> <a name="toplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.toplistDefinition"></a>

```typescript
public readonly toplistDefinition: DashboardWidgetGroupDefinitionWidgetToplistDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition">DashboardWidgetGroupDefinitionWidgetToplistDefinition</a>

toplist_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#toplist_definition Dashboard#toplist_definition}

---

##### `topologyMapDefinition`<sup>Optional</sup> <a name="topologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.topologyMapDefinition"></a>

```typescript
public readonly topologyMapDefinition: DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition</a>

topology_map_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#topology_map_definition Dashboard#topology_map_definition}

---

##### `traceServiceDefinition`<sup>Optional</sup> <a name="traceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.traceServiceDefinition"></a>

```typescript
public readonly traceServiceDefinition: DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition">DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition</a>

trace_service_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#trace_service_definition Dashboard#trace_service_definition}

---

##### `treemapDefinition`<sup>Optional</sup> <a name="treemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.treemapDefinition"></a>

```typescript
public readonly treemapDefinition: DashboardWidgetGroupDefinitionWidgetTreemapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition">DashboardWidgetGroupDefinitionWidgetTreemapDefinition</a>

treemap_definition block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#treemap_definition Dashboard#treemap_definition}

---

##### `widgetLayout`<sup>Optional</sup> <a name="widgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget.property.widgetLayout"></a>

```typescript
public readonly widgetLayout: DashboardWidgetGroupDefinitionWidgetWidgetLayout;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout">DashboardWidgetGroupDefinitionWidgetWidgetLayout</a>

widget_layout block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#widget_layout Dashboard#widget_layout}

---

### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetAlertGraphDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId">alertId</a></code> | <code>string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType">vizType</a></code> | <code>string</code> | Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.vizType"></a>

```typescript
public readonly vizType: string;
```

- *Type:* string

Type of visualization to use when displaying the widget. Valid values are `timeseries`, `toplist`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#viz_type Dashboard#viz_type}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetAlertValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetAlertValueDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId">alertId</a></code> | <code>string</code> | The ID of the monitor used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision">precision</a></code> | <code>number</code> | The precision to use when displaying the value. Use `*` for maximum precision. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit">unit</a></code> | <code>string</code> | The unit for the value displayed in the widget. |

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

The ID of the monitor used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alert_id Dashboard#alert_id}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

The precision to use when displaying the value. Use `*` for maximum precision.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `unit`<sup>Optional</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition.property.unit"></a>

```typescript
public readonly unit: string;
```

- *Type:* string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#unit Dashboard#unit}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinition <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType">changeType</a></code> | <code>string</code> | Whether to show absolute or relative change. Valid values are `absolute`, `relative`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo">compareTo</a></code> | <code>string</code> | Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood">increaseGood</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy">orderBy</a></code> | <code>string</code> | What to order by. Valid values are `change`, `name`, `present`, `past`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir">orderDir</a></code> | <code>string</code> | Widget sorting method. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent">showPresent</a></code> | <code>boolean \| cdktf.IResolvable</code> | If set to `true`, displays the current value. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `changeType`<sup>Optional</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.changeType"></a>

```typescript
public readonly changeType: string;
```

- *Type:* string

Whether to show absolute or relative change. Valid values are `absolute`, `relative`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#change_type Dashboard#change_type}

---

##### `compareTo`<sup>Optional</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.compareTo"></a>

```typescript
public readonly compareTo: string;
```

- *Type:* string

Choose from when to compare current data to. Valid values are `hour_before`, `day_before`, `week_before`, `month_before`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compare_to Dashboard#compare_to}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `increaseGood`<sup>Optional</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.increaseGood"></a>

```typescript
public readonly increaseGood: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether an increase in the value is good (displayed in green) or not (displayed in red).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#increase_good Dashboard#increase_good}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `orderBy`<sup>Optional</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderBy"></a>

```typescript
public readonly orderBy: string;
```

- *Type:* string

What to order by. Valid values are `change`, `name`, `present`, `past`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_by Dashboard#order_by}

---

##### `orderDir`<sup>Optional</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.orderDir"></a>

```typescript
public readonly orderDir: string;
```

- *Type:* string

Widget sorting method. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order_dir Dashboard#order_dir}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `showPresent`<sup>Optional</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest.property.showPresent"></a>

```typescript
public readonly showPresent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If set to `true`, displays the current value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_present Dashboard#show_present}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetCheckStatusDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check">check</a></code> | <code>string</code> | The check to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping">grouping</a></code> | <code>string</code> | The kind of grouping to use. Valid values are `check`, `cluster`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group">group</a></code> | <code>string</code> | The check group to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy">groupBy</a></code> | <code>string[]</code> | When `grouping = "cluster"`, indicates a list of tags to use for grouping. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags">tags</a></code> | <code>string[]</code> | A list of tags to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.check"></a>

```typescript
public readonly check: string;
```

- *Type:* string

The check to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#check Dashboard#check}

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.grouping"></a>

```typescript
public readonly grouping: string;
```

- *Type:* string

The kind of grouping to use. Valid values are `check`, `cluster`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#grouping Dashboard#grouping}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.group"></a>

```typescript
public readonly group: string;
```

- *Type:* string

The check group to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

When `grouping = "cluster"`, indicates a list of tags to use for grouping.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tags`<sup>Optional</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.tags"></a>

```typescript
public readonly tags: string[];
```

- *Type:* string[]

A list of tags to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags Dashboard#tags}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinition <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.apmStatsQuery"></a>

```typescript
public readonly apmStatsQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>string</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```typescript
public readonly primaryTag: string;
```

- *Type:* string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.rowType"></a>

```typescript
public readonly rowType: string;
```

- *Type:* string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQuery.property.resource"></a>

```typescript
public readonly resource: string;
```

- *Type:* string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestApmStatsQueryColumns.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle: dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetEventStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetEventStreamDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize">eventSize</a></code> | <code>string</code> | The size to use to display an event. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.eventSize"></a>

```typescript
public readonly eventSize: string;
```

- *Type:* string

The size to use to display an event. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition <a name="DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetEventTimelineDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters, options: `and` or `or`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters, options: `and` or `or`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetEventTimelineDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetFreeTextDefinition <a name="DashboardWidgetGroupDefinitionWidgetFreeTextDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetFreeTextDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text">text</a></code> | <code>string</code> | The text to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color">color</a></code> | <code>string</code> | The color of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize">fontSize</a></code> | <code>string</code> | The size of the text in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the text in the widget. Valid values are `center`, `left`, `right`. |

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.text"></a>

```typescript
public readonly text: string;
```

- *Type:* string

The text to display in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text Dashboard#text}

---

##### `color`<sup>Optional</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.color"></a>

```typescript
public readonly color: string;
```

- *Type:* string

The color of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color Dashboard#color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.fontSize"></a>

```typescript
public readonly fontSize: string;
```

- *Type:* string

The size of the text in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetFreeTextDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the text in the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinition <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a></code> | view block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.view"></a>

```typescript
public readonly view: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView</a>

view block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view Dashboard#view}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a></code> | rum_query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette">palette</a></code> | <code>string</code> | The color palette to apply to the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply to the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionStyle.property.paletteFlip"></a>

```typescript
public readonly paletteFlip: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView <a name="DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetGeomapDefinitionView: dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus">focus</a></code> | <code>string</code> | The two-letter ISO code of a country to focus the map on (or `WORLD`). |

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetGeomapDefinitionView.property.focus"></a>

```typescript
public readonly focus: string;
```

- *Type:* string

The two-letter ISO code of a country to focus the map on (or `WORLD`).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#focus Dashboard#focus}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event">event</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>[]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.event"></a>

```typescript
public readonly event: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent</a>[]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis: dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHeatmapDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinition <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group">group</a></code> | <code>string[]</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType">nodeType</a></code> | <code>string</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts">noGroupHosts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts">noMetricHosts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope">scope</a></code> | <code>string[]</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.group"></a>

```typescript
public readonly group: string[];
```

- *Type:* string[]

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `nodeType`<sup>Optional</sup> <a name="nodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.nodeType"></a>

```typescript
public readonly nodeType: string;
```

- *Type:* string

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `noGroupHosts`<sup>Optional</sup> <a name="noGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noGroupHosts"></a>

```typescript
public readonly noGroupHosts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `noMetricHosts`<sup>Optional</sup> <a name="noMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.noMetricHosts"></a>

```typescript
public readonly noMetricHosts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.scope"></a>

```typescript
public readonly scope: string[];
```

- *Type:* string[]

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>[]</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>[]</code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.fill"></a>

```typescript
public readonly fill: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill</a>[]

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequest.property.size"></a>

```typescript
public readonly size: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize</a>[]

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle <a name="DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle: dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax">fillMax</a></code> | <code>string</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin">fillMin</a></code> | <code>string</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fillMax`<sup>Optional</sup> <a name="fillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMax"></a>

```typescript
public readonly fillMax: string;
```

- *Type:* string

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fillMin`<sup>Optional</sup> <a name="fillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.fillMin"></a>

```typescript
public readonly fillMin: string;
```

- *Type:* string

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Optional</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```typescript
public readonly paletteFlip: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetGroupDefinitionWidgetIframeDefinition <a name="DashboardWidgetGroupDefinitionWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetIframeDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url">url</a></code> | <code>string</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetIframeDefinition.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetGroupDefinitionWidgetImageDefinition <a name="DashboardWidgetGroupDefinitionWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetImageDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url">url</a></code> | <code>string</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground">hasBackground</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder">hasBorder</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign">horizontalAlign</a></code> | <code>string</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin">margin</a></code> | <code>string</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing">sizing</a></code> | <code>string</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme">urlDarkTheme</a></code> | <code>string</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign">verticalAlign</a></code> | <code>string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `hasBackground`<sup>Optional</sup> <a name="hasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBackground"></a>

```typescript
public readonly hasBackground: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `hasBorder`<sup>Optional</sup> <a name="hasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.hasBorder"></a>

```typescript
public readonly hasBorder: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontalAlign`<sup>Optional</sup> <a name="horizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.horizontalAlign"></a>

```typescript
public readonly horizontalAlign: string;
```

- *Type:* string

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.margin"></a>

```typescript
public readonly margin: string;
```

- *Type:* string

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.sizing"></a>

```typescript
public readonly sizing: string;
```

- *Type:* string

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `urlDarkTheme`<sup>Optional</sup> <a name="urlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.urlDarkTheme"></a>

```typescript
public readonly urlDarkTheme: string;
```

- *Type:* string

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetImageDefinition.property.verticalAlign"></a>

```typescript
public readonly verticalAlign: string;
```

- *Type:* string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetListStreamDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat">responseFormat</a></code> | <code>string</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.query"></a>

```typescript
public readonly query: DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `responseFormat`<sup>Required</sup> <a name="responseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```typescript
public readonly responseFormat: string;
```

- *Type:* string

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns: dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>string</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>string</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.field"></a>

```typescript
public readonly field: string;
```

- *Type:* string

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestColumns.property.width"></a>

```typescript
public readonly width: string;
```

- *Type:* string

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>string</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize">eventSize</a></code> | <code>string</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>string[]</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```typescript
public readonly eventSize: string;
```

- *Type:* string

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `queryString`<sup>Optional</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```typescript
public readonly queryString: string;
```

- *Type:* string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinition <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetLogStreamDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>string[]</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay">messageDisplay</a></code> | <code>string</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn">showDateColumn</a></code> | <code>boolean \| cdktf.IResolvable</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn">showMessageColumn</a></code> | <code>boolean \| cdktf.IResolvable</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.columns"></a>

```typescript
public readonly columns: string[];
```

- *Type:* string[]

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `messageDisplay`<sup>Optional</sup> <a name="messageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.messageDisplay"></a>

```typescript
public readonly messageDisplay: string;
```

- *Type:* string

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `showDateColumn`<sup>Optional</sup> <a name="showDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showDateColumn"></a>

```typescript
public readonly showDateColumn: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `showMessageColumn`<sup>Optional</sup> <a name="showMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.showMessageColumn"></a>

```typescript
public readonly showMessageColumn: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort">DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort <a name="DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort: dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>string</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.column"></a>

```typescript
public readonly column: string;
```

- *Type:* string

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetLogStreamDefinitionSort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetManageStatusDefinition <a name="DashboardWidgetGroupDefinitionWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetManageStatusDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference">colorPreference</a></code> | <code>string</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat">displayFormat</a></code> | <code>string</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts">hideZeroCounts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered">showLastTriggered</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority">showPriority</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>string</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType">summaryType</a></code> | <code>string</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `colorPreference`<sup>Optional</sup> <a name="colorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.colorPreference"></a>

```typescript
public readonly colorPreference: string;
```

- *Type:* string

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.displayFormat"></a>

```typescript
public readonly displayFormat: string;
```

- *Type:* string

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hideZeroCounts`<sup>Optional</sup> <a name="hideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```typescript
public readonly hideZeroCounts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `showLastTriggered`<sup>Optional</sup> <a name="showLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showLastTriggered"></a>

```typescript
public readonly showLastTriggered: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `showPriority`<sup>Optional</sup> <a name="showPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.showPriority"></a>

```typescript
public readonly showPriority: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summaryType`<sup>Optional</sup> <a name="summaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.summaryType"></a>

```typescript
public readonly summaryType: string;
```

- *Type:* string

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetManageStatusDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetNoteDefinition <a name="DashboardWidgetGroupDefinitionWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetNoteDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content">content</a></code> | <code>string</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor">backgroundColor</a></code> | <code>string</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize">fontSize</a></code> | <code>string</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding">hasPadding</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick">showTick</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge">tickEdge</a></code> | <code>string</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos">tickPos</a></code> | <code>string</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign">verticalAlign</a></code> | <code>string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.content"></a>

```typescript
public readonly content: string;
```

- *Type:* string

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.backgroundColor"></a>

```typescript
public readonly backgroundColor: string;
```

- *Type:* string

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.fontSize"></a>

```typescript
public readonly fontSize: string;
```

- *Type:* string

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `hasPadding`<sup>Optional</sup> <a name="hasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.hasPadding"></a>

```typescript
public readonly hasPadding: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `showTick`<sup>Optional</sup> <a name="showTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.showTick"></a>

```typescript
public readonly showTick: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tickEdge`<sup>Optional</sup> <a name="tickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickEdge"></a>

```typescript
public readonly tickEdge: string;
```

- *Type:* string

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tickPos`<sup>Optional</sup> <a name="tickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.tickPos"></a>

```typescript
public readonly tickPos: string;
```

- *Type:* string

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetNoteDefinition.property.verticalAlign"></a>

```typescript
public readonly verticalAlign: string;
```

- *Type:* string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar">hasSearchBar</a></code> | <code>string</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hasSearchBar`<sup>Optional</sup> <a name="hasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.hasSearchBar"></a>

```typescript
public readonly hasSearchBar: string;
```

- *Type:* string

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>string</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string[]</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>number</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>string</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```typescript
public readonly apmStatsQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string[];
```

- *Type:* string[]

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>string</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```typescript
public readonly primaryTag: string;
```

- *Type:* string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```typescript
public readonly rowType: string;
```

- *Type:* string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```typescript
public readonly resource: string;
```

- *Type:* string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinition <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit">customUnit</a></code> | <code>string</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>number</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground">timeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.autoscale"></a>

```typescript
public readonly autoscale: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `customUnit`<sup>Optional</sup> <a name="customUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.customUnit"></a>

```typescript
public readonly customUnit: string;
```

- *Type:* string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseriesBackground`<sup>Optional</sup> <a name="timeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```typescript
public readonly timeseriesBackground: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>string</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis: dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId">workflowId</a></code> | <code>string</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>[]</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `workflowId`<sup>Required</sup> <a name="workflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.workflowId"></a>

```typescript
public readonly workflowId: string;
```

- *Type:* string

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.input"></a>

```typescript
public readonly input: IResolvable | DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput">DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput</a>[]

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput: dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>string</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>string</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetRunWorkflowDefinitionInput.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinition <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups">colorByGroups</a></code> | <code>string[]</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `colorByGroups`<sup>Optional</sup> <a name="colorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.colorByGroups"></a>

```typescript
public readonly colorByGroups: string[];
```

- *Type:* string[]

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.xaxis"></a>

```typescript
public readonly xaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplotTable</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>[]</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>[]</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>[]</code> | y block. |

---

##### `scatterplotTable`<sup>Optional</sup> <a name="scatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```typescript
public readonly scatterplotTable: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable</a>[]

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.x"></a>

```typescript
public readonly x: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX</a>[]

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequest.property.y"></a>

```typescript
public readonly y: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY</a>[]

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>[]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>string</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```typescript
public readonly dimension: string;
```

- *Type:* string

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionXaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis: dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetScatterplotDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId">sloId</a></code> | <code>string</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows">timeWindows</a></code> | <code>string[]</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode">viewMode</a></code> | <code>string</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType">viewType</a></code> | <code>string</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">globalTimeTarget</a></code> | <code>string</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">showErrorBudget</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `sloId`<sup>Required</sup> <a name="sloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```typescript
public readonly sloId: string;
```

- *Type:* string

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `timeWindows`<sup>Required</sup> <a name="timeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```typescript
public readonly timeWindows: string[];
```

- *Type:* string[]

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `viewMode`<sup>Required</sup> <a name="viewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```typescript
public readonly viewMode: string;
```

- *Type:* string

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `viewType`<sup>Required</sup> <a name="viewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```typescript
public readonly viewType: string;
```

- *Type:* string

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `globalTimeTarget`<sup>Optional</sup> <a name="globalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```typescript
public readonly globalTimeTarget: string;
```

- *Type:* string

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `showErrorBudget`<sup>Optional</sup> <a name="showErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```typescript
public readonly showErrorBudget: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetServicemapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters">filters</a></code> | <code>string[]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service">service</a></code> | <code>string</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.filters"></a>

```typescript
public readonly filters: string[];
```

- *Type:* string[]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinition <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSloListDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType">requestType</a></code> | <code>string</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.query"></a>

```typescript
public readonly query: DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequest.property.requestType"></a>

```typescript
public readonly requestType: string;
```

- *Type:* string

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>number</code> | Maximum number of results to display in the table. |

---

##### `queryString`<sup>Required</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```typescript
public readonly queryString: string;
```

- *Type:* string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSloListDefinitionRequestQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinition <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal">hideTotal</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline">legendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable">legendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title. Default is 16. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hideTotal`<sup>Optional</sup> <a name="hideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.hideTotal"></a>

```typescript
public readonly hideTotal: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legendInline`<sup>Optional</sup> <a name="legendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendInline"></a>

```typescript
public readonly legendInline: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legendTable`<sup>Optional</sup> <a name="legendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.legendTable"></a>

```typescript
public readonly legendTable: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>string</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent">hidePercent</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hidePercent`<sup>Optional</sup> <a name="hidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```typescript
public readonly hidePercent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>string</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionLegendTable.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```typescript
public readonly networkQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event">event</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>[]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns">legendColumns</a></code> | <code>string[]</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout">legendLayout</a></code> | <code>string</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>[]</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis">rightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.event"></a>

```typescript
public readonly event: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent</a>[]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendColumns`<sup>Optional</sup> <a name="legendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendColumns"></a>

```typescript
public readonly legendColumns: string[];
```

- *Type:* string[]

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legendLayout`<sup>Optional</sup> <a name="legendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendLayout"></a>

```typescript
public readonly legendLayout: string;
```

- *Type:* string

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.marker"></a>

```typescript
public readonly marker: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker</a>[]

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `rightYaxis`<sup>Optional</sup> <a name="rightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.rightYaxis"></a>

```typescript
public readonly rightYaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>string</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType">displayType</a></code> | <code>string</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>string</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```typescript
public readonly displayType: string;
```

- *Type:* string

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionMarker.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType">displayType</a></code> | <code>string</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>[]</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis">onRightYaxis</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```typescript
public readonly displayType: string;
```

- *Type:* string

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```typescript
public readonly metadata: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata</a>[]

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```typescript
public readonly networkQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `onRightYaxis`<sup>Optional</sup> <a name="onRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```typescript
public readonly onRightYaxis: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>string</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">aliasName</a></code> | <code>string</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```typescript
public readonly expression: string;
```

- *Type:* string

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `aliasName`<sup>Optional</sup> <a name="aliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```typescript
public readonly aliasName: string;
```

- *Type:* string

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType">lineType</a></code> | <code>string</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">lineWidth</a></code> | <code>string</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `lineType`<sup>Optional</sup> <a name="lineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```typescript
public readonly lineType: string;
```

- *Type:* string

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `lineWidth`<sup>Optional</sup> <a name="lineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```typescript
public readonly lineWidth: string;
```

- *Type:* string

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis: dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinition <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle: dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetToplistDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTopologyMapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink: dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType">requestType</a></code> | <code>string</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```typescript
public readonly requestType: string;
```

- *Type:* string

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>string[]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>string</code> | The ID of the service to map. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```typescript
public readonly filters: string[];
```

- *Type:* string[]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition <a name="DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTraceServiceDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env">env</a></code> | <code>string</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName">spanName</a></code> | <code>string</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat">displayFormat</a></code> | <code>string</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown">showBreakdown</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution">showDistribution</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors">showErrors</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits">showHits</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency">showLatency</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList">showResourceList</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat">sizeFormat</a></code> | <code>string</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `spanName`<sup>Required</sup> <a name="spanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.spanName"></a>

```typescript
public readonly spanName: string;
```

- *Type:* string

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.displayFormat"></a>

```typescript
public readonly displayFormat: string;
```

- *Type:* string

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `showBreakdown`<sup>Optional</sup> <a name="showBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showBreakdown"></a>

```typescript
public readonly showBreakdown: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `showDistribution`<sup>Optional</sup> <a name="showDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showDistribution"></a>

```typescript
public readonly showDistribution: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `showErrors`<sup>Optional</sup> <a name="showErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showErrors"></a>

```typescript
public readonly showErrors: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `showHits`<sup>Optional</sup> <a name="showHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showHits"></a>

```typescript
public readonly showHits: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `showLatency`<sup>Optional</sup> <a name="showLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showLatency"></a>

```typescript
public readonly showLatency: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `showResourceList`<sup>Optional</sup> <a name="showResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.showResourceList"></a>

```typescript
public readonly showResourceList: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `sizeFormat`<sup>Optional</sup> <a name="sizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.sizeFormat"></a>

```typescript
public readonly sizeFormat: string;
```

- *Type:* string

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTraceServiceDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinition <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinition: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>[]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetGroupDefinitionWidgetWidgetLayout <a name="DashboardWidgetGroupDefinitionWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetGroupDefinitionWidgetWidgetLayout: dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height">height</a></code> | <code>number</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width">width</a></code> | <code>number</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x">x</a></code> | <code>number</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y">y</a></code> | <code>number</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak">isColumnBreak</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.height"></a>

```typescript
public readonly height: number;
```

- *Type:* number

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.width"></a>

```typescript
public readonly width: number;
```

- *Type:* number

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.x"></a>

```typescript
public readonly x: number;
```

- *Type:* number

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.y"></a>

```typescript
public readonly y: number;
```

- *Type:* number

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `isColumnBreak`<sup>Optional</sup> <a name="isColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetWidgetLayout.property.isColumnBreak"></a>

```typescript
public readonly isColumnBreak: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

### DashboardWidgetHeatmapDefinition <a name="DashboardWidgetHeatmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinition: dashboard.DashboardWidgetHeatmapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event">event</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>[]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetHeatmapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink">DashboardWidgetHeatmapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.event"></a>

```typescript
public readonly event: IResolvable | DashboardWidgetHeatmapDefinitionEvent[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent">DashboardWidgetHeatmapDefinitionEvent</a>[]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetHeatmapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest">DashboardWidgetHeatmapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetHeatmapDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis">DashboardWidgetHeatmapDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetHeatmapDefinitionCustomLink <a name="DashboardWidgetHeatmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionCustomLink: dashboard.DashboardWidgetHeatmapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHeatmapDefinitionEvent <a name="DashboardWidgetHeatmapDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionEvent: dashboard.DashboardWidgetHeatmapDefinitionEvent = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q">q</a></code> | <code>string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionEvent.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetHeatmapDefinitionRequest <a name="DashboardWidgetHeatmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequest: dashboard.DashboardWidgetHeatmapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetHeatmapDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery">DashboardWidgetHeatmapDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetHeatmapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery">DashboardWidgetHeatmapDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetHeatmapDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery">DashboardWidgetHeatmapDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetHeatmapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery">DashboardWidgetHeatmapDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetHeatmapDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetHeatmapDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle">DashboardWidgetHeatmapDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetHeatmapDefinitionRequestApmQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestApmQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestLogQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestProcessQuery <a name="DashboardWidgetHeatmapDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestProcessQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHeatmapDefinitionRequestRumQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestRumQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestSecurityQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHeatmapDefinitionRequestStyle <a name="DashboardWidgetHeatmapDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionRequestStyle: dashboard.DashboardWidgetHeatmapDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetHeatmapDefinitionYaxis <a name="DashboardWidgetHeatmapDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHeatmapDefinitionYaxis: dashboard.DashboardWidgetHeatmapDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHeatmapDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetHostmapDefinition <a name="DashboardWidgetHostmapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinition: dashboard.DashboardWidgetHostmapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group">group</a></code> | <code>string[]</code> | The list of tags to group nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType">nodeType</a></code> | <code>string</code> | The type of node used. Valid values are `host`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts">noGroupHosts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show ungrouped nodes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts">noMetricHosts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show nodes with no metrics. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope">scope</a></code> | <code>string[]</code> | The list of tags to filter nodes by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a></code> | style block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetHostmapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink">DashboardWidgetHostmapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `group`<sup>Optional</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.group"></a>

```typescript
public readonly group: string[];
```

- *Type:* string[]

The list of tags to group nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group Dashboard#group}

---

##### `nodeType`<sup>Optional</sup> <a name="nodeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.nodeType"></a>

```typescript
public readonly nodeType: string;
```

- *Type:* string

The type of node used. Valid values are `host`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#node_type Dashboard#node_type}

---

##### `noGroupHosts`<sup>Optional</sup> <a name="noGroupHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noGroupHosts"></a>

```typescript
public readonly noGroupHosts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show ungrouped nodes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_group_hosts Dashboard#no_group_hosts}

---

##### `noMetricHosts`<sup>Optional</sup> <a name="noMetricHosts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.noMetricHosts"></a>

```typescript
public readonly noMetricHosts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show nodes with no metrics.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#no_metric_hosts Dashboard#no_metric_hosts}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetHostmapDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest">DashboardWidgetHostmapDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `scope`<sup>Optional</sup> <a name="scope" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.scope"></a>

```typescript
public readonly scope: string[];
```

- *Type:* string[]

The list of tags to filter nodes by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scope Dashboard#scope}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.style"></a>

```typescript
public readonly style: DashboardWidgetHostmapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle">DashboardWidgetHostmapDefinitionStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetHostmapDefinitionCustomLink <a name="DashboardWidgetHostmapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionCustomLink: dashboard.DashboardWidgetHostmapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetHostmapDefinitionRequest <a name="DashboardWidgetHostmapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequest: dashboard.DashboardWidgetHostmapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill">fill</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>[]</code> | fill block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size">size</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>[]</code> | size block. |

---

##### `fill`<sup>Optional</sup> <a name="fill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.fill"></a>

```typescript
public readonly fill: IResolvable | DashboardWidgetHostmapDefinitionRequestFill[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill">DashboardWidgetHostmapDefinitionRequestFill</a>[]

fill block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill Dashboard#fill}

---

##### `size`<sup>Optional</sup> <a name="size" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequest.property.size"></a>

```typescript
public readonly size: IResolvable | DashboardWidgetHostmapDefinitionRequestSize[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize">DashboardWidgetHostmapDefinitionRequestSize</a>[]

size block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size Dashboard#size}

---

### DashboardWidgetHostmapDefinitionRequestFill <a name="DashboardWidgetHostmapDefinitionRequestFill" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFill: dashboard.DashboardWidgetHostmapDefinitionRequestFill = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetHostmapDefinitionRequestFillApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery">DashboardWidgetHostmapDefinitionRequestFillApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetHostmapDefinitionRequestFillLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery">DashboardWidgetHostmapDefinitionRequestFillLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetHostmapDefinitionRequestFillProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery">DashboardWidgetHostmapDefinitionRequestFillProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetHostmapDefinitionRequestFillRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery">DashboardWidgetHostmapDefinitionRequestFillRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFill.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetHostmapDefinitionRequestFillSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillApmQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillLogQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestFillProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillProcessQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillRumQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillSecurityQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestFillSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSize <a name="DashboardWidgetHostmapDefinitionRequestSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSize: dashboard.DashboardWidgetHostmapDefinitionRequestSize = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetHostmapDefinitionRequestSizeApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetHostmapDefinitionRequestSizeLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetHostmapDefinitionRequestSizeProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery">DashboardWidgetHostmapDefinitionRequestSizeProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetHostmapDefinitionRequestSizeRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSize.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeApmQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeLogQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeProcessQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeProcessQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeRumQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeSecurityQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy: dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery">DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute <a name="DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute: dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionRequestSizeSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetHostmapDefinitionStyle <a name="DashboardWidgetHostmapDefinitionStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetHostmapDefinitionStyle: dashboard.DashboardWidgetHostmapDefinitionStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax">fillMax</a></code> | <code>string</code> | The max value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin">fillMin</a></code> | <code>string</code> | The min value to use to color the map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip">paletteFlip</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to flip the palette tones. |

---

##### `fillMax`<sup>Optional</sup> <a name="fillMax" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMax"></a>

```typescript
public readonly fillMax: string;
```

- *Type:* string

The max value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_max Dashboard#fill_max}

---

##### `fillMin`<sup>Optional</sup> <a name="fillMin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.fillMin"></a>

```typescript
public readonly fillMin: string;
```

- *Type:* string

The min value to use to color the map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#fill_min Dashboard#fill_min}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteFlip`<sup>Optional</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetHostmapDefinitionStyle.property.paletteFlip"></a>

```typescript
public readonly paletteFlip: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to flip the palette tones.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_flip Dashboard#palette_flip}

---

### DashboardWidgetIframeDefinition <a name="DashboardWidgetIframeDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetIframeDefinition: dashboard.DashboardWidgetIframeDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url">url</a></code> | <code>string</code> | The URL to use as a data source for the widget. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetIframeDefinition.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

### DashboardWidgetImageDefinition <a name="DashboardWidgetImageDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetImageDefinition: dashboard.DashboardWidgetImageDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url">url</a></code> | <code>string</code> | The URL to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground">hasBackground</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to display a background or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder">hasBorder</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to display a border or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign">horizontalAlign</a></code> | <code>string</code> | The horizontal alignment for the widget. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin">margin</a></code> | <code>string</code> | The margins to use around the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing">sizing</a></code> | <code>string</code> | The preferred method to adapt the dimensions of the image. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme">urlDarkTheme</a></code> | <code>string</code> | The URL in dark mode to use as a data source for the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign">verticalAlign</a></code> | <code>string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `url`<sup>Required</sup> <a name="url" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.url"></a>

```typescript
public readonly url: string;
```

- *Type:* string

The URL to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url Dashboard#url}

---

##### `hasBackground`<sup>Optional</sup> <a name="hasBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBackground"></a>

```typescript
public readonly hasBackground: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to display a background or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_background Dashboard#has_background}

---

##### `hasBorder`<sup>Optional</sup> <a name="hasBorder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.hasBorder"></a>

```typescript
public readonly hasBorder: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to display a border or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_border Dashboard#has_border}

---

##### `horizontalAlign`<sup>Optional</sup> <a name="horizontalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.horizontalAlign"></a>

```typescript
public readonly horizontalAlign: string;
```

- *Type:* string

The horizontal alignment for the widget. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#horizontal_align Dashboard#horizontal_align}

---

##### `margin`<sup>Optional</sup> <a name="margin" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.margin"></a>

```typescript
public readonly margin: string;
```

- *Type:* string

The margins to use around the image.

Note: `small` and `large` values are deprecated. Valid values are `sm`, `md`, `lg`, `small`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#margin Dashboard#margin}

---

##### `sizing`<sup>Optional</sup> <a name="sizing" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.sizing"></a>

```typescript
public readonly sizing: string;
```

- *Type:* string

The preferred method to adapt the dimensions of the image.

The values are based on the image `object-fit` CSS properties. Note: `zoom`, `fit` and `center` values are deprecated. Valid values are `fill`, `contain`, `cover`, `none`, `scale-down`, `zoom`, `fit`, `center`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sizing Dashboard#sizing}

---

##### `urlDarkTheme`<sup>Optional</sup> <a name="urlDarkTheme" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.urlDarkTheme"></a>

```typescript
public readonly urlDarkTheme: string;
```

- *Type:* string

The URL in dark mode to use as a data source for the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#url_dark_theme Dashboard#url_dark_theme}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetImageDefinition.property.verticalAlign"></a>

```typescript
public readonly verticalAlign: string;
```

- *Type:* string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetListStreamDefinition <a name="DashboardWidgetListStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetListStreamDefinition: dashboard.DashboardWidgetListStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title. Default is 16. |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetListStreamDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest">DashboardWidgetListStreamDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetListStreamDefinitionRequest <a name="DashboardWidgetListStreamDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetListStreamDefinitionRequest: dashboard.DashboardWidgetListStreamDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat">responseFormat</a></code> | <code>string</code> | Widget response format. Valid values are `event_list`. |

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetListStreamDefinitionRequestColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns">DashboardWidgetListStreamDefinitionRequestColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.query"></a>

```typescript
public readonly query: DashboardWidgetListStreamDefinitionRequestQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery">DashboardWidgetListStreamDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `responseFormat`<sup>Required</sup> <a name="responseFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequest.property.responseFormat"></a>

```typescript
public readonly responseFormat: string;
```

- *Type:* string

Widget response format. Valid values are `event_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#response_format Dashboard#response_format}

---

### DashboardWidgetListStreamDefinitionRequestColumns <a name="DashboardWidgetListStreamDefinitionRequestColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetListStreamDefinitionRequestColumns: dashboard.DashboardWidgetListStreamDefinitionRequestColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field">field</a></code> | <code>string</code> | Widget column field. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width">width</a></code> | <code>string</code> | Widget column width. Valid values are `auto`, `compact`, `full`. |

---

##### `field`<sup>Required</sup> <a name="field" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.field"></a>

```typescript
public readonly field: string;
```

- *Type:* string

Widget column field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#field Dashboard#field}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestColumns.property.width"></a>

```typescript
public readonly width: string;
```

- *Type:* string

Widget column width. Valid values are `auto`, `compact`, `full`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

### DashboardWidgetListStreamDefinitionRequestQuery <a name="DashboardWidgetListStreamDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetListStreamDefinitionRequestQuery: dashboard.DashboardWidgetListStreamDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>string</code> | Source from which to query items to display in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize">eventSize</a></code> | <code>string</code> | Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes">indexes</a></code> | <code>string[]</code> | List of indexes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

Source from which to query items to display in the stream.

Valid values are `logs_stream`, `audit_stream`, `ci_pipeline_stream`, `ci_test_stream`, `rum_issue_stream`, `apm_issue_stream`, `logs_issue_stream`, `logs_pattern_stream`, `logs_transaction_stream`, `event_stream`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `eventSize`<sup>Optional</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.eventSize"></a>

```typescript
public readonly eventSize: string;
```

- *Type:* string

Size of events displayed in widget. Required if `data_source` is `event_stream`. Valid values are `s`, `l`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_size Dashboard#event_size}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

List of indexes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `queryString`<sup>Optional</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.queryString"></a>

```typescript
public readonly queryString: string;
```

- *Type:* string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetListStreamDefinitionRequestQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetLogStreamDefinition <a name="DashboardWidgetLogStreamDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetLogStreamDefinition: dashboard.DashboardWidgetLogStreamDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns">columns</a></code> | <code>string[]</code> | Stringified list of columns to use, for example: `["column1","column2","column3"]`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay">messageDisplay</a></code> | <code>string</code> | The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn">showDateColumn</a></code> | <code>boolean \| cdktf.IResolvable</code> | If the date column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn">showMessageColumn</a></code> | <code>boolean \| cdktf.IResolvable</code> | If the message column should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a></code> | sort block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.columns"></a>

```typescript
public readonly columns: string[];
```

- *Type:* string[]

Stringified list of columns to use, for example: `["column1","column2","column3"]`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `messageDisplay`<sup>Optional</sup> <a name="messageDisplay" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.messageDisplay"></a>

```typescript
public readonly messageDisplay: string;
```

- *Type:* string

The number of log lines to display. Valid values are `inline`, `expanded-md`, `expanded-lg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#message_display Dashboard#message_display}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `showDateColumn`<sup>Optional</sup> <a name="showDateColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showDateColumn"></a>

```typescript
public readonly showDateColumn: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If the date column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_date_column Dashboard#show_date_column}

---

##### `showMessageColumn`<sup>Optional</sup> <a name="showMessageColumn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.showMessageColumn"></a>

```typescript
public readonly showMessageColumn: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

If the message column should be displayed.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_message_column Dashboard#show_message_column}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetLogStreamDefinitionSort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort">DashboardWidgetLogStreamDefinitionSort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetLogStreamDefinitionSort <a name="DashboardWidgetLogStreamDefinitionSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetLogStreamDefinitionSort: dashboard.DashboardWidgetLogStreamDefinitionSort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column">column</a></code> | <code>string</code> | The facet path for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `column`<sup>Required</sup> <a name="column" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.column"></a>

```typescript
public readonly column: string;
```

- *Type:* string

The facet path for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#column Dashboard#column}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetLogStreamDefinitionSort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetManageStatusDefinition <a name="DashboardWidgetManageStatusDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetManageStatusDefinition: dashboard.DashboardWidgetManageStatusDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query">query</a></code> | <code>string</code> | The query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference">colorPreference</a></code> | <code>string</code> | Whether to colorize text or background. Valid values are `background`, `text`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat">displayFormat</a></code> | <code>string</code> | The display setting to use. Valid values are `counts`, `countsAndList`, `list`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts">hideZeroCounts</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to hide empty categories. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered">showLastTriggered</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to show when monitors/groups last triggered. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority">showPriority</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the priorities column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort">sort</a></code> | <code>string</code> | The method to sort the monitors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType">summaryType</a></code> | <code>string</code> | The summary type to use. Valid values are `monitors`, `groups`, `combined`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `colorPreference`<sup>Optional</sup> <a name="colorPreference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.colorPreference"></a>

```typescript
public readonly colorPreference: string;
```

- *Type:* string

Whether to colorize text or background. Valid values are `background`, `text`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_preference Dashboard#color_preference}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.displayFormat"></a>

```typescript
public readonly displayFormat: string;
```

- *Type:* string

The display setting to use. Valid values are `counts`, `countsAndList`, `list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `hideZeroCounts`<sup>Optional</sup> <a name="hideZeroCounts" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.hideZeroCounts"></a>

```typescript
public readonly hideZeroCounts: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to hide empty categories.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_zero_counts Dashboard#hide_zero_counts}

---

##### `showLastTriggered`<sup>Optional</sup> <a name="showLastTriggered" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showLastTriggered"></a>

```typescript
public readonly showLastTriggered: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to show when monitors/groups last triggered.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_last_triggered Dashboard#show_last_triggered}

---

##### `showPriority`<sup>Optional</sup> <a name="showPriority" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.showPriority"></a>

```typescript
public readonly showPriority: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the priorities column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_priority Dashboard#show_priority}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The method to sort the monitors.

Valid values are `name`, `group`, `status`, `tags`, `triggered`, `group,asc`, `group,desc`, `name,asc`, `name,desc`, `status,asc`, `status,desc`, `tags,asc`, `tags,desc`, `triggered,asc`, `triggered,desc`, `priority,asc`, `priority,desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `summaryType`<sup>Optional</sup> <a name="summaryType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.summaryType"></a>

```typescript
public readonly summaryType: string;
```

- *Type:* string

The summary type to use. Valid values are `monitors`, `groups`, `combined`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#summary_type Dashboard#summary_type}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetManageStatusDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetNoteDefinition <a name="DashboardWidgetNoteDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetNoteDefinition: dashboard.DashboardWidgetNoteDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content">content</a></code> | <code>string</code> | The content of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor">backgroundColor</a></code> | <code>string</code> | The background color of the note. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize">fontSize</a></code> | <code>string</code> | The size of the text. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding">hasPadding</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to add padding or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick">showTick</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show a tick or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge">tickEdge</a></code> | <code>string</code> | When `tick = true`, a string indicating on which side of the widget the tick should be displayed. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos">tickPos</a></code> | <code>string</code> | When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign">verticalAlign</a></code> | <code>string</code> | The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`. |

---

##### `content`<sup>Required</sup> <a name="content" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.content"></a>

```typescript
public readonly content: string;
```

- *Type:* string

The content of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#content Dashboard#content}

---

##### `backgroundColor`<sup>Optional</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.backgroundColor"></a>

```typescript
public readonly backgroundColor: string;
```

- *Type:* string

The background color of the note.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#background_color Dashboard#background_color}

---

##### `fontSize`<sup>Optional</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.fontSize"></a>

```typescript
public readonly fontSize: string;
```

- *Type:* string

The size of the text.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#font_size Dashboard#font_size}

---

##### `hasPadding`<sup>Optional</sup> <a name="hasPadding" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.hasPadding"></a>

```typescript
public readonly hasPadding: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to add padding or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_padding Dashboard#has_padding}

---

##### `showTick`<sup>Optional</sup> <a name="showTick" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.showTick"></a>

```typescript
public readonly showTick: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show a tick or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_tick Dashboard#show_tick}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `tickEdge`<sup>Optional</sup> <a name="tickEdge" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickEdge"></a>

```typescript
public readonly tickEdge: string;
```

- *Type:* string

When `tick = true`, a string indicating on which side of the widget the tick should be displayed.

Valid values are `bottom`, `left`, `right`, `top`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_edge Dashboard#tick_edge}

---

##### `tickPos`<sup>Optional</sup> <a name="tickPos" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.tickPos"></a>

```typescript
public readonly tickPos: string;
```

- *Type:* string

When `tick = true`, a string with a percent sign indicating the position of the tick, for example: `tick_pos = "50%"` is centered alignment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tick_pos Dashboard#tick_pos}

---

##### `verticalAlign`<sup>Optional</sup> <a name="verticalAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetNoteDefinition.property.verticalAlign"></a>

```typescript
public readonly verticalAlign: string;
```

- *Type:* string

The vertical alignment for the widget. Valid values are `center`, `top`, `bottom`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#vertical_align Dashboard#vertical_align}

---

### DashboardWidgetQueryTableDefinition <a name="DashboardWidgetQueryTableDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinition: dashboard.DashboardWidgetQueryTableDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar">hasSearchBar</a></code> | <code>string</code> | Controls the display of the search bar. Valid values are `always`, `never`, `auto`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetQueryTableDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink">DashboardWidgetQueryTableDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hasSearchBar`<sup>Optional</sup> <a name="hasSearchBar" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.hasSearchBar"></a>

```typescript
public readonly hasSearchBar: string;
```

- *Type:* string

Controls the display of the search bar. Valid values are `always`, `never`, `auto`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#has_search_bar Dashboard#has_search_bar}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetQueryTableDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest">DashboardWidgetQueryTableDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryTableDefinitionCustomLink <a name="DashboardWidgetQueryTableDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionCustomLink: dashboard.DashboardWidgetQueryTableDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryTableDefinitionRequest <a name="DashboardWidgetQueryTableDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequest: dashboard.DashboardWidgetQueryTableDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias">alias</a></code> | <code>string</code> | The alias for the column name (defaults to metric name). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a></code> | apm_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string[]</code> | A list of display modes for each table cell. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit">limit</a></code> | <code>number</code> | The number of lines to show in the table. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order">order</a></code> | <code>string</code> | The sort order for the rows. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

The alias for the column name (defaults to metric name).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetQueryTableDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery">DashboardWidgetQueryTableDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `apmStatsQuery`<sup>Optional</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.apmStatsQuery"></a>

```typescript
public readonly apmStatsQuery: DashboardWidgetQueryTableDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery">DashboardWidgetQueryTableDefinitionRequestApmStatsQuery</a>

apm_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_stats_query Dashboard#apm_stats_query}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string[];
```

- *Type:* string[]

A list of display modes for each table cell.

List items one of `number`, `bar`. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetQueryTableDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats">DashboardWidgetQueryTableDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetQueryTableDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula">DashboardWidgetQueryTableDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of lines to show in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetQueryTableDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery">DashboardWidgetQueryTableDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The sort order for the rows. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetQueryTableDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery">DashboardWidgetQueryTableDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetQueryTableDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery">DashboardWidgetQueryTableDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetQueryTableDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery">DashboardWidgetQueryTableDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetQueryTableDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmStatsQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env">env</a></code> | <code>string</code> | The environment name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name">name</a></code> | <code>string</code> | The operation name associated with the service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag">primaryTag</a></code> | <code>string</code> | The organization's host group name and value. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType">rowType</a></code> | <code>string</code> | The level of detail for the request. Valid values are `service`, `resource`, `span`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service">service</a></code> | <code>string</code> | The service name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns">columns</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>[]</code> | columns block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource">resource</a></code> | <code>string</code> | The resource name. |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

The environment name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The operation name associated with the service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.primaryTag"></a>

```typescript
public readonly primaryTag: string;
```

- *Type:* string

The organization's host group name and value.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag Dashboard#primary_tag}

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.rowType"></a>

```typescript
public readonly rowType: string;
```

- *Type:* string

The level of detail for the request. Valid values are `service`, `resource`, `span`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#row_type Dashboard#row_type}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The service name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `columns`<sup>Optional</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.columns"></a>

```typescript
public readonly columns: IResolvable | DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns">DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns</a>[]

columns block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#columns Dashboard#columns}

---

##### `resource`<sup>Optional</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQuery.property.resource"></a>

```typescript
public readonly resource: string;
```

- *Type:* string

The resource name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource Dashboard#resource}

---

### DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns <a name="DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns: dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name">name</a></code> | <code>string</code> | The column name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias">alias</a></code> | <code>string</code> | A user-assigned alias for the column. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The column name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

A user-assigned alias for the column.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestApmStatsQueryColumns.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestConditionalFormats: dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormula <a name="DashboardWidgetQueryTableDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestFormula: dashboard.DashboardWidgetQueryTableDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetQueryTableDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit">DashboardWidgetQueryTableDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetQueryTableDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle">DashboardWidgetQueryTableDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryTableDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestFormulaLimit: dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryTableDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestFormulaStyle: dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryTableDefinitionRequestLogQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestLogQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestProcessQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryTableDefinitionRequestQuery <a name="DashboardWidgetQueryTableDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetQueryTableDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery">DashboardWidgetQueryTableDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery">DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery">DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryTableDefinitionRequestRumQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestRumQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestSecurityQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryTableDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinition <a name="DashboardWidgetQueryValueDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinition: dashboard.DashboardWidgetQueryValueDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale">autoscale</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether to automatically scale the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit">customUnit</a></code> | <code>string</code> | The unit for the value displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision">precision</a></code> | <code>number</code> | The precision to use when displaying the tile. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign">textAlign</a></code> | <code>string</code> | The alignment of the widget's text. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground">timeseriesBackground</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a></code> | timeseries_background block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `autoscale`<sup>Optional</sup> <a name="autoscale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.autoscale"></a>

```typescript
public readonly autoscale: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether to automatically scale the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#autoscale Dashboard#autoscale}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetQueryValueDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink">DashboardWidgetQueryValueDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `customUnit`<sup>Optional</sup> <a name="customUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.customUnit"></a>

```typescript
public readonly customUnit: string;
```

- *Type:* string

The unit for the value displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_unit Dashboard#custom_unit}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `precision`<sup>Optional</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

The precision to use when displaying the tile.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#precision Dashboard#precision}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetQueryValueDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest">DashboardWidgetQueryValueDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `textAlign`<sup>Optional</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

The alignment of the widget's text. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_align Dashboard#text_align}

---

##### `timeseriesBackground`<sup>Optional</sup> <a name="timeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.timeseriesBackground"></a>

```typescript
public readonly timeseriesBackground: DashboardWidgetQueryValueDefinitionTimeseriesBackground;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground">DashboardWidgetQueryValueDefinitionTimeseriesBackground</a>

timeseries_background block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeseries_background Dashboard#timeseries_background}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetQueryValueDefinitionCustomLink <a name="DashboardWidgetQueryValueDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionCustomLink: dashboard.DashboardWidgetQueryValueDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetQueryValueDefinitionRequest <a name="DashboardWidgetQueryValueDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequest: dashboard.DashboardWidgetQueryValueDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregator to use for time aggregation. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetQueryValueDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery">DashboardWidgetQueryValueDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetQueryValueDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery">DashboardWidgetQueryValueDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetQueryValueDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats">DashboardWidgetQueryValueDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetQueryValueDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula">DashboardWidgetQueryValueDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetQueryValueDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery">DashboardWidgetQueryValueDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetQueryValueDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery">DashboardWidgetQueryValueDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetQueryValueDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery">DashboardWidgetQueryValueDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetQueryValueDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery">DashboardWidgetQueryValueDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetQueryValueDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestApmQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestAuditQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestConditionalFormats: dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormula <a name="DashboardWidgetQueryValueDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestFormula: dashboard.DashboardWidgetQueryValueDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats">DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetQueryValueDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit">DashboardWidgetQueryValueDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetQueryValueDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle">DashboardWidgetQueryValueDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaLimit <a name="DashboardWidgetQueryValueDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestFormulaLimit: dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestFormulaStyle <a name="DashboardWidgetQueryValueDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestFormulaStyle: dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetQueryValueDefinitionRequestLogQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestLogQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestProcessQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetQueryValueDefinitionRequestQuery <a name="DashboardWidgetQueryValueDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetQueryValueDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery">DashboardWidgetQueryValueDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery">DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery">DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch">DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery <a name="DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetQueryValueDefinitionRequestRumQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestRumQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestSecurityQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackground <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackground" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionTimeseriesBackground: dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type">type</a></code> | <code>string</code> | Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a></code> | yaxis block. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

Whether the Timeseries is made using an area or bars. Valid values are `bars`, `area`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackground.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis">DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis <a name="DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis: dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetQueryValueDefinitionTimeseriesBackgroundYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetRunWorkflowDefinition <a name="DashboardWidgetRunWorkflowDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetRunWorkflowDefinition: dashboard.DashboardWidgetRunWorkflowDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId">workflowId</a></code> | <code>string</code> | Workflow ID. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input">input</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>[]</code> | input block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `workflowId`<sup>Required</sup> <a name="workflowId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.workflowId"></a>

```typescript
public readonly workflowId: string;
```

- *Type:* string

Workflow ID.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#workflow_id Dashboard#workflow_id}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetRunWorkflowDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink">DashboardWidgetRunWorkflowDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `input`<sup>Optional</sup> <a name="input" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.input"></a>

```typescript
public readonly input: IResolvable | DashboardWidgetRunWorkflowDefinitionInput[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput">DashboardWidgetRunWorkflowDefinitionInput</a>[]

input block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#input Dashboard#input}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetRunWorkflowDefinitionCustomLink <a name="DashboardWidgetRunWorkflowDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetRunWorkflowDefinitionCustomLink: dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetRunWorkflowDefinitionInput <a name="DashboardWidgetRunWorkflowDefinitionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetRunWorkflowDefinitionInput: dashboard.DashboardWidgetRunWorkflowDefinitionInput = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name">name</a></code> | <code>string</code> | Name of the workflow input. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value">value</a></code> | <code>string</code> | Dashboard template variable. Can be suffixed with `.value` or `.key`. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

Name of the workflow input.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetRunWorkflowDefinitionInput.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

Dashboard template variable. Can be suffixed with `.value` or `.key`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

### DashboardWidgetScatterplotDefinition <a name="DashboardWidgetScatterplotDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinition: dashboard.DashboardWidgetScatterplotDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups">colorByGroups</a></code> | <code>string[]</code> | List of groups used for colors. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis">xaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a></code> | xaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a></code> | yaxis block. |

---

##### `colorByGroups`<sup>Optional</sup> <a name="colorByGroups" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.colorByGroups"></a>

```typescript
public readonly colorByGroups: string[];
```

- *Type:* string[]

List of groups used for colors.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#color_by_groups Dashboard#color_by_groups}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetScatterplotDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink">DashboardWidgetScatterplotDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetScatterplotDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest">DashboardWidgetScatterplotDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `xaxis`<sup>Optional</sup> <a name="xaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.xaxis"></a>

```typescript
public readonly xaxis: DashboardWidgetScatterplotDefinitionXaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis">DashboardWidgetScatterplotDefinitionXaxis</a>

xaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#xaxis Dashboard#xaxis}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetScatterplotDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis">DashboardWidgetScatterplotDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetScatterplotDefinitionCustomLink <a name="DashboardWidgetScatterplotDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionCustomLink: dashboard.DashboardWidgetScatterplotDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetScatterplotDefinitionRequest <a name="DashboardWidgetScatterplotDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequest: dashboard.DashboardWidgetScatterplotDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable">scatterplotTable</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>[]</code> | scatterplot_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x">x</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>[]</code> | x block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y">y</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>[]</code> | y block. |

---

##### `scatterplotTable`<sup>Optional</sup> <a name="scatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.scatterplotTable"></a>

```typescript
public readonly scatterplotTable: IResolvable | DashboardWidgetScatterplotDefinitionRequestScatterplotTable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable">DashboardWidgetScatterplotDefinitionRequestScatterplotTable</a>[]

scatterplot_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scatterplot_table Dashboard#scatterplot_table}

---

##### `x`<sup>Optional</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.x"></a>

```typescript
public readonly x: IResolvable | DashboardWidgetScatterplotDefinitionRequestX[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX">DashboardWidgetScatterplotDefinitionRequestX</a>[]

x block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Optional</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequest.property.y"></a>

```typescript
public readonly y: IResolvable | DashboardWidgetScatterplotDefinitionRequestY[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY">DashboardWidgetScatterplotDefinitionRequestY</a>[]

y block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTable <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTable: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>[]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula">DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTable.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension">dimension</a></code> | <code>string</code> | Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |

---

##### `dimension`<sup>Required</sup> <a name="dimension" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.dimension"></a>

```typescript
public readonly dimension: string;
```

- *Type:* string

Dimension of the Scatterplot. Valid values are `x`, `y`, `radius`, `color`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#dimension Dashboard#dimension}

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort">DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestScatterplotTableQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetScatterplotDefinitionRequestX <a name="DashboardWidgetScatterplotDefinitionRequestX" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestX: dashboard.DashboardWidgetScatterplotDefinitionRequestX = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator">aggregator</a></code> | <code>string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetScatterplotDefinitionRequestXApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery">DashboardWidgetScatterplotDefinitionRequestXApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetScatterplotDefinitionRequestXLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery">DashboardWidgetScatterplotDefinitionRequestXLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetScatterplotDefinitionRequestXProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery">DashboardWidgetScatterplotDefinitionRequestXProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetScatterplotDefinitionRequestXRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery">DashboardWidgetScatterplotDefinitionRequestXRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestX.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetScatterplotDefinitionRequestXSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXApmQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXLogQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestXProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXProcessQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXRumQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXSecurityQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestXSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestY <a name="DashboardWidgetScatterplotDefinitionRequestY" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestY: dashboard.DashboardWidgetScatterplotDefinitionRequestY = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator">aggregator</a></code> | <code>string</code> | Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a></code> | security_query block. |

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

Aggregator used for the request. Valid values are `avg`, `last`, `max`, `min`, `sum`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetScatterplotDefinitionRequestYApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery">DashboardWidgetScatterplotDefinitionRequestYApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetScatterplotDefinitionRequestYLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery">DashboardWidgetScatterplotDefinitionRequestYLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetScatterplotDefinitionRequestYProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery">DashboardWidgetScatterplotDefinitionRequestYProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetScatterplotDefinitionRequestYRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery">DashboardWidgetScatterplotDefinitionRequestYRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestY.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetScatterplotDefinitionRequestYSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYApmQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYLogQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYProcessQuery <a name="DashboardWidgetScatterplotDefinitionRequestYProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYProcessQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYRumQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYSecurityQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy: dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery">DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute <a name="DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute: dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionRequestYSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetScatterplotDefinitionXaxis <a name="DashboardWidgetScatterplotDefinitionXaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionXaxis: dashboard.DashboardWidgetScatterplotDefinitionXaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionXaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetScatterplotDefinitionYaxis <a name="DashboardWidgetScatterplotDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetScatterplotDefinitionYaxis: dashboard.DashboardWidgetScatterplotDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetScatterplotDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetServiceLevelObjectiveDefinition <a name="DashboardWidgetServiceLevelObjectiveDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetServiceLevelObjectiveDefinition: dashboard.DashboardWidgetServiceLevelObjectiveDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId">sloId</a></code> | <code>string</code> | The ID of the service level objective used by the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows">timeWindows</a></code> | <code>string[]</code> | A list of time windows to display in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode">viewMode</a></code> | <code>string</code> | The view mode for the widget. Valid values are `overall`, `component`, `both`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType">viewType</a></code> | <code>string</code> | The type of view to use when displaying the widget. Only `detail` is supported. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget">globalTimeTarget</a></code> | <code>string</code> | The global time target of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget">showErrorBudget</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the error budget or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `sloId`<sup>Required</sup> <a name="sloId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.sloId"></a>

```typescript
public readonly sloId: string;
```

- *Type:* string

The ID of the service level objective used by the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#slo_id Dashboard#slo_id}

---

##### `timeWindows`<sup>Required</sup> <a name="timeWindows" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.timeWindows"></a>

```typescript
public readonly timeWindows: string[];
```

- *Type:* string[]

A list of time windows to display in the widget.

Valid values are `7d`, `30d`, `90d`, `week_to_date`, `previous_week`, `month_to_date`, `previous_month`, `global_time`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#time_windows Dashboard#time_windows}

---

##### `viewMode`<sup>Required</sup> <a name="viewMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewMode"></a>

```typescript
public readonly viewMode: string;
```

- *Type:* string

The view mode for the widget. Valid values are `overall`, `component`, `both`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_mode Dashboard#view_mode}

---

##### `viewType`<sup>Required</sup> <a name="viewType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.viewType"></a>

```typescript
public readonly viewType: string;
```

- *Type:* string

The type of view to use when displaying the widget. Only `detail` is supported.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#view_type Dashboard#view_type}

---

##### `globalTimeTarget`<sup>Optional</sup> <a name="globalTimeTarget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.globalTimeTarget"></a>

```typescript
public readonly globalTimeTarget: string;
```

- *Type:* string

The global time target of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#global_time_target Dashboard#global_time_target}

---

##### `showErrorBudget`<sup>Optional</sup> <a name="showErrorBudget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.showErrorBudget"></a>

```typescript
public readonly showErrorBudget: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the error budget or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_error_budget Dashboard#show_error_budget}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServiceLevelObjectiveDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinition <a name="DashboardWidgetServicemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetServicemapDefinition: dashboard.DashboardWidgetServicemapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters">filters</a></code> | <code>string[]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service">service</a></code> | <code>string</code> | The ID of the service to map. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.filters"></a>

```typescript
public readonly filters: string[];
```

- *Type:* string[]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetServicemapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink">DashboardWidgetServicemapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetServicemapDefinitionCustomLink <a name="DashboardWidgetServicemapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetServicemapDefinitionCustomLink: dashboard.DashboardWidgetServicemapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetServicemapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSloListDefinition <a name="DashboardWidgetSloListDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSloListDefinition: dashboard.DashboardWidgetSloListDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a></code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.request"></a>

```typescript
public readonly request: DashboardWidgetSloListDefinitionRequest;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest">DashboardWidgetSloListDefinitionRequest</a>

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSloListDefinitionRequest <a name="DashboardWidgetSloListDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSloListDefinitionRequest: dashboard.DashboardWidgetSloListDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a></code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType">requestType</a></code> | <code>string</code> | The request type for the SLO List request. Valid values are `slo_list`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.query"></a>

```typescript
public readonly query: DashboardWidgetSloListDefinitionRequestQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery">DashboardWidgetSloListDefinitionRequestQuery</a>

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequest.property.requestType"></a>

```typescript
public readonly requestType: string;
```

- *Type:* string

The request type for the SLO List request. Valid values are `slo_list`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetSloListDefinitionRequestQuery <a name="DashboardWidgetSloListDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSloListDefinitionRequestQuery: dashboard.DashboardWidgetSloListDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString">queryString</a></code> | <code>string</code> | Widget query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit">limit</a></code> | <code>number</code> | Maximum number of results to display in the table. |

---

##### `queryString`<sup>Required</sup> <a name="queryString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.queryString"></a>

```typescript
public readonly queryString: string;
```

- *Type:* string

Widget query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query_string Dashboard#query_string}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSloListDefinitionRequestQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

Maximum number of results to display in the table.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

### DashboardWidgetSunburstDefinition <a name="DashboardWidgetSunburstDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinition: dashboard.DashboardWidgetSunburstDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal">hideTotal</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the total value in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline">legendInline</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a></code> | legend_inline block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable">legendTable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a></code> | legend_table block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title. Default is 16. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetSunburstDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink">DashboardWidgetSunburstDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `hideTotal`<sup>Optional</sup> <a name="hideTotal" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.hideTotal"></a>

```typescript
public readonly hideTotal: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the total value in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_total Dashboard#hide_total}

---

##### `legendInline`<sup>Optional</sup> <a name="legendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendInline"></a>

```typescript
public readonly legendInline: DashboardWidgetSunburstDefinitionLegendInline;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline">DashboardWidgetSunburstDefinitionLegendInline</a>

legend_inline block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_inline Dashboard#legend_inline}

---

##### `legendTable`<sup>Optional</sup> <a name="legendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.legendTable"></a>

```typescript
public readonly legendTable: DashboardWidgetSunburstDefinitionLegendTable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable">DashboardWidgetSunburstDefinitionLegendTable</a>

legend_table block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_table Dashboard#legend_table}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetSunburstDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest">DashboardWidgetSunburstDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. One of `left`, `center`, or `right`. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title. Default is 16.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetSunburstDefinitionCustomLink <a name="DashboardWidgetSunburstDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionCustomLink: dashboard.DashboardWidgetSunburstDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetSunburstDefinitionLegendInline <a name="DashboardWidgetSunburstDefinitionLegendInline" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionLegendInline: dashboard.DashboardWidgetSunburstDefinitionLegendInline = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type">type</a></code> | <code>string</code> | The type of legend (inline or automatic). Valid values are `inline`, `automatic`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent">hidePercent</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to hide the percentages of the groups. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to hide the values of the groups. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

The type of legend (inline or automatic). Valid values are `inline`, `automatic`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

##### `hidePercent`<sup>Optional</sup> <a name="hidePercent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hidePercent"></a>

```typescript
public readonly hidePercent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to hide the percentages of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_percent Dashboard#hide_percent}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendInline.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to hide the values of the groups.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

### DashboardWidgetSunburstDefinitionLegendTable <a name="DashboardWidgetSunburstDefinitionLegendTable" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionLegendTable: dashboard.DashboardWidgetSunburstDefinitionLegendTable = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type">type</a></code> | <code>string</code> | The type of legend (table or none). Valid values are `table`, `none`. |

---

##### `type`<sup>Required</sup> <a name="type" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionLegendTable.property.type"></a>

```typescript
public readonly type: string;
```

- *Type:* string

The type of legend (table or none). Valid values are `table`, `none`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#type Dashboard#type}

---

### DashboardWidgetSunburstDefinitionRequest <a name="DashboardWidgetSunburstDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequest: dashboard.DashboardWidgetSunburstDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a></code> | security_query block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetSunburstDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery">DashboardWidgetSunburstDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetSunburstDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery">DashboardWidgetSunburstDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetSunburstDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula">DashboardWidgetSunburstDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetSunburstDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery">DashboardWidgetSunburstDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.networkQuery"></a>

```typescript
public readonly networkQuery: DashboardWidgetSunburstDefinitionRequestNetworkQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery">DashboardWidgetSunburstDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetSunburstDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery">DashboardWidgetSunburstDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetSunburstDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery">DashboardWidgetSunburstDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetSunburstDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery">DashboardWidgetSunburstDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetSunburstDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery">DashboardWidgetSunburstDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestApmQuery: dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestAuditQuery: dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestFormula <a name="DashboardWidgetSunburstDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestFormula: dashboard.DashboardWidgetSunburstDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats">DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetSunburstDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit">DashboardWidgetSunburstDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetSunburstDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle">DashboardWidgetSunburstDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetSunburstDefinitionRequestFormulaLimit <a name="DashboardWidgetSunburstDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestFormulaLimit: dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestFormulaStyle <a name="DashboardWidgetSunburstDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestFormulaStyle: dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetSunburstDefinitionRequestLogQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestLogQuery: dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestNetworkQuery: dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestProcessQuery: dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetSunburstDefinitionRequestQuery <a name="DashboardWidgetSunburstDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetSunburstDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery">DashboardWidgetSunburstDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetSunburstDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery">DashboardWidgetSunburstDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetSunburstDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery">DashboardWidgetSunburstDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute">DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch">DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetSunburstDefinitionRequestQueryMetricQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetSunburstDefinitionRequestQueryProcessQuery <a name="DashboardWidgetSunburstDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetSunburstDefinitionRequestRumQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestRumQuery: dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestSecurityQuery: dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetSunburstDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinition <a name="DashboardWidgetTimeseriesDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinition: dashboard.DashboardWidgetTimeseriesDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event">event</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>[]</code> | event block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns">legendColumns</a></code> | <code>string[]</code> | A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout">legendLayout</a></code> | <code>string</code> | The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize">legendSize</a></code> | <code>string</code> | The size of the legend displayed in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker">marker</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>[]</code> | marker block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis">rightYaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a></code> | right_yaxis block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether or not to show the legend on this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis">yaxis</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a></code> | yaxis block. |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetTimeseriesDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink">DashboardWidgetTimeseriesDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `event`<sup>Optional</sup> <a name="event" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.event"></a>

```typescript
public readonly event: IResolvable | DashboardWidgetTimeseriesDefinitionEvent[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent">DashboardWidgetTimeseriesDefinitionEvent</a>[]

event block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event Dashboard#event}

---

##### `legendColumns`<sup>Optional</sup> <a name="legendColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendColumns"></a>

```typescript
public readonly legendColumns: string[];
```

- *Type:* string[]

A list of columns to display in the legend. Valid values are `value`, `avg`, `sum`, `min`, `max`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_columns Dashboard#legend_columns}

---

##### `legendLayout`<sup>Optional</sup> <a name="legendLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendLayout"></a>

```typescript
public readonly legendLayout: string;
```

- *Type:* string

The layout of the legend displayed in the widget. Valid values are `auto`, `horizontal`, `vertical`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_layout Dashboard#legend_layout}

---

##### `legendSize`<sup>Optional</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

The size of the legend displayed in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#legend_size Dashboard#legend_size}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `marker`<sup>Optional</sup> <a name="marker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.marker"></a>

```typescript
public readonly marker: IResolvable | DashboardWidgetTimeseriesDefinitionMarker[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker">DashboardWidgetTimeseriesDefinitionMarker</a>[]

marker block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#marker Dashboard#marker}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetTimeseriesDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest">DashboardWidgetTimeseriesDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `rightYaxis`<sup>Optional</sup> <a name="rightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.rightYaxis"></a>

```typescript
public readonly rightYaxis: DashboardWidgetTimeseriesDefinitionRightYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis">DashboardWidgetTimeseriesDefinitionRightYaxis</a>

right_yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#right_yaxis Dashboard#right_yaxis}

---

##### `showLegend`<sup>Optional</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether or not to show the legend on this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_legend Dashboard#show_legend}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

##### `yaxis`<sup>Optional</sup> <a name="yaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinition.property.yaxis"></a>

```typescript
public readonly yaxis: DashboardWidgetTimeseriesDefinitionYaxis;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis">DashboardWidgetTimeseriesDefinitionYaxis</a>

yaxis block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#yaxis Dashboard#yaxis}

---

### DashboardWidgetTimeseriesDefinitionCustomLink <a name="DashboardWidgetTimeseriesDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionCustomLink: dashboard.DashboardWidgetTimeseriesDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTimeseriesDefinitionEvent <a name="DashboardWidgetTimeseriesDefinitionEvent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionEvent: dashboard.DashboardWidgetTimeseriesDefinitionEvent = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q">q</a></code> | <code>string</code> | The event query to use in the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | The execution method for multi-value filters. |

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The event query to use in the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `tagsExecution`<sup>Optional</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionEvent.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

The execution method for multi-value filters.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tags_execution Dashboard#tags_execution}

---

### DashboardWidgetTimeseriesDefinitionMarker <a name="DashboardWidgetTimeseriesDefinitionMarker" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionMarker: dashboard.DashboardWidgetTimeseriesDefinitionMarker = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value">value</a></code> | <code>string</code> | A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType">displayType</a></code> | <code>string</code> | How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label">label</a></code> | <code>string</code> | A label for the line or range. |

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

A mathematical expression describing the marker, for example: `y > 1`, `-5 < y < 0`, `y = 19`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.displayType"></a>

```typescript
public readonly displayType: string;
```

- *Type:* string

How the marker lines are displayed, options are one of {`error`, `warning`, `info`, `ok`} combined with one of {`dashed`, `solid`, `bold`}.

Example: `error dashed`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionMarker.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

A label for the line or range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

### DashboardWidgetTimeseriesDefinitionRequest <a name="DashboardWidgetTimeseriesDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequest: dashboard.DashboardWidgetTimeseriesDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType">displayType</a></code> | <code>string</code> | How to display the marker lines. Valid values are `area`, `bars`, `line`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata">metadata</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>[]</code> | metadata block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery">networkQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a></code> | network_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis">onRightYaxis</a></code> | <code>boolean \| cdktf.IResolvable</code> | A Boolean indicating whether the request uses the right or left Y-Axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetTimeseriesDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery">DashboardWidgetTimeseriesDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetTimeseriesDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `displayType`<sup>Optional</sup> <a name="displayType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.displayType"></a>

```typescript
public readonly displayType: string;
```

- *Type:* string

How to display the marker lines. Valid values are `area`, `bars`, `line`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_type Dashboard#display_type}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetTimeseriesDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula">DashboardWidgetTimeseriesDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetTimeseriesDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery">DashboardWidgetTimeseriesDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `metadata`<sup>Optional</sup> <a name="metadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.metadata"></a>

```typescript
public readonly metadata: IResolvable | DashboardWidgetTimeseriesDefinitionRequestMetadata[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata">DashboardWidgetTimeseriesDefinitionRequestMetadata</a>[]

metadata block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metadata Dashboard#metadata}

---

##### `networkQuery`<sup>Optional</sup> <a name="networkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.networkQuery"></a>

```typescript
public readonly networkQuery: DashboardWidgetTimeseriesDefinitionRequestNetworkQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQuery</a>

network_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#network_query Dashboard#network_query}

---

##### `onRightYaxis`<sup>Optional</sup> <a name="onRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.onRightYaxis"></a>

```typescript
public readonly onRightYaxis: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

A Boolean indicating whether the request uses the right or left Y-Axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#on_right_yaxis Dashboard#on_right_yaxis}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetTimeseriesDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery">DashboardWidgetTimeseriesDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetTimeseriesDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery">DashboardWidgetTimeseriesDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetTimeseriesDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery">DashboardWidgetTimeseriesDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetTimeseriesDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetTimeseriesDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle">DashboardWidgetTimeseriesDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestApmQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestAuditQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestFormula <a name="DashboardWidgetTimeseriesDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestFormula: dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats">DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetTimeseriesDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit">DashboardWidgetTimeseriesDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetTimeseriesDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle">DashboardWidgetTimeseriesDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaLimit <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestFormulaLimit: dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestFormulaStyle <a name="DashboardWidgetTimeseriesDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestFormulaStyle: dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestLogQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestMetadata <a name="DashboardWidgetTimeseriesDefinitionRequestMetadata" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestMetadata: dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression">expression</a></code> | <code>string</code> | The expression name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName">aliasName</a></code> | <code>string</code> | The expression alias. |

---

##### `expression`<sup>Required</sup> <a name="expression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.expression"></a>

```typescript
public readonly expression: string;
```

- *Type:* string

The expression name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#expression Dashboard#expression}

---

##### `aliasName`<sup>Optional</sup> <a name="aliasName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestMetadata.property.aliasName"></a>

```typescript
public readonly aliasName: string;
```

- *Type:* string

The expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias_name Dashboard#alias_name}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestNetworkQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestNetworkQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestProcessQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetTimeseriesDefinitionRequestQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery">DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery">DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch">DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestRumQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestSecurityQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetTimeseriesDefinitionRequestStyle <a name="DashboardWidgetTimeseriesDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRequestStyle: dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType">lineType</a></code> | <code>string</code> | The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth">lineWidth</a></code> | <code>string</code> | The width of line displayed. Valid values are `normal`, `thick`, `thin`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `lineType`<sup>Optional</sup> <a name="lineType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineType"></a>

```typescript
public readonly lineType: string;
```

- *Type:* string

The type of lines displayed. Valid values are `dashed`, `dotted`, `solid`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_type Dashboard#line_type}

---

##### `lineWidth`<sup>Optional</sup> <a name="lineWidth" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.lineWidth"></a>

```typescript
public readonly lineWidth: string;
```

- *Type:* string

The width of line displayed. Valid values are `normal`, `thick`, `thin`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#line_width Dashboard#line_width}

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTimeseriesDefinitionRightYaxis <a name="DashboardWidgetTimeseriesDefinitionRightYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionRightYaxis: dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionRightYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetTimeseriesDefinitionYaxis <a name="DashboardWidgetTimeseriesDefinitionYaxis" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTimeseriesDefinitionYaxis: dashboard.DashboardWidgetTimeseriesDefinitionYaxis = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero">includeZero</a></code> | <code>boolean \| cdktf.IResolvable</code> | Always include zero or fit the axis to the data range. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label">label</a></code> | <code>string</code> | The label of the axis to display on the graph. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max">max</a></code> | <code>string</code> | Specify the maximum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min">min</a></code> | <code>string</code> | Specify the minimum value to show on the Y-axis. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale">scale</a></code> | <code>string</code> | Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`. |

---

##### `includeZero`<sup>Optional</sup> <a name="includeZero" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.includeZero"></a>

```typescript
public readonly includeZero: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Always include zero or fit the axis to the data range.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#include_zero Dashboard#include_zero}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label of the axis to display on the graph.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `max`<sup>Optional</sup> <a name="max" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.max"></a>

```typescript
public readonly max: string;
```

- *Type:* string

Specify the maximum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#max Dashboard#max}

---

##### `min`<sup>Optional</sup> <a name="min" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.min"></a>

```typescript
public readonly min: string;
```

- *Type:* string

Specify the minimum value to show on the Y-axis.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#min Dashboard#min}

---

##### `scale`<sup>Optional</sup> <a name="scale" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTimeseriesDefinitionYaxis.property.scale"></a>

```typescript
public readonly scale: string;
```

- *Type:* string

Specify the scale type, options: `linear`, `log`, `pow`, `sqrt`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#scale Dashboard#scale}

---

### DashboardWidgetToplistDefinition <a name="DashboardWidgetToplistDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinition: dashboard.DashboardWidgetToplistDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetToplistDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink">DashboardWidgetToplistDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetToplistDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest">DashboardWidgetToplistDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetToplistDefinitionCustomLink <a name="DashboardWidgetToplistDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionCustomLink: dashboard.DashboardWidgetToplistDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetToplistDefinitionRequest <a name="DashboardWidgetToplistDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequest: dashboard.DashboardWidgetToplistDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a></code> | apm_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery">auditQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a></code> | audit_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a></code> | log_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a></code> | process_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q">q</a></code> | <code>string</code> | The metric query to use for this widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a></code> | rum_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a></code> | security_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a></code> | style block. |

---

##### `apmQuery`<sup>Optional</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetToplistDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery">DashboardWidgetToplistDefinitionRequestApmQuery</a>

apm_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_query Dashboard#apm_query}

---

##### `auditQuery`<sup>Optional</sup> <a name="auditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.auditQuery"></a>

```typescript
public readonly auditQuery: DashboardWidgetToplistDefinitionRequestAuditQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery">DashboardWidgetToplistDefinitionRequestAuditQuery</a>

audit_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#audit_query Dashboard#audit_query}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetToplistDefinitionRequestConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats">DashboardWidgetToplistDefinitionRequestConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetToplistDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula">DashboardWidgetToplistDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `logQuery`<sup>Optional</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetToplistDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery">DashboardWidgetToplistDefinitionRequestLogQuery</a>

log_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#log_query Dashboard#log_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetToplistDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery">DashboardWidgetToplistDefinitionRequestProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

##### `q`<sup>Optional</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

The metric query to use for this widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#q Dashboard#q}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetToplistDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery">DashboardWidgetToplistDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `rumQuery`<sup>Optional</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetToplistDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery">DashboardWidgetToplistDefinitionRequestRumQuery</a>

rum_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#rum_query Dashboard#rum_query}

---

##### `securityQuery`<sup>Optional</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetToplistDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery">DashboardWidgetToplistDefinitionRequestSecurityQuery</a>

security_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#security_query Dashboard#security_query}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequest.property.style"></a>

```typescript
public readonly style: DashboardWidgetToplistDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle">DashboardWidgetToplistDefinitionRequestStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestApmQuery <a name="DashboardWidgetToplistDefinitionRequestApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestApmQuery: dashboard.DashboardWidgetToplistDefinitionRequestApmQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery">DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy">DashboardWidgetToplistDefinitionRequestApmQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute">DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestApmQueryComputeQuery: dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestApmQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery: dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestApmQueryMultiCompute: dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestApmQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestAuditQuery: dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery">DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute">DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery: dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestAuditQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery: dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute: dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestAuditQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestConditionalFormats: dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormula <a name="DashboardWidgetToplistDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestFormula: dashboard.DashboardWidgetToplistDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats">DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetToplistDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit">DashboardWidgetToplistDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetToplistDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle">DashboardWidgetToplistDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetToplistDefinitionRequestFormulaLimit <a name="DashboardWidgetToplistDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestFormulaLimit: dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestFormulaStyle <a name="DashboardWidgetToplistDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestFormulaStyle: dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetToplistDefinitionRequestLogQuery <a name="DashboardWidgetToplistDefinitionRequestLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestLogQuery: dashboard.DashboardWidgetToplistDefinitionRequestLogQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery">DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy">DashboardWidgetToplistDefinitionRequestLogQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute">DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestLogQueryComputeQuery: dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestLogQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery: dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestLogQueryMultiCompute: dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestLogQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestProcessQuery <a name="DashboardWidgetToplistDefinitionRequestProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestProcessQuery: dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric">metric</a></code> | <code>string</code> | Your chosen metric. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy">filterBy</a></code> | <code>string[]</code> | A list of processes. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit">limit</a></code> | <code>number</code> | The max number of items in the filter list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy">searchBy</a></code> | <code>string</code> | Your chosen search term. |

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

Your chosen metric.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `filterBy`<sup>Optional</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

A list of processes.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filter_by Dashboard#filter_by}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The max number of items in the filter list.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `searchBy`<sup>Optional</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestProcessQuery.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

Your chosen search term.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_by Dashboard#search_by}

---

### DashboardWidgetToplistDefinitionRequestQuery <a name="DashboardWidgetToplistDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQuery: dashboard.DashboardWidgetToplistDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetToplistDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery">DashboardWidgetToplistDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetToplistDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery">DashboardWidgetToplistDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetToplistDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery">DashboardWidgetToplistDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuery <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute">DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch">DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetToplistDefinitionRequestQueryMetricQuery <a name="DashboardWidgetToplistDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetToplistDefinitionRequestQueryProcessQuery <a name="DashboardWidgetToplistDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetToplistDefinitionRequestRumQuery <a name="DashboardWidgetToplistDefinitionRequestRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestRumQuery: dashboard.DashboardWidgetToplistDefinitionRequestRumQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery">DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy">DashboardWidgetToplistDefinitionRequestRumQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute">DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestRumQueryComputeQuery: dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestRumQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery: dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestRumQueryMultiCompute: dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestRumQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestSecurityQuery: dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index">index</a></code> | <code>string</code> | The name of the index to query. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a></code> | compute_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute">multiCompute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | multi_compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery">searchQuery</a></code> | <code>string</code> | The search query to use. |

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

The name of the index to query.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#index Dashboard#index}

---

##### `computeQuery`<sup>Optional</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery</a>

compute_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute_query Dashboard#compute_query}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `multiCompute`<sup>Optional</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.multiCompute"></a>

```typescript
public readonly multiCompute: IResolvable | DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute</a>[]

multi_compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#multi_compute Dashboard#multi_compute}

---

##### `searchQuery`<sup>Optional</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQuery.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

The search query to use.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search_query Dashboard#search_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery: dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryComputeQuery.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy: dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The maximum number of items in the group. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | sort_query block. |

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The maximum number of items in the group.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sortQuery`<sup>Optional</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBy.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery</a>

sort_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort_query Dashboard#sort_query}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery: dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order">order</a></code> | <code>string</code> | Widget sorting methods. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet">facet</a></code> | <code>string</code> | The facet name. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Widget sorting methods. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryGroupBySortQuery.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

### DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute <a name="DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute: dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation method. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet">facet</a></code> | <code>string</code> | The facet name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval">interval</a></code> | <code>number</code> | Define the time interval in seconds. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation method.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `facet`<sup>Optional</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The facet name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestSecurityQueryMultiCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

Define the time interval in seconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

### DashboardWidgetToplistDefinitionRequestStyle <a name="DashboardWidgetToplistDefinitionRequestStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetToplistDefinitionRequestStyle: dashboard.DashboardWidgetToplistDefinitionRequestStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette">palette</a></code> | <code>string</code> | A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetToplistDefinitionRequestStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

A color palette to apply to the widget. The available options are available at: https://docs.datadoghq.com/dashboards/widgets/timeseries/#appearance.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

### DashboardWidgetTopologyMapDefinition <a name="DashboardWidgetTopologyMapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTopologyMapDefinition: dashboard.DashboardWidgetTopologyMapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink">customLink</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>[]</code> | custom_link block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `customLink`<sup>Optional</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.customLink"></a>

```typescript
public readonly customLink: IResolvable | DashboardWidgetTopologyMapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink">DashboardWidgetTopologyMapDefinitionCustomLink</a>[]

custom_link block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_link Dashboard#custom_link}

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetTopologyMapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest">DashboardWidgetTopologyMapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTopologyMapDefinitionCustomLink <a name="DashboardWidgetTopologyMapDefinitionCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTopologyMapDefinitionCustomLink: dashboard.DashboardWidgetTopologyMapDefinitionCustomLink = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | The flag for toggling context menu link visibility. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label">label</a></code> | <code>string</code> | The label for the custom link URL. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link">link</a></code> | <code>string</code> | The URL of the custom link. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | The label ID that refers to a context menu link item. |

---

##### `isHidden`<sup>Optional</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

The flag for toggling context menu link visibility.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_hidden Dashboard#is_hidden}

---

##### `label`<sup>Optional</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

The label for the custom link URL.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#label Dashboard#label}

---

##### `link`<sup>Optional</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

The URL of the custom link.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#link Dashboard#link}

---

##### `overrideLabel`<sup>Optional</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionCustomLink.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

The label ID that refers to a context menu link item.

When `override_label` is provided, the client request omits the label field.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#override_label Dashboard#override_label}

---

### DashboardWidgetTopologyMapDefinitionRequest <a name="DashboardWidgetTopologyMapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTopologyMapDefinitionRequest: dashboard.DashboardWidgetTopologyMapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>[]</code> | query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType">requestType</a></code> | <code>string</code> | The request type for the Topology request ('topology'). Valid values are `topology`. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetTopologyMapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery">DashboardWidgetTopologyMapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `requestType`<sup>Required</sup> <a name="requestType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequest.property.requestType"></a>

```typescript
public readonly requestType: string;
```

- *Type:* string

The request type for the Topology request ('topology'). Valid values are `topology`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request_type Dashboard#request_type}

---

### DashboardWidgetTopologyMapDefinitionRequestQuery <a name="DashboardWidgetTopologyMapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTopologyMapDefinitionRequestQuery: dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters">filters</a></code> | <code>string[]</code> | Your environment and primary tag (or `*` if enabled for your account). |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service">service</a></code> | <code>string</code> | The ID of the service to map. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for the Topology request ('service_map' or 'data_streams'). Valid values are `data_streams`, `service_map`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `filters`<sup>Required</sup> <a name="filters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.filters"></a>

```typescript
public readonly filters: string[];
```

- *Type:* string[]

Your environment and primary tag (or `*` if enabled for your account).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#filters Dashboard#filters}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTopologyMapDefinitionRequestQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

The ID of the service to map.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

### DashboardWidgetTraceServiceDefinition <a name="DashboardWidgetTraceServiceDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTraceServiceDefinition: dashboard.DashboardWidgetTraceServiceDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env">env</a></code> | <code>string</code> | APM environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName">spanName</a></code> | <code>string</code> | APM span name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat">displayFormat</a></code> | <code>string</code> | The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan">liveSpan</a></code> | <code>string</code> | The timeframe to use when displaying the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown">showBreakdown</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency breakdown or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution">showDistribution</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency distribution or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors">showErrors</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the error metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits">showHits</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the hits metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency">showLatency</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the latency metrics or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList">showResourceList</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to show the resource list or not. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat">sizeFormat</a></code> | <code>string</code> | The size of the widget. Valid values are `small`, `medium`, `large`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign">titleAlign</a></code> | <code>string</code> | The alignment of the widget's title. Valid values are `center`, `left`, `right`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize">titleSize</a></code> | <code>string</code> | The size of the widget's title (defaults to 16). |

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `spanName`<sup>Required</sup> <a name="spanName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.spanName"></a>

```typescript
public readonly spanName: string;
```

- *Type:* string

APM span name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#span_name Dashboard#span_name}

---

##### `displayFormat`<sup>Optional</sup> <a name="displayFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.displayFormat"></a>

```typescript
public readonly displayFormat: string;
```

- *Type:* string

The number of columns to display. Valid values are `one_column`, `two_column`, `three_column`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#display_format Dashboard#display_format}

---

##### `liveSpan`<sup>Optional</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

The timeframe to use when displaying the widget.

Valid values are `1m`, `5m`, `10m`, `15m`, `30m`, `1h`, `4h`, `1d`, `2d`, `1w`, `1mo`, `3mo`, `6mo`, `1y`, `alert`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#live_span Dashboard#live_span}

---

##### `showBreakdown`<sup>Optional</sup> <a name="showBreakdown" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showBreakdown"></a>

```typescript
public readonly showBreakdown: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency breakdown or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_breakdown Dashboard#show_breakdown}

---

##### `showDistribution`<sup>Optional</sup> <a name="showDistribution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showDistribution"></a>

```typescript
public readonly showDistribution: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency distribution or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_distribution Dashboard#show_distribution}

---

##### `showErrors`<sup>Optional</sup> <a name="showErrors" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showErrors"></a>

```typescript
public readonly showErrors: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the error metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_errors Dashboard#show_errors}

---

##### `showHits`<sup>Optional</sup> <a name="showHits" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showHits"></a>

```typescript
public readonly showHits: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the hits metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_hits Dashboard#show_hits}

---

##### `showLatency`<sup>Optional</sup> <a name="showLatency" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showLatency"></a>

```typescript
public readonly showLatency: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the latency metrics or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_latency Dashboard#show_latency}

---

##### `showResourceList`<sup>Optional</sup> <a name="showResourceList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.showResourceList"></a>

```typescript
public readonly showResourceList: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to show the resource list or not.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#show_resource_list Dashboard#show_resource_list}

---

##### `sizeFormat`<sup>Optional</sup> <a name="sizeFormat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.sizeFormat"></a>

```typescript
public readonly sizeFormat: string;
```

- *Type:* string

The size of the widget. Valid values are `small`, `medium`, `large`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#size_format Dashboard#size_format}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

##### `titleAlign`<sup>Optional</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

The alignment of the widget's title. Valid values are `center`, `left`, `right`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_align Dashboard#title_align}

---

##### `titleSize`<sup>Optional</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTraceServiceDefinition.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

The size of the widget's title (defaults to 16).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title_size Dashboard#title_size}

---

### DashboardWidgetTreemapDefinition <a name="DashboardWidgetTreemapDefinition" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinition: dashboard.DashboardWidgetTreemapDefinition = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request">request</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>[]</code> | request block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title">title</a></code> | <code>string</code> | The title of the widget. |

---

##### `request`<sup>Optional</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.request"></a>

```typescript
public readonly request: IResolvable | DashboardWidgetTreemapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest">DashboardWidgetTreemapDefinitionRequest</a>[]

request block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#request Dashboard#request}

---

##### `title`<sup>Optional</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinition.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

The title of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#title Dashboard#title}

---

### DashboardWidgetTreemapDefinitionRequest <a name="DashboardWidgetTreemapDefinitionRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequest: dashboard.DashboardWidgetTreemapDefinitionRequest = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula">formula</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>[]</code> | formula block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query">query</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>[]</code> | query block. |

---

##### `formula`<sup>Optional</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.formula"></a>

```typescript
public readonly formula: IResolvable | DashboardWidgetTreemapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula">DashboardWidgetTreemapDefinitionRequestFormula</a>[]

formula block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula Dashboard#formula}

---

##### `query`<sup>Optional</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequest.property.query"></a>

```typescript
public readonly query: IResolvable | DashboardWidgetTreemapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery">DashboardWidgetTreemapDefinitionRequestQuery</a>[]

query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestFormula <a name="DashboardWidgetTreemapDefinitionRequestFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestFormula: dashboard.DashboardWidgetTreemapDefinitionRequestFormula = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | A string expression built from queries, formulas, and functions. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias">alias</a></code> | <code>string</code> | An expression alias. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | A list of display modes for each table cell. Valid values are `number`, `bar`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats">conditionalFormats</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>[]</code> | conditional_formats block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a></code> | limit block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a></code> | style block. |

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

A string expression built from queries, formulas, and functions.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#formula_expression Dashboard#formula_expression}

---

##### `alias`<sup>Optional</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

An expression alias.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#alias Dashboard#alias}

---

##### `cellDisplayMode`<sup>Optional</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

A list of display modes for each table cell. Valid values are `number`, `bar`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#cell_display_mode Dashboard#cell_display_mode}

---

##### `conditionalFormats`<sup>Optional</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: IResolvable | DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats">DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats</a>[]

conditional_formats block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#conditional_formats Dashboard#conditional_formats}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetTreemapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit">DashboardWidgetTreemapDefinitionRequestFormulaLimit</a>

limit block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `style`<sup>Optional</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormula.property.style"></a>

```typescript
public readonly style: DashboardWidgetTreemapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle">DashboardWidgetTreemapDefinitionRequestFormulaStyle</a>

style block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#style Dashboard#style}

---

### DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats <a name="DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats: dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator">comparator</a></code> | <code>string</code> | The comparator to use. Valid values are `>`, `>=`, `<`, `<=`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette">palette</a></code> | <code>string</code> | The color palette to apply. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value">value</a></code> | <code>number</code> | A value for the comparator. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor">customBgColor</a></code> | <code>string</code> | The color palette to apply to the background, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor">customFgColor</a></code> | <code>string</code> | The color palette to apply to the foreground, same values available as palette. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | Setting this to True hides values. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl">imageUrl</a></code> | <code>string</code> | Displays an image as the background. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric">metric</a></code> | <code>string</code> | The metric from the request to correlate with this conditional format. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe">timeframe</a></code> | <code>string</code> | Defines the displayed timeframe. |

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

The comparator to use. Valid values are `>`, `>=`, `<`, `<=`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#comparator Dashboard#comparator}

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette to apply.

Valid values are `blue`, `custom_bg`, `custom_image`, `custom_text`, `gray_on_white`, `grey`, `green`, `orange`, `red`, `red_on_white`, `white_on_gray`, `white_on_green`, `green_on_white`, `white_on_red`, `white_on_yellow`, `yellow_on_white`, `black_on_light_yellow`, `black_on_light_green`, `black_on_light_red`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

A value for the comparator.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#value Dashboard#value}

---

##### `customBgColor`<sup>Optional</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

The color palette to apply to the background, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_bg_color Dashboard#custom_bg_color}

---

##### `customFgColor`<sup>Optional</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

The color palette to apply to the foreground, same values available as palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#custom_fg_color Dashboard#custom_fg_color}

---

##### `hideValue`<sup>Optional</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Setting this to True hides values.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#hide_value Dashboard#hide_value}

---

##### `imageUrl`<sup>Optional</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

Displays an image as the background.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#image_url Dashboard#image_url}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric from the request to correlate with this conditional format.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `timeframe`<sup>Optional</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaConditionalFormats.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

Defines the displayed timeframe.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#timeframe Dashboard#timeframe}

---

### DashboardWidgetTreemapDefinitionRequestFormulaLimit <a name="DashboardWidgetTreemapDefinitionRequestFormulaLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestFormulaLimit: dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count">count</a></code> | <code>number</code> | The number of results to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order">order</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

The number of results to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#count Dashboard#count}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaLimit.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestFormulaStyle <a name="DashboardWidgetTreemapDefinitionRequestFormulaStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestFormulaStyle: dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette">palette</a></code> | <code>string</code> | The color palette used to display the formula. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | Index specifying which color to use within the palette. |

---

##### `palette`<sup>Optional</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

The color palette used to display the formula.

A guide to the available color palettes can be found at https://docs.datadoghq.com/dashboards/guide/widget_colors

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette Dashboard#palette}

---

##### `paletteIndex`<sup>Optional</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestFormulaStyle.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

Index specifying which color to use within the palette.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#palette_index Dashboard#palette_index}

---

### DashboardWidgetTreemapDefinitionRequestQuery <a name="DashboardWidgetTreemapDefinitionRequestQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | apm_dependency_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a></code> | apm_resource_stats_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a></code> | event_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a></code> | metric_query block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a></code> | process_query block. |

---

##### `apmDependencyStatsQuery`<sup>Optional</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery</a>

apm_dependency_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_dependency_stats_query Dashboard#apm_dependency_stats_query}

---

##### `apmResourceStatsQuery`<sup>Optional</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery</a>

apm_resource_stats_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#apm_resource_stats_query Dashboard#apm_resource_stats_query}

---

##### `eventQuery`<sup>Optional</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetTreemapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery">DashboardWidgetTreemapDefinitionRequestQueryEventQuery</a>

event_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#event_query Dashboard#event_query}

---

##### `metricQuery`<sup>Optional</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetTreemapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery">DashboardWidgetTreemapDefinitionRequestQueryMetricQuery</a>

metric_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric_query Dashboard#metric_query}

---

##### `processQuery`<sup>Optional</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQuery.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetTreemapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery">DashboardWidgetTreemapDefinitionRequestQueryProcessQuery</a>

process_query block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#process_query Dashboard#process_query}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | Determines whether stats for upstream or downstream dependencies should be queried. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Dependency Stats queries. Valid values are `apm_dependency_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `avg_duration`, `avg_root_duration`, `avg_spans_per_trace`, `error_rate`, `pct_exec_time`, `pct_of_traces`, `total_traces_count`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `isUpstream`<sup>Optional</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Determines whether stats for upstream or downstream dependencies should be queried.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_upstream Dashboard#is_upstream}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmDependencyStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

### DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env">env</a></code> | <code>string</code> | APM Environment. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service">service</a></code> | <code>string</code> | APM service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat">stat</a></code> | <code>string</code> | APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy">groupBy</a></code> | <code>string[]</code> | Array of fields to group results by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName">operationName</a></code> | <code>string</code> | Name of operation on service. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | Filter APM data by the second primary tag. `primary_tag_name` must also be specified. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName">resourceName</a></code> | <code>string</code> | APM resource. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for APM Resource Stats queries. Valid values are `apm_resource_stats`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

APM Environment.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#env Dashboard#env}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

APM service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#service Dashboard#service}

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

APM statistic. Valid values are `errors`, `error_rate`, `hits`, `latency_avg`, `latency_distribution`, `latency_max`, `latency_p50`, `latency_p75`, `latency_p90`, `latency_p95`, `latency_p99`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#stat Dashboard#stat}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

Array of fields to group results by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `operationName`<sup>Optional</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

Name of operation on service.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#operation_name Dashboard#operation_name}

---

##### `primaryTagName`<sup>Optional</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

The name of the second primary tag used within APM; required when `primary_tag_value` is specified. See https://docs.datadoghq.com/tracing/guide/setting_primary_tags_to_scope/#add-a-second-primary-tag-in-datadog.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_name Dashboard#primary_tag_name}

---

##### `primaryTagValue`<sup>Optional</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

Filter APM data by the second primary tag. `primary_tag_name` must also be specified.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#primary_tag_value Dashboard#primary_tag_value}

---

##### `resourceName`<sup>Optional</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryApmResourceStatsQuery.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

APM resource.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#resource_name Dashboard#resource_name}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryEventQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute">compute</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>[]</code> | compute block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for event platform-based queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy">groupBy</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | group_by block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes">indexes</a></code> | <code>string[]</code> | An array of index names to query in the stream. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a></code> | search block. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage">storage</a></code> | <code>string</code> | Storage location (private beta). |

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.compute"></a>

```typescript
public readonly compute: IResolvable | DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute">DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute</a>[]

compute block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#compute Dashboard#compute}

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for event platform-based queries.

Valid values are `logs`, `spans`, `network`, `rum`, `security_signals`, `profiles`, `audit`, `events`, `ci_tests`, `ci_pipelines`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `groupBy`<sup>Optional</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.groupBy"></a>

```typescript
public readonly groupBy: IResolvable | DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy</a>[]

group_by block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#group_by Dashboard#group_by}

---

##### `indexes`<sup>Optional</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

An array of index names to query in the stream.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#indexes Dashboard#indexes}

---

##### `search`<sup>Optional</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.search"></a>

```typescript
public readonly search: DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch">DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch</a>

search block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#search Dashboard#search}

---

##### `storage`<sup>Optional</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuery.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

Storage location (private beta).

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#storage Dashboard#storage}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute: dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval">interval</a></code> | <code>number</code> | A time interval in milliseconds. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric">metric</a></code> | <code>string</code> | The measurable attribute to compute. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `interval`<sup>Optional</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

A time interval in milliseconds.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#interval Dashboard#interval}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryCompute.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The measurable attribute to compute.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy: dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet">facet</a></code> | <code>string</code> | The event facet. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit">limit</a></code> | <code>number</code> | The number of groups to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a></code> | sort block. |

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

The event facet.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#facet Dashboard#facet}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of groups to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBy.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort</a>

sort block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort: dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation">aggregation</a></code> | <code>string</code> | The aggregation methods for the event platform queries. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric">metric</a></code> | <code>string</code> | The metric used for sorting group by results. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order">order</a></code> | <code>string</code> | Direction of sort. Valid values are `asc`, `desc`. |

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

The aggregation methods for the event platform queries.

Valid values are `count`, `cardinality`, `median`, `pc75`, `pc90`, `pc95`, `pc98`, `pc99`, `sum`, `min`, `max`, `avg`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregation Dashboard#aggregation}

---

##### `metric`<sup>Optional</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The metric used for sorting group by results.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `order`<sup>Optional</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQueryGroupBySort.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

Direction of sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#order Dashboard#order}

---

### DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch <a name="DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch: dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query">query</a></code> | <code>string</code> | The events search string. |

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryEventQuerySearch.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The events search string.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

### DashboardWidgetTreemapDefinitionRequestQueryMetricQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryMetricQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name">name</a></code> | <code>string</code> | The name of the query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query">query</a></code> | <code>string</code> | The metrics query definition. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for metrics queries. |

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of the query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

The metrics query definition.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#query Dashboard#query}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `dataSource`<sup>Optional</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryMetricQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for metrics queries.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

### DashboardWidgetTreemapDefinitionRequestQueryProcessQuery <a name="DashboardWidgetTreemapDefinitionRequestQueryProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetTreemapDefinitionRequestQueryProcessQuery: dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource">dataSource</a></code> | <code>string</code> | The data source for process queries. Valid values are `process`, `container`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric">metric</a></code> | <code>string</code> | The process metric name. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name">name</a></code> | <code>string</code> | The name of query for use in formulas. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator">aggregator</a></code> | <code>string</code> | The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether to normalize the CPU percentages. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit">limit</a></code> | <code>number</code> | The number of hits to return. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort">sort</a></code> | <code>string</code> | The direction of the sort. Valid values are `asc`, `desc`. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | An array of tags to filter by. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter">textFilter</a></code> | <code>string</code> | The text to use as a filter. |

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

The data source for process queries. Valid values are `process`, `container`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#data_source Dashboard#data_source}

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

The process metric name.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#metric Dashboard#metric}

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

The name of query for use in formulas.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#name Dashboard#name}

---

##### `aggregator`<sup>Optional</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

The aggregation methods available for metrics queries. Valid values are `avg`, `min`, `max`, `sum`, `last`, `area`, `l2norm`, `percentile`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#aggregator Dashboard#aggregator}

---

##### `isNormalizedCpu`<sup>Optional</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether to normalize the CPU percentages.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_normalized_cpu Dashboard#is_normalized_cpu}

---

##### `limit`<sup>Optional</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

The number of hits to return.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#limit Dashboard#limit}

---

##### `sort`<sup>Optional</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

The direction of the sort. Valid values are `asc`, `desc`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#sort Dashboard#sort}

---

##### `tagFilters`<sup>Optional</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

An array of tags to filter by.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#tag_filters Dashboard#tag_filters}

---

##### `textFilter`<sup>Optional</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetTreemapDefinitionRequestQueryProcessQuery.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

The text to use as a filter.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#text_filter Dashboard#text_filter}

---

### DashboardWidgetWidgetLayout <a name="DashboardWidgetWidgetLayout" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

const dashboardWidgetWidgetLayout: dashboard.DashboardWidgetWidgetLayout = { ... }
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height">height</a></code> | <code>number</code> | The height of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width">width</a></code> | <code>number</code> | The width of the widget. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x">x</a></code> | <code>number</code> | The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y">y</a></code> | <code>number</code> | The position of the widget on the y (vertical) axis. Should be greater than or equal to 0. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak">isColumnBreak</a></code> | <code>boolean \| cdktf.IResolvable</code> | Whether the widget should be the first one on the second column in high density or not. |

---

##### `height`<sup>Required</sup> <a name="height" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.height"></a>

```typescript
public readonly height: number;
```

- *Type:* number

The height of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#height Dashboard#height}

---

##### `width`<sup>Required</sup> <a name="width" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.width"></a>

```typescript
public readonly width: number;
```

- *Type:* number

The width of the widget.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#width Dashboard#width}

---

##### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.x"></a>

```typescript
public readonly x: number;
```

- *Type:* number

The position of the widget on the x (horizontal) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#x Dashboard#x}

---

##### `y`<sup>Required</sup> <a name="y" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.y"></a>

```typescript
public readonly y: number;
```

- *Type:* number

The position of the widget on the y (vertical) axis. Should be greater than or equal to 0.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#y Dashboard#y}

---

##### `isColumnBreak`<sup>Optional</sup> <a name="isColumnBreak" id="@cdktf/provider-datadog.dashboard.DashboardWidgetWidgetLayout.property.isColumnBreak"></a>

```typescript
public readonly isColumnBreak: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

Whether the widget should be the first one on the second column in high density or not.

Only for the new dashboard layout and only one widget in the dashboard should have this property set to `true`.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/datadog/datadog/3.23.0/docs/resources/dashboard#is_column_break Dashboard#is_column_break}

---

## Classes <a name="Classes" id="Classes"></a>

### DashboardTemplateVariableList <a name="DashboardTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariableList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get"></a>

```typescript
public get(index: number): DashboardTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a>[]

---


### DashboardTemplateVariableOutputReference <a name="DashboardTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariableOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues">resetAvailableValues</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault">resetDefault</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults">resetDefaults</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix">resetPrefix</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAvailableValues` <a name="resetAvailableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetAvailableValues"></a>

```typescript
public resetAvailableValues(): void
```

##### `resetDefault` <a name="resetDefault" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefault"></a>

```typescript
public resetDefault(): void
```

##### `resetDefaults` <a name="resetDefaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetDefaults"></a>

```typescript
public resetDefaults(): void
```

##### `resetPrefix` <a name="resetPrefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.resetPrefix"></a>

```typescript
public resetPrefix(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput">availableValuesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput">defaultInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput">defaultsInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput">prefixInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues">availableValues</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default">default</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults">defaults</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix">prefix</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `availableValuesInput`<sup>Optional</sup> <a name="availableValuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValuesInput"></a>

```typescript
public readonly availableValuesInput: string[];
```

- *Type:* string[]

---

##### `defaultInput`<sup>Optional</sup> <a name="defaultInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultInput"></a>

```typescript
public readonly defaultInput: string;
```

- *Type:* string

---

##### `defaultsInput`<sup>Optional</sup> <a name="defaultsInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaultsInput"></a>

```typescript
public readonly defaultsInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `prefixInput`<sup>Optional</sup> <a name="prefixInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefixInput"></a>

```typescript
public readonly prefixInput: string;
```

- *Type:* string

---

##### `availableValues`<sup>Required</sup> <a name="availableValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.availableValues"></a>

```typescript
public readonly availableValues: string[];
```

- *Type:* string[]

---

##### `default`<sup>Required</sup> <a name="default" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.default"></a>

```typescript
public readonly default: string;
```

- *Type:* string

---

##### `defaults`<sup>Required</sup> <a name="defaults" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.defaults"></a>

```typescript
public readonly defaults: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `prefix`<sup>Required</sup> <a name="prefix" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.prefix"></a>

```typescript
public readonly prefix: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariableOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardTemplateVariable | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariable">DashboardTemplateVariable</a> | cdktf.IResolvable

---


### DashboardTemplateVariablePresetList <a name="DashboardTemplateVariablePresetList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariablePresetList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get"></a>

```typescript
public get(index: number): DashboardTemplateVariablePresetOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardTemplateVariablePreset[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a>[]

---


### DashboardTemplateVariablePresetOutputReference <a name="DashboardTemplateVariablePresetOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariablePresetOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable">putTemplateVariable</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName">resetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable">resetTemplateVariable</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putTemplateVariable` <a name="putTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable"></a>

```typescript
public putTemplateVariable(value: IResolvable | DashboardTemplateVariablePresetTemplateVariable[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.putTemplateVariable.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]

---

##### `resetName` <a name="resetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetName"></a>

```typescript
public resetName(): void
```

##### `resetTemplateVariable` <a name="resetTemplateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.resetTemplateVariable"></a>

```typescript
public resetTemplateVariable(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable">templateVariable</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput">templateVariableInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `templateVariable`<sup>Required</sup> <a name="templateVariable" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariable"></a>

```typescript
public readonly templateVariable: DashboardTemplateVariablePresetTemplateVariableList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList">DashboardTemplateVariablePresetTemplateVariableList</a>

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `templateVariableInput`<sup>Optional</sup> <a name="templateVariableInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.templateVariableInput"></a>

```typescript
public readonly templateVariableInput: IResolvable | DashboardTemplateVariablePresetTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardTemplateVariablePreset | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePreset">DashboardTemplateVariablePreset</a> | cdktf.IResolvable

---


### DashboardTemplateVariablePresetTemplateVariableList <a name="DashboardTemplateVariablePresetTemplateVariableList" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariablePresetTemplateVariableList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get"></a>

```typescript
public get(index: number): DashboardTemplateVariablePresetTemplateVariableOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardTemplateVariablePresetTemplateVariable[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a>[]

---


### DashboardTemplateVariablePresetTemplateVariableOutputReference <a name="DashboardTemplateVariablePresetTemplateVariableOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName">resetName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue">resetValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues">resetValues</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetName` <a name="resetName" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetName"></a>

```typescript
public resetName(): void
```

##### `resetValue` <a name="resetValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValue"></a>

```typescript
public resetValue(): void
```

##### `resetValues` <a name="resetValues" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.resetValues"></a>

```typescript
public resetValues(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput">valueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput">valuesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value">value</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values">values</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valueInput"></a>

```typescript
public readonly valueInput: string;
```

- *Type:* string

---

##### `valuesInput`<sup>Optional</sup> <a name="valuesInput" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.valuesInput"></a>

```typescript
public readonly valuesInput: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.value"></a>

```typescript
public readonly value: string;
```

- *Type:* string

---

##### `values`<sup>Required</sup> <a name="values" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.values"></a>

```typescript
public readonly values: string[];
```

- *Type:* string[]

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariableOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardTemplateVariablePresetTemplateVariable | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardTemplateVariablePresetTemplateVariable">DashboardTemplateVariablePresetTemplateVariable</a> | cdktf.IResolvable

---


### DashboardWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetAlertGraphDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">vizTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId">alertId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType">vizType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```typescript
public readonly alertIdInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `vizTypeInput`<sup>Optional</sup> <a name="vizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```typescript
public readonly vizTypeInput: string;
```

- *Type:* string

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```typescript
public readonly vizType: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetAlertGraphDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertGraphDefinition">DashboardWidgetAlertGraphDefinition</a>

---


### DashboardWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetAlertValueDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision">resetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit">resetUnit</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPrecision` <a name="resetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```typescript
public resetPrecision(): void
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```typescript
public resetTextAlign(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```

##### `resetUnit` <a name="resetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```typescript
public resetUnit(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput">precisionInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput">unitInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId">alertId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```typescript
public readonly alertIdInput: string;
```

- *Type:* string

---

##### `precisionInput`<sup>Optional</sup> <a name="precisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```typescript
public readonly precisionInput: number;
```

- *Type:* number

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```typescript
public readonly textAlignInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `unitInput`<sup>Optional</sup> <a name="unitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```typescript
public readonly unitInput: string;
```

- *Type:* string

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```typescript
public readonly unit: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetAlertValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetAlertValueDefinition">DashboardWidgetAlertValueDefinition</a>

---


### DashboardWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionCustomLinkList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]

---


### DashboardWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```typescript
public resetIsHidden(): void
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```typescript
public resetLabel(): void
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```typescript
public resetLink(): void
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```typescript
public resetOverrideLabel(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```typescript
public readonly isHiddenInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* string

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```typescript
public readonly linkInput: string;
```

- *Type:* string

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```typescript
public readonly overrideLabelInput: string;
```

- *Type:* string

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionCustomLink | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionOutputReference <a name="DashboardWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```typescript
public putCustomLink(value: IResolvable | DashboardWidgetChangeDefinitionCustomLink[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest"></a>

```typescript
public putRequest(value: IResolvable | DashboardWidgetChangeDefinitionRequest[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```typescript
public resetCustomLink(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetRequest"></a>

```typescript
public resetRequest(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLink"></a>

```typescript
public readonly customLink: DashboardWidgetChangeDefinitionCustomLinkList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLinkList">DashboardWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.request"></a>

```typescript
public readonly request: DashboardWidgetChangeDefinitionRequestList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList">DashboardWidgetChangeDefinitionRequestList</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```typescript
public readonly customLinkInput: IResolvable | DashboardWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionCustomLink">DashboardWidgetChangeDefinitionCustomLink</a>[]

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```typescript
public readonly requestInput: IResolvable | DashboardWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinition">DashboardWidgetChangeDefinition</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestApmQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---


### DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetChangeDefinitionRequestApmQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---


### DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```typescript
public resetCustomBgColor(): void
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```typescript
public resetCustomFgColor(): void
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```typescript
public resetHideValue(): void
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```typescript
public resetImageUrl(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```typescript
public resetTimeframe(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```typescript
public readonly comparatorInput: string;
```

- *Type:* string

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```typescript
public readonly customBgColorInput: string;
```

- *Type:* string

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```typescript
public readonly customFgColorInput: string;
```

- *Type:* string

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```typescript
public readonly hideValueInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```typescript
public readonly imageUrlInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```typescript
public readonly timeframeInput: string;
```

- *Type:* string

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```typescript
public readonly valueInput: number;
```

- *Type:* number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```typescript
public resetCount(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```typescript
public readonly countInput: number;
```

- *Type:* number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]

---


### DashboardWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```typescript
public putConditionalFormats(value: IResolvable | DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```typescript
public putLimit(value: DashboardWidgetChangeDefinitionRequestFormulaLimit): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```typescript
public putStyle(value: DashboardWidgetChangeDefinitionRequestFormulaStyle): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```typescript
public resetAlias(): void
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```typescript
public resetCellDisplayMode(): void
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```typescript
public resetConditionalFormats(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```typescript
public resetStyle(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```typescript
public readonly style: DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```typescript
public readonly aliasInput: string;
```

- *Type:* string

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```typescript
public readonly cellDisplayModeInput: string;
```

- *Type:* string

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```typescript
public readonly conditionalFormatsInput: IResolvable | DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```typescript
public readonly formulaExpressionInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: DashboardWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```typescript
public readonly styleInput: DashboardWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestFormula | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```typescript
public resetPalette(): void
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```typescript
public resetPaletteIndex(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```typescript
public readonly paletteIndexInput: number;
```

- *Type:* number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetChangeDefinitionRequestList <a name="DashboardWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a>[]

---


### DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestLogQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---


### DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetChangeDefinitionRequestLogQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType">resetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo">resetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">resetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy">resetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir">resetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent">resetShowPresent</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```typescript
public putApmQuery(value: DashboardWidgetChangeDefinitionRequestApmQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```typescript
public putFormula(value: IResolvable | DashboardWidgetChangeDefinitionRequestFormula[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```typescript
public putLogQuery(value: DashboardWidgetChangeDefinitionRequestLogQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetChangeDefinitionRequestProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```typescript
public putQuery(value: IResolvable | DashboardWidgetChangeDefinitionRequestQuery[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```typescript
public putRumQuery(value: DashboardWidgetChangeDefinitionRequestRumQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```typescript
public putSecurityQuery(value: DashboardWidgetChangeDefinitionRequestSecurityQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```typescript
public resetApmQuery(): void
```

##### `resetChangeType` <a name="resetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```typescript
public resetChangeType(): void
```

##### `resetCompareTo` <a name="resetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```typescript
public resetCompareTo(): void
```

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```typescript
public resetFormula(): void
```

##### `resetIncreaseGood` <a name="resetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```typescript
public resetIncreaseGood(): void
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```typescript
public resetLogQuery(): void
```

##### `resetOrderBy` <a name="resetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```typescript
public resetOrderBy(): void
```

##### `resetOrderDir` <a name="resetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```typescript
public resetOrderDir(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```typescript
public resetQ(): void
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```typescript
public resetQuery(): void
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```typescript
public resetRumQuery(): void
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```typescript
public resetSecurityQuery(): void
```

##### `resetShowPresent` <a name="resetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```typescript
public resetShowPresent(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">changeTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput">compareToInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">increaseGoodInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput">orderByInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">orderDirInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">showPresentInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType">changeType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo">compareTo</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood">increaseGood</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy">orderBy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir">orderDir</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q">q</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent">showPresent</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetChangeDefinitionRequestApmQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```typescript
public readonly formula: DashboardWidgetChangeDefinitionRequestFormulaList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormulaList">DashboardWidgetChangeDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetChangeDefinitionRequestLogQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```typescript
public readonly query: DashboardWidgetChangeDefinitionRequestQueryList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList">DashboardWidgetChangeDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetChangeDefinitionRequestRumQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```typescript
public readonly apmQueryInput: DashboardWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestApmQuery">DashboardWidgetChangeDefinitionRequestApmQuery</a>

---

##### `changeTypeInput`<sup>Optional</sup> <a name="changeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```typescript
public readonly changeTypeInput: string;
```

- *Type:* string

---

##### `compareToInput`<sup>Optional</sup> <a name="compareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```typescript
public readonly compareToInput: string;
```

- *Type:* string

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```typescript
public readonly formulaInput: IResolvable | DashboardWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestFormula">DashboardWidgetChangeDefinitionRequestFormula</a>[]

---

##### `increaseGoodInput`<sup>Optional</sup> <a name="increaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```typescript
public readonly increaseGoodInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```typescript
public readonly logQueryInput: DashboardWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestLogQuery">DashboardWidgetChangeDefinitionRequestLogQuery</a>

---

##### `orderByInput`<sup>Optional</sup> <a name="orderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```typescript
public readonly orderByInput: string;
```

- *Type:* string

---

##### `orderDirInput`<sup>Optional</sup> <a name="orderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```typescript
public readonly orderDirInput: string;
```

- *Type:* string

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: IResolvable | DashboardWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```typescript
public readonly rumQueryInput: DashboardWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```typescript
public readonly securityQueryInput: DashboardWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `showPresentInput`<sup>Optional</sup> <a name="showPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```typescript
public readonly showPresentInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `changeType`<sup>Required</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```typescript
public readonly changeType: string;
```

- *Type:* string

---

##### `compareTo`<sup>Required</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```typescript
public readonly compareTo: string;
```

- *Type:* string

---

##### `increaseGood`<sup>Required</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```typescript
public readonly increaseGood: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `orderBy`<sup>Required</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```typescript
public readonly orderBy: string;
```

- *Type:* string

---

##### `orderDir`<sup>Required</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```typescript
public readonly orderDir: string;
```

- *Type:* string

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

---

##### `showPresent`<sup>Required</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```typescript
public readonly showPresent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequest | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequest">DashboardWidgetChangeDefinitionRequest</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```typescript
public resetFilterBy(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```typescript
public resetSearchBy(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```typescript
public readonly filterByInput: string[];
```

- *Type:* string[]

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```typescript
public readonly searchByInput: string;
```

- *Type:* string

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```typescript
public resetIsUpstream(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```typescript
public readonly isUpstreamInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```typescript
public resetOperationName(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```typescript
public resetResourceName(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```typescript
public putSort(value: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```typescript
public putCompute(value: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```typescript
public putSearch(value: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```typescript
public resetIndexes(): void
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```typescript
public resetSearch(): void
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```typescript
public resetStorage(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```typescript
public readonly compute: DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```typescript
public readonly search: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```typescript
public readonly computeInput: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```typescript
public readonly indexesInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```typescript
public readonly searchInput: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```typescript
public readonly storageInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a>[]

---


### DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">resetDataSource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetDataSource` <a name="resetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```typescript
public resetDataSource(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">putApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">putApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">putEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">putMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">resetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">resetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">resetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">resetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmDependencyStatsQuery` <a name="putApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```typescript
public putApmDependencyStatsQuery(value: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `putApmResourceStatsQuery` <a name="putApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```typescript
public putApmResourceStatsQuery(value: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `putEventQuery` <a name="putEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```typescript
public putEventQuery(value: DashboardWidgetChangeDefinitionRequestQueryEventQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `putMetricQuery` <a name="putMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```typescript
public putMetricQuery(value: DashboardWidgetChangeDefinitionRequestQueryMetricQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetChangeDefinitionRequestQueryProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `resetApmDependencyStatsQuery` <a name="resetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```typescript
public resetApmDependencyStatsQuery(): void
```

##### `resetApmResourceStatsQuery` <a name="resetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```typescript
public resetApmResourceStatsQuery(): void
```

##### `resetEventQuery` <a name="resetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```typescript
public resetEventQuery(): void
```

##### `resetMetricQuery` <a name="resetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```typescript
public resetMetricQuery(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput">eventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput">metricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmDependencyStatsQuery`<sup>Required</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apmResourceStatsQuery`<sup>Required</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `eventQuery`<sup>Required</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metricQuery`<sup>Required</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apmDependencyStatsQueryInput`<sup>Optional</sup> <a name="apmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```typescript
public readonly apmDependencyStatsQueryInput: DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apmResourceStatsQueryInput`<sup>Optional</sup> <a name="apmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```typescript
public readonly apmResourceStatsQueryInput: DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `eventQueryInput`<sup>Optional</sup> <a name="eventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```typescript
public readonly eventQueryInput: DashboardWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `metricQueryInput`<sup>Optional</sup> <a name="metricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```typescript
public readonly metricQueryInput: DashboardWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQuery | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQuery">DashboardWidgetChangeDefinitionRequestQuery</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">resetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort">resetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">resetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">resetTextFilter</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetIsNormalizedCpu` <a name="resetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```typescript
public resetIsNormalizedCpu(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```

##### `resetTagFilters` <a name="resetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```typescript
public resetTagFilters(): void
```

##### `resetTextFilter` <a name="resetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```typescript
public resetTextFilter(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">isNormalizedCpuInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sortInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tagFiltersInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">textFilterInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">textFilter</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `isNormalizedCpuInput`<sup>Optional</sup> <a name="isNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```typescript
public readonly isNormalizedCpuInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: string;
```

- *Type:* string

---

##### `tagFiltersInput`<sup>Optional</sup> <a name="tagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```typescript
public readonly tagFiltersInput: string[];
```

- *Type:* string[]

---

##### `textFilterInput`<sup>Optional</sup> <a name="textFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```typescript
public readonly textFilterInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `isNormalizedCpu`<sup>Required</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

---

##### `tagFilters`<sup>Required</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

---

##### `textFilter`<sup>Required</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetChangeDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestRumQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---


### DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetChangeDefinitionRequestRumQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetChangeDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestRumQuery">DashboardWidgetChangeDefinitionRequestRumQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetChangeDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetCheckStatusDefinitionOutputReference <a name="DashboardWidgetCheckStatusDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetCheckStatusDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup">resetGroup</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags">resetTags</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroup` <a name="resetGroup" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroup"></a>

```typescript
public resetGroup(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTags` <a name="resetTags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTags"></a>

```typescript
public resetTags(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput">checkInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput">groupByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput">groupingInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput">groupInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput">tagsInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check">check</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group">group</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy">groupBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping">grouping</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags">tags</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `checkInput`<sup>Optional</sup> <a name="checkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.checkInput"></a>

```typescript
public readonly checkInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: string[];
```

- *Type:* string[]

---

##### `groupingInput`<sup>Optional</sup> <a name="groupingInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupingInput"></a>

```typescript
public readonly groupingInput: string;
```

- *Type:* string

---

##### `groupInput`<sup>Optional</sup> <a name="groupInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupInput"></a>

```typescript
public readonly groupInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `tagsInput`<sup>Optional</sup> <a name="tagsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tagsInput"></a>

```typescript
public readonly tagsInput: string[];
```

- *Type:* string[]

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.check"></a>

```typescript
public readonly check: string;
```

- *Type:* string

---

##### `group`<sup>Required</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.group"></a>

```typescript
public readonly group: string;
```

- *Type:* string

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.grouping"></a>

```typescript
public readonly grouping: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `tags`<sup>Required</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.tags"></a>

```typescript
public readonly tags: string[];
```

- *Type:* string[]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetCheckStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetCheckStatusDefinition">DashboardWidgetCheckStatusDefinition</a>

---


### DashboardWidgetDistributionDefinitionOutputReference <a name="DashboardWidgetDistributionDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize">resetLegendSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend">resetShowLegend</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest"></a>

```typescript
public putRequest(value: IResolvable | DashboardWidgetDistributionDefinitionRequest[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]

---

##### `resetLegendSize` <a name="resetLegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLegendSize"></a>

```typescript
public resetLegendSize(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetRequest"></a>

```typescript
public resetRequest(): void
```

##### `resetShowLegend` <a name="resetShowLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetShowLegend"></a>

```typescript
public resetShowLegend(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput">legendSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput">showLegendInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize">legendSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend">showLegend</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.request"></a>

```typescript
public readonly request: DashboardWidgetDistributionDefinitionRequestList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList">DashboardWidgetDistributionDefinitionRequestList</a>

---

##### `legendSizeInput`<sup>Optional</sup> <a name="legendSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSizeInput"></a>

```typescript
public readonly legendSizeInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.requestInput"></a>

```typescript
public readonly requestInput: IResolvable | DashboardWidgetDistributionDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]

---

##### `showLegendInput`<sup>Optional</sup> <a name="showLegendInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegendInput"></a>

```typescript
public readonly showLegendInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `legendSize`<sup>Required</sup> <a name="legendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.legendSize"></a>

```typescript
public readonly legendSize: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `showLegend`<sup>Required</sup> <a name="showLegend" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.showLegend"></a>

```typescript
public readonly showLegend: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinition">DashboardWidgetDistributionDefinition</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]

---


### DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList">DashboardWidgetDistributionDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy">DashboardWidgetDistributionDefinitionRequestApmQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetAlias"></a>

```typescript
public resetAlias(): void
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetCellDisplayMode"></a>

```typescript
public resetCellDisplayMode(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput">aliasInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias">alias</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.aliasInput"></a>

```typescript
public readonly aliasInput: string;
```

- *Type:* string

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayModeInput"></a>

```typescript
public readonly cellDisplayModeInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns">putColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns">resetColumns</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource">resetResource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putColumns` <a name="putColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns"></a>

```typescript
public putColumns(value: IResolvable | DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.putColumns.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]

---

##### `resetColumns` <a name="resetColumns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetColumns"></a>

```typescript
public resetColumns(): void
```

##### `resetResource` <a name="resetResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.resetResource"></a>

```typescript
public resetResource(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns">columns</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput">columnsInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput">primaryTagInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput">resourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput">rowTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag">primaryTag</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource">resource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType">rowType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `columns`<sup>Required</sup> <a name="columns" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columns"></a>

```typescript
public readonly columns: DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumnsList</a>

---

##### `columnsInput`<sup>Optional</sup> <a name="columnsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.columnsInput"></a>

```typescript
public readonly columnsInput: IResolvable | DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns">DashboardWidgetDistributionDefinitionRequestApmStatsQueryColumns</a>[]

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `primaryTagInput`<sup>Optional</sup> <a name="primaryTagInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTagInput"></a>

```typescript
public readonly primaryTagInput: string;
```

- *Type:* string

---

##### `resourceInput`<sup>Optional</sup> <a name="resourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resourceInput"></a>

```typescript
public readonly resourceInput: string;
```

- *Type:* string

---

##### `rowTypeInput`<sup>Optional</sup> <a name="rowTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowTypeInput"></a>

```typescript
public readonly rowTypeInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `primaryTag`<sup>Required</sup> <a name="primaryTag" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.primaryTag"></a>

```typescript
public readonly primaryTag: string;
```

- *Type:* string

---

##### `resource`<sup>Required</sup> <a name="resource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.resource"></a>

```typescript
public readonly resource: string;
```

- *Type:* string

---

##### `rowType`<sup>Required</sup> <a name="rowType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.rowType"></a>

```typescript
public readonly rowType: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestList <a name="DashboardWidgetDistributionDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a>[]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]

---


### DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList">DashboardWidgetDistributionDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy">DashboardWidgetDistributionDefinitionRequestLogQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestOutputReference <a name="DashboardWidgetDistributionDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery">putApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery">resetApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery"></a>

```typescript
public putApmQuery(value: DashboardWidgetDistributionDefinitionRequestApmQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `putApmStatsQuery` <a name="putApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery"></a>

```typescript
public putApmStatsQuery(value: DashboardWidgetDistributionDefinitionRequestApmStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putApmStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery"></a>

```typescript
public putLogQuery(value: DashboardWidgetDistributionDefinitionRequestLogQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetDistributionDefinitionRequestProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery"></a>

```typescript
public putRumQuery(value: DashboardWidgetDistributionDefinitionRequestRumQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery"></a>

```typescript
public putSecurityQuery(value: DashboardWidgetDistributionDefinitionRequestSecurityQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle"></a>

```typescript
public putStyle(value: DashboardWidgetDistributionDefinitionRequestStyle): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmQuery"></a>

```typescript
public resetApmQuery(): void
```

##### `resetApmStatsQuery` <a name="resetApmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetApmStatsQuery"></a>

```typescript
public resetApmStatsQuery(): void
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetLogQuery"></a>

```typescript
public resetLogQuery(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetQ"></a>

```typescript
public resetQ(): void
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetRumQuery"></a>

```typescript
public resetRumQuery(): void
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetSecurityQuery"></a>

```typescript
public resetSecurityQuery(): void
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.resetStyle"></a>

```typescript
public resetStyle(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery">apmStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput">apmStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q">q</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmQueryOutputReference</a>

---

##### `apmStatsQuery`<sup>Required</sup> <a name="apmStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQuery"></a>

```typescript
public readonly apmStatsQuery: DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference">DashboardWidgetDistributionDefinitionRequestApmStatsQueryOutputReference</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference">DashboardWidgetDistributionDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference">DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.style"></a>

```typescript
public readonly style: DashboardWidgetDistributionDefinitionRequestStyleOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference">DashboardWidgetDistributionDefinitionRequestStyleOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmQueryInput"></a>

```typescript
public readonly apmQueryInput: DashboardWidgetDistributionDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmQuery">DashboardWidgetDistributionDefinitionRequestApmQuery</a>

---

##### `apmStatsQueryInput`<sup>Optional</sup> <a name="apmStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.apmStatsQueryInput"></a>

```typescript
public readonly apmStatsQueryInput: DashboardWidgetDistributionDefinitionRequestApmStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestApmStatsQuery">DashboardWidgetDistributionDefinitionRequestApmStatsQuery</a>

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.logQueryInput"></a>

```typescript
public readonly logQueryInput: DashboardWidgetDistributionDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestLogQuery">DashboardWidgetDistributionDefinitionRequestLogQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetDistributionDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.qInput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* string

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.rumQueryInput"></a>

```typescript
public readonly rumQueryInput: DashboardWidgetDistributionDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.securityQueryInput"></a>

```typescript
public readonly securityQueryInput: DashboardWidgetDistributionDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.styleInput"></a>

```typescript
public readonly styleInput: DashboardWidgetDistributionDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequest | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequest">DashboardWidgetDistributionDefinitionRequest</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```typescript
public resetFilterBy(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```typescript
public resetSearchBy(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```typescript
public readonly filterByInput: string[];
```

- *Type:* string[]

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```typescript
public readonly searchByInput: string;
```

- *Type:* string

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestProcessQuery">DashboardWidgetDistributionDefinitionRequestProcessQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]

---


### DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList">DashboardWidgetDistributionDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy">DashboardWidgetDistributionDefinitionRequestRumQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestRumQuery">DashboardWidgetDistributionDefinitionRequestRumQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetDistributionDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy">DashboardWidgetDistributionDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetDistributionDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestSecurityQuery">DashboardWidgetDistributionDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetDistributionDefinitionRequestStyleOutputReference <a name="DashboardWidgetDistributionDefinitionRequestStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.resetPalette"></a>

```typescript
public resetPalette(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyleOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetDistributionDefinitionRequestStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetDistributionDefinitionRequestStyle">DashboardWidgetDistributionDefinitionRequestStyle</a>

---


### DashboardWidgetEventStreamDefinitionOutputReference <a name="DashboardWidgetEventStreamDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetEventStreamDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize">resetEventSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution">resetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetEventSize` <a name="resetEventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetEventSize"></a>

```typescript
public resetEventSize(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTagsExecution` <a name="resetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTagsExecution"></a>

```typescript
public resetTagsExecution(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput">eventSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput">tagsExecutionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize">eventSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `eventSizeInput`<sup>Optional</sup> <a name="eventSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSizeInput"></a>

```typescript
public readonly eventSizeInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `tagsExecutionInput`<sup>Optional</sup> <a name="tagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecutionInput"></a>

```typescript
public readonly tagsExecutionInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `eventSize`<sup>Required</sup> <a name="eventSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.eventSize"></a>

```typescript
public readonly eventSize: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `tagsExecution`<sup>Required</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetEventStreamDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventStreamDefinition">DashboardWidgetEventStreamDefinition</a>

---


### DashboardWidgetEventTimelineDefinitionOutputReference <a name="DashboardWidgetEventTimelineDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetEventTimelineDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution">resetTagsExecution</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTagsExecution` <a name="resetTagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTagsExecution"></a>

```typescript
public resetTagsExecution(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput">tagsExecutionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution">tagsExecution</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `tagsExecutionInput`<sup>Optional</sup> <a name="tagsExecutionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecutionInput"></a>

```typescript
public readonly tagsExecutionInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `tagsExecution`<sup>Required</sup> <a name="tagsExecution" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.tagsExecution"></a>

```typescript
public readonly tagsExecution: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetEventTimelineDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetEventTimelineDefinition">DashboardWidgetEventTimelineDefinition</a>

---


### DashboardWidgetFreeTextDefinitionOutputReference <a name="DashboardWidgetFreeTextDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetFreeTextDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor">resetColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize">resetFontSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetColor` <a name="resetColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetColor"></a>

```typescript
public resetColor(): void
```

##### `resetFontSize` <a name="resetFontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetFontSize"></a>

```typescript
public resetFontSize(): void
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.resetTextAlign"></a>

```typescript
public resetTextAlign(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput">colorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput">fontSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput">textInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color">color</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize">fontSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text">text</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `colorInput`<sup>Optional</sup> <a name="colorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.colorInput"></a>

```typescript
public readonly colorInput: string;
```

- *Type:* string

---

##### `fontSizeInput`<sup>Optional</sup> <a name="fontSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSizeInput"></a>

```typescript
public readonly fontSizeInput: string;
```

- *Type:* string

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlignInput"></a>

```typescript
public readonly textAlignInput: string;
```

- *Type:* string

---

##### `textInput`<sup>Optional</sup> <a name="textInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textInput"></a>

```typescript
public readonly textInput: string;
```

- *Type:* string

---

##### `color`<sup>Required</sup> <a name="color" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.color"></a>

```typescript
public readonly color: string;
```

- *Type:* string

---

##### `fontSize`<sup>Required</sup> <a name="fontSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.fontSize"></a>

```typescript
public readonly fontSize: string;
```

- *Type:* string

---

##### `text`<sup>Required</sup> <a name="text" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.text"></a>

```typescript
public readonly text: string;
```

- *Type:* string

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetFreeTextDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetFreeTextDefinition">DashboardWidgetFreeTextDefinition</a>

---


### DashboardWidgetGeomapDefinitionCustomLinkList <a name="DashboardWidgetGeomapDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionCustomLinkList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]

---


### DashboardWidgetGeomapDefinitionCustomLinkOutputReference <a name="DashboardWidgetGeomapDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```typescript
public resetIsHidden(): void
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLabel"></a>

```typescript
public resetLabel(): void
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetLink"></a>

```typescript
public resetLink(): void
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```typescript
public resetOverrideLabel(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```typescript
public readonly isHiddenInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.labelInput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* string

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.linkInput"></a>

```typescript
public readonly linkInput: string;
```

- *Type:* string

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```typescript
public readonly overrideLabelInput: string;
```

- *Type:* string

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionCustomLink | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionOutputReference <a name="DashboardWidgetGeomapDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView">putView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle">resetStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink"></a>

```typescript
public putCustomLink(value: IResolvable | DashboardWidgetGeomapDefinitionCustomLink[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest"></a>

```typescript
public putRequest(value: IResolvable | DashboardWidgetGeomapDefinitionRequest[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle"></a>

```typescript
public putStyle(value: DashboardWidgetGeomapDefinitionStyle): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `putView` <a name="putView" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView"></a>

```typescript
public putView(value: DashboardWidgetGeomapDefinitionView): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.putView.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetCustomLink"></a>

```typescript
public resetCustomLink(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetRequest"></a>

```typescript
public resetRequest(): void
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetStyle"></a>

```typescript
public resetStyle(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view">view</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput">viewInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLink"></a>

```typescript
public readonly customLink: DashboardWidgetGeomapDefinitionCustomLinkList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLinkList">DashboardWidgetGeomapDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.request"></a>

```typescript
public readonly request: DashboardWidgetGeomapDefinitionRequestList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList">DashboardWidgetGeomapDefinitionRequestList</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.style"></a>

```typescript
public readonly style: DashboardWidgetGeomapDefinitionStyleOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference">DashboardWidgetGeomapDefinitionStyleOutputReference</a>

---

##### `view`<sup>Required</sup> <a name="view" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.view"></a>

```typescript
public readonly view: DashboardWidgetGeomapDefinitionViewOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference">DashboardWidgetGeomapDefinitionViewOutputReference</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.customLinkInput"></a>

```typescript
public readonly customLinkInput: IResolvable | DashboardWidgetGeomapDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionCustomLink">DashboardWidgetGeomapDefinitionCustomLink</a>[]

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.requestInput"></a>

```typescript
public readonly requestInput: IResolvable | DashboardWidgetGeomapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.styleInput"></a>

```typescript
public readonly styleInput: DashboardWidgetGeomapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `viewInput`<sup>Optional</sup> <a name="viewInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.viewInput"></a>

```typescript
public readonly viewInput: DashboardWidgetGeomapDefinitionView;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinition">DashboardWidgetGeomapDefinition</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]

---


### DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```typescript
public resetCustomBgColor(): void
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```typescript
public resetCustomFgColor(): void
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```typescript
public resetHideValue(): void
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```typescript
public resetImageUrl(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```typescript
public resetTimeframe(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```typescript
public readonly comparatorInput: string;
```

- *Type:* string

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```typescript
public readonly customBgColorInput: string;
```

- *Type:* string

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```typescript
public readonly customFgColorInput: string;
```

- *Type:* string

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```typescript
public readonly hideValueInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```typescript
public readonly imageUrlInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```typescript
public readonly timeframeInput: string;
```

- *Type:* string

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```typescript
public readonly valueInput: number;
```

- *Type:* number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```typescript
public resetCount(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```typescript
public readonly countInput: number;
```

- *Type:* number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGeomapDefinitionRequestFormulaList <a name="DashboardWidgetGeomapDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]

---


### DashboardWidgetGeomapDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```typescript
public putConditionalFormats(value: IResolvable | DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit"></a>

```typescript
public putLimit(value: DashboardWidgetGeomapDefinitionRequestFormulaLimit): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle"></a>

```typescript
public putStyle(value: DashboardWidgetGeomapDefinitionRequestFormulaStyle): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetAlias"></a>

```typescript
public resetAlias(): void
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```typescript
public resetCellDisplayMode(): void
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```typescript
public resetConditionalFormats(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.resetStyle"></a>

```typescript
public resetStyle(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.style"></a>

```typescript
public readonly style: DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```typescript
public readonly aliasInput: string;
```

- *Type:* string

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```typescript
public readonly cellDisplayModeInput: string;
```

- *Type:* string

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```typescript
public readonly conditionalFormatsInput: IResolvable | DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats">DashboardWidgetGeomapDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```typescript
public readonly formulaExpressionInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: DashboardWidgetGeomapDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaLimit">DashboardWidgetGeomapDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```typescript
public readonly styleInput: DashboardWidgetGeomapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestFormula | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```typescript
public resetPalette(): void
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```typescript
public resetPaletteIndex(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```typescript
public readonly paletteIndexInput: number;
```

- *Type:* number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaStyle">DashboardWidgetGeomapDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGeomapDefinitionRequestList <a name="DashboardWidgetGeomapDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a>[]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]

---


### DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList">DashboardWidgetGeomapDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy">DashboardWidgetGeomapDefinitionRequestLogQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestOutputReference <a name="DashboardWidgetGeomapDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula"></a>

```typescript
public putFormula(value: IResolvable | DashboardWidgetGeomapDefinitionRequestFormula[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery"></a>

```typescript
public putLogQuery(value: DashboardWidgetGeomapDefinitionRequestLogQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery"></a>

```typescript
public putQuery(value: IResolvable | DashboardWidgetGeomapDefinitionRequestQuery[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery"></a>

```typescript
public putRumQuery(value: DashboardWidgetGeomapDefinitionRequestRumQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetFormula"></a>

```typescript
public resetFormula(): void
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetLogQuery"></a>

```typescript
public resetLogQuery(): void
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQ"></a>

```typescript
public resetQ(): void
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetQuery"></a>

```typescript
public resetQuery(): void
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.resetRumQuery"></a>

```typescript
public resetRumQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q">q</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formula"></a>

```typescript
public readonly formula: DashboardWidgetGeomapDefinitionRequestFormulaList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormulaList">DashboardWidgetGeomapDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference">DashboardWidgetGeomapDefinitionRequestLogQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.query"></a>

```typescript
public readonly query: DashboardWidgetGeomapDefinitionRequestQueryList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList">DashboardWidgetGeomapDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference</a>

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.formulaInput"></a>

```typescript
public readonly formulaInput: IResolvable | DashboardWidgetGeomapDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestFormula">DashboardWidgetGeomapDefinitionRequestFormula</a>[]

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.logQueryInput"></a>

```typescript
public readonly logQueryInput: DashboardWidgetGeomapDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestLogQuery">DashboardWidgetGeomapDefinitionRequestLogQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.qInput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: IResolvable | DashboardWidgetGeomapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.rumQueryInput"></a>

```typescript
public readonly rumQueryInput: DashboardWidgetGeomapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequest | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequest">DashboardWidgetGeomapDefinitionRequest</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```typescript
public resetIsUpstream(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```typescript
public readonly isUpstreamInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```typescript
public resetOperationName(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```typescript
public resetResourceName(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```typescript
public putSort(value: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```typescript
public putCompute(value: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```typescript
public putSearch(value: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```typescript
public resetIndexes(): void
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```typescript
public resetSearch(): void
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```typescript
public resetStorage(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```typescript
public readonly compute: DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```typescript
public readonly search: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```typescript
public readonly computeInput: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute">DashboardWidgetGeomapDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGeomapDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```typescript
public readonly indexesInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```typescript
public readonly searchInput: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```typescript
public readonly storageInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch">DashboardWidgetGeomapDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryList <a name="DashboardWidgetGeomapDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a>[]

---


### DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">resetDataSource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetDataSource` <a name="resetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```typescript
public resetDataSource(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">putApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">putApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery">putEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery">putMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">resetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">resetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery">resetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery">resetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmDependencyStatsQuery` <a name="putApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```typescript
public putApmDependencyStatsQuery(value: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `putApmResourceStatsQuery` <a name="putApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```typescript
public putApmResourceStatsQuery(value: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `putEventQuery` <a name="putEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery"></a>

```typescript
public putEventQuery(value: DashboardWidgetGeomapDefinitionRequestQueryEventQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `putMetricQuery` <a name="putMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```typescript
public putMetricQuery(value: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `resetApmDependencyStatsQuery` <a name="resetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```typescript
public resetApmDependencyStatsQuery(): void
```

##### `resetApmResourceStatsQuery` <a name="resetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```typescript
public resetApmResourceStatsQuery(): void
```

##### `resetEventQuery` <a name="resetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```typescript
public resetEventQuery(): void
```

##### `resetMetricQuery` <a name="resetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```typescript
public resetMetricQuery(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput">eventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput">metricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmDependencyStatsQuery`<sup>Required</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apmResourceStatsQuery`<sup>Required</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `eventQuery`<sup>Required</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metricQuery`<sup>Required</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apmDependencyStatsQueryInput`<sup>Optional</sup> <a name="apmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```typescript
public readonly apmDependencyStatsQueryInput: DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apmResourceStatsQueryInput`<sup>Optional</sup> <a name="apmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```typescript
public readonly apmResourceStatsQueryInput: DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGeomapDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `eventQueryInput`<sup>Optional</sup> <a name="eventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```typescript
public readonly eventQueryInput: DashboardWidgetGeomapDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryEventQuery">DashboardWidgetGeomapDefinitionRequestQueryEventQuery</a>

---

##### `metricQueryInput`<sup>Optional</sup> <a name="metricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```typescript
public readonly metricQueryInput: DashboardWidgetGeomapDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryMetricQuery">DashboardWidgetGeomapDefinitionRequestQueryMetricQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQuery | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQuery">DashboardWidgetGeomapDefinitionRequestQuery</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">resetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort">resetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">resetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">resetTextFilter</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetIsNormalizedCpu` <a name="resetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```typescript
public resetIsNormalizedCpu(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```

##### `resetTagFilters` <a name="resetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```typescript
public resetTagFilters(): void
```

##### `resetTextFilter` <a name="resetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```typescript
public resetTextFilter(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">isNormalizedCpuInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sortInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tagFiltersInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">textFilterInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">textFilter</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `isNormalizedCpuInput`<sup>Optional</sup> <a name="isNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```typescript
public readonly isNormalizedCpuInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: string;
```

- *Type:* string

---

##### `tagFiltersInput`<sup>Optional</sup> <a name="tagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```typescript
public readonly tagFiltersInput: string[];
```

- *Type:* string[]

---

##### `textFilterInput`<sup>Optional</sup> <a name="textFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```typescript
public readonly textFilterInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `isNormalizedCpu`<sup>Required</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

---

##### `tagFilters`<sup>Required</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

---

##### `textFilter`<sup>Required</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestQueryProcessQuery">DashboardWidgetGeomapDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]

---


### DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList">DashboardWidgetGeomapDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGeomapDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery">DashboardWidgetGeomapDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy">DashboardWidgetGeomapDefinitionRequestRumQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute">DashboardWidgetGeomapDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionRequestRumQuery">DashboardWidgetGeomapDefinitionRequestRumQuery</a>

---


### DashboardWidgetGeomapDefinitionStyleOutputReference <a name="DashboardWidgetGeomapDefinitionStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput">paletteFlipInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip">paletteFlip</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `paletteFlipInput`<sup>Optional</sup> <a name="paletteFlipInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlipInput"></a>

```typescript
public readonly paletteFlipInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `paletteFlip`<sup>Required</sup> <a name="paletteFlip" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.paletteFlip"></a>

```typescript
public readonly paletteFlip: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyleOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionStyle">DashboardWidgetGeomapDefinitionStyle</a>

---


### DashboardWidgetGeomapDefinitionViewOutputReference <a name="DashboardWidgetGeomapDefinitionViewOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGeomapDefinitionViewOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput">focusInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus">focus</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `focusInput`<sup>Optional</sup> <a name="focusInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focusInput"></a>

```typescript
public readonly focusInput: string;
```

- *Type:* string

---

##### `focus`<sup>Required</sup> <a name="focus" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.focus"></a>

```typescript
public readonly focus: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionViewOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGeomapDefinitionView;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGeomapDefinitionView">DashboardWidgetGeomapDefinitionView</a>

---


### DashboardWidgetGroupDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget">putWidget</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor">resetBackgroundColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg">resetBannerImg</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle">resetShowTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget">resetWidget</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putWidget` <a name="putWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget"></a>

```typescript
public putWidget(value: IResolvable | DashboardWidgetGroupDefinitionWidget[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.putWidget.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>[]

---

##### `resetBackgroundColor` <a name="resetBackgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBackgroundColor"></a>

```typescript
public resetBackgroundColor(): void
```

##### `resetBannerImg` <a name="resetBannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetBannerImg"></a>

```typescript
public resetBannerImg(): void
```

##### `resetShowTitle` <a name="resetShowTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetShowTitle"></a>

```typescript
public resetShowTitle(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetWidget` <a name="resetWidget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.resetWidget"></a>

```typescript
public resetWidget(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget">widget</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput">backgroundColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput">bannerImgInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput">layoutTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput">showTitleInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput">widgetInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor">backgroundColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg">bannerImg</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType">layoutType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle">showTitle</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `widget`<sup>Required</sup> <a name="widget" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widget"></a>

```typescript
public readonly widget: DashboardWidgetGroupDefinitionWidgetList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetList">DashboardWidgetGroupDefinitionWidgetList</a>

---

##### `backgroundColorInput`<sup>Optional</sup> <a name="backgroundColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColorInput"></a>

```typescript
public readonly backgroundColorInput: string;
```

- *Type:* string

---

##### `bannerImgInput`<sup>Optional</sup> <a name="bannerImgInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImgInput"></a>

```typescript
public readonly bannerImgInput: string;
```

- *Type:* string

---

##### `layoutTypeInput`<sup>Optional</sup> <a name="layoutTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutTypeInput"></a>

```typescript
public readonly layoutTypeInput: string;
```

- *Type:* string

---

##### `showTitleInput`<sup>Optional</sup> <a name="showTitleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitleInput"></a>

```typescript
public readonly showTitleInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `widgetInput`<sup>Optional</sup> <a name="widgetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.widgetInput"></a>

```typescript
public readonly widgetInput: IResolvable | DashboardWidgetGroupDefinitionWidget[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidget">DashboardWidgetGroupDefinitionWidget</a>[]

---

##### `backgroundColor`<sup>Required</sup> <a name="backgroundColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.backgroundColor"></a>

```typescript
public readonly backgroundColor: string;
```

- *Type:* string

---

##### `bannerImg`<sup>Required</sup> <a name="bannerImg" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.bannerImg"></a>

```typescript
public readonly bannerImg: string;
```

- *Type:* string

---

##### `layoutType`<sup>Required</sup> <a name="layoutType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.layoutType"></a>

```typescript
public readonly layoutType: string;
```

- *Type:* string

---

##### `showTitle`<sup>Required</sup> <a name="showTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.showTitle"></a>

```typescript
public readonly showTitle: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinition">DashboardWidgetGroupDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput">vizTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId">alertId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType">vizType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertIdInput"></a>

```typescript
public readonly alertIdInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `vizTypeInput`<sup>Optional</sup> <a name="vizTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizTypeInput"></a>

```typescript
public readonly vizTypeInput: string;
```

- *Type:* string

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `vizType`<sup>Required</sup> <a name="vizType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.vizType"></a>

```typescript
public readonly vizType: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition">DashboardWidgetGroupDefinitionWidgetAlertGraphDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision">resetPrecision</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign">resetTextAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit">resetUnit</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPrecision` <a name="resetPrecision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetPrecision"></a>

```typescript
public resetPrecision(): void
```

##### `resetTextAlign` <a name="resetTextAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTextAlign"></a>

```typescript
public resetTextAlign(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```

##### `resetUnit` <a name="resetUnit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.resetUnit"></a>

```typescript
public resetUnit(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput">alertIdInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput">precisionInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput">textAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput">unitInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId">alertId</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision">precision</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign">textAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit">unit</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `alertIdInput`<sup>Optional</sup> <a name="alertIdInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertIdInput"></a>

```typescript
public readonly alertIdInput: string;
```

- *Type:* string

---

##### `precisionInput`<sup>Optional</sup> <a name="precisionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precisionInput"></a>

```typescript
public readonly precisionInput: number;
```

- *Type:* number

---

##### `textAlignInput`<sup>Optional</sup> <a name="textAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlignInput"></a>

```typescript
public readonly textAlignInput: string;
```

- *Type:* string

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `unitInput`<sup>Optional</sup> <a name="unitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unitInput"></a>

```typescript
public readonly unitInput: string;
```

- *Type:* string

---

##### `alertId`<sup>Required</sup> <a name="alertId" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.alertId"></a>

```typescript
public readonly alertId: string;
```

- *Type:* string

---

##### `precision`<sup>Required</sup> <a name="precision" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.precision"></a>

```typescript
public readonly precision: number;
```

- *Type:* number

---

##### `textAlign`<sup>Required</sup> <a name="textAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.textAlign"></a>

```typescript
public readonly textAlign: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `unit`<sup>Required</sup> <a name="unit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.unit"></a>

```typescript
public readonly unit: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetAlertValueDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetAlertValueDefinition">DashboardWidgetGroupDefinitionWidgetAlertValueDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden">resetIsHidden</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel">resetLabel</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink">resetLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel">resetOverrideLabel</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsHidden` <a name="resetIsHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetIsHidden"></a>

```typescript
public resetIsHidden(): void
```

##### `resetLabel` <a name="resetLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLabel"></a>

```typescript
public resetLabel(): void
```

##### `resetLink` <a name="resetLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetLink"></a>

```typescript
public resetLink(): void
```

##### `resetOverrideLabel` <a name="resetOverrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.resetOverrideLabel"></a>

```typescript
public resetOverrideLabel(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput">isHiddenInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput">labelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput">linkInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput">overrideLabelInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden">isHidden</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label">label</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link">link</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel">overrideLabel</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `isHiddenInput`<sup>Optional</sup> <a name="isHiddenInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHiddenInput"></a>

```typescript
public readonly isHiddenInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `labelInput`<sup>Optional</sup> <a name="labelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.labelInput"></a>

```typescript
public readonly labelInput: string;
```

- *Type:* string

---

##### `linkInput`<sup>Optional</sup> <a name="linkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.linkInput"></a>

```typescript
public readonly linkInput: string;
```

- *Type:* string

---

##### `overrideLabelInput`<sup>Optional</sup> <a name="overrideLabelInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabelInput"></a>

```typescript
public readonly overrideLabelInput: string;
```

- *Type:* string

---

##### `isHidden`<sup>Required</sup> <a name="isHidden" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.isHidden"></a>

```typescript
public readonly isHidden: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `label`<sup>Required</sup> <a name="label" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.label"></a>

```typescript
public readonly label: string;
```

- *Type:* string

---

##### `link`<sup>Required</sup> <a name="link" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.link"></a>

```typescript
public readonly link: string;
```

- *Type:* string

---

##### `overrideLabel`<sup>Required</sup> <a name="overrideLabel" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.overrideLabel"></a>

```typescript
public readonly overrideLabel: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink">putCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink">resetCustomLink</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCustomLink` <a name="putCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink"></a>

```typescript
public putCustomLink(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putCustomLink.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]

---

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest"></a>

```typescript
public putRequest(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]

---

##### `resetCustomLink` <a name="resetCustomLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetCustomLink"></a>

```typescript
public resetCustomLink(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetRequest` <a name="resetRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetRequest"></a>

```typescript
public resetRequest(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink">customLink</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request">request</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput">customLinkInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput">requestInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `customLink`<sup>Required</sup> <a name="customLink" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLink"></a>

```typescript
public readonly customLink: DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLinkList</a>

---

##### `request`<sup>Required</sup> <a name="request" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.request"></a>

```typescript
public readonly request: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList</a>

---

##### `customLinkInput`<sup>Optional</sup> <a name="customLinkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.customLinkInput"></a>

```typescript
public readonly customLinkInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink">DashboardWidgetGroupDefinitionWidgetChangeDefinitionCustomLink</a>[]

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `requestInput`<sup>Optional</sup> <a name="requestInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.requestInput"></a>

```typescript
public readonly requestInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinition">DashboardWidgetGroupDefinitionWidgetChangeDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor">resetCustomBgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor">resetCustomFgColor</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue">resetHideValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl">resetImageUrl</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe">resetTimeframe</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCustomBgColor` <a name="resetCustomBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomBgColor"></a>

```typescript
public resetCustomBgColor(): void
```

##### `resetCustomFgColor` <a name="resetCustomFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetCustomFgColor"></a>

```typescript
public resetCustomFgColor(): void
```

##### `resetHideValue` <a name="resetHideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetHideValue"></a>

```typescript
public resetHideValue(): void
```

##### `resetImageUrl` <a name="resetImageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetImageUrl"></a>

```typescript
public resetImageUrl(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetTimeframe` <a name="resetTimeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.resetTimeframe"></a>

```typescript
public resetTimeframe(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput">comparatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput">customBgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput">customFgColorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput">hideValueInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput">imageUrlInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput">timeframeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput">valueInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator">comparator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor">customBgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor">customFgColor</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue">hideValue</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl">imageUrl</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe">timeframe</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value">value</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `comparatorInput`<sup>Optional</sup> <a name="comparatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparatorInput"></a>

```typescript
public readonly comparatorInput: string;
```

- *Type:* string

---

##### `customBgColorInput`<sup>Optional</sup> <a name="customBgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColorInput"></a>

```typescript
public readonly customBgColorInput: string;
```

- *Type:* string

---

##### `customFgColorInput`<sup>Optional</sup> <a name="customFgColorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColorInput"></a>

```typescript
public readonly customFgColorInput: string;
```

- *Type:* string

---

##### `hideValueInput`<sup>Optional</sup> <a name="hideValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValueInput"></a>

```typescript
public readonly hideValueInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrlInput`<sup>Optional</sup> <a name="imageUrlInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrlInput"></a>

```typescript
public readonly imageUrlInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `timeframeInput`<sup>Optional</sup> <a name="timeframeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframeInput"></a>

```typescript
public readonly timeframeInput: string;
```

- *Type:* string

---

##### `valueInput`<sup>Optional</sup> <a name="valueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.valueInput"></a>

```typescript
public readonly valueInput: number;
```

- *Type:* number

---

##### `comparator`<sup>Required</sup> <a name="comparator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.comparator"></a>

```typescript
public readonly comparator: string;
```

- *Type:* string

---

##### `customBgColor`<sup>Required</sup> <a name="customBgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customBgColor"></a>

```typescript
public readonly customBgColor: string;
```

- *Type:* string

---

##### `customFgColor`<sup>Required</sup> <a name="customFgColor" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.customFgColor"></a>

```typescript
public readonly customFgColor: string;
```

- *Type:* string

---

##### `hideValue`<sup>Required</sup> <a name="hideValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.hideValue"></a>

```typescript
public readonly hideValue: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `imageUrl`<sup>Required</sup> <a name="imageUrl" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.imageUrl"></a>

```typescript
public readonly imageUrl: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `timeframe`<sup>Required</sup> <a name="timeframe" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.timeframe"></a>

```typescript
public readonly timeframe: string;
```

- *Type:* string

---

##### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.value"></a>

```typescript
public readonly value: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount">resetCount</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetCount` <a name="resetCount" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetCount"></a>

```typescript
public resetCount(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput">countInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count">count</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `countInput`<sup>Optional</sup> <a name="countInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.countInput"></a>

```typescript
public readonly countInput: number;
```

- *Type:* number

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `count`<sup>Required</sup> <a name="count" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.count"></a>

```typescript
public readonly count: number;
```

- *Type:* number

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats">putConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit">putLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle">putStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias">resetAlias</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode">resetCellDisplayMode</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats">resetConditionalFormats</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle">resetStyle</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putConditionalFormats` <a name="putConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats"></a>

```typescript
public putConditionalFormats(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putConditionalFormats.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `putLimit` <a name="putLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit"></a>

```typescript
public putLimit(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putLimit.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `putStyle` <a name="putStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle"></a>

```typescript
public putStyle(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.putStyle.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `resetAlias` <a name="resetAlias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetAlias"></a>

```typescript
public resetAlias(): void
```

##### `resetCellDisplayMode` <a name="resetCellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetCellDisplayMode"></a>

```typescript
public resetCellDisplayMode(): void
```

##### `resetConditionalFormats` <a name="resetConditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetConditionalFormats"></a>

```typescript
public resetConditionalFormats(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetStyle` <a name="resetStyle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.resetStyle"></a>

```typescript
public resetStyle(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats">conditionalFormats</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit">limit</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style">style</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput">aliasInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput">cellDisplayModeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput">conditionalFormatsInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput">formulaExpressionInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput">limitInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput">styleInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias">alias</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode">cellDisplayMode</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression">formulaExpression</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `conditionalFormats`<sup>Required</sup> <a name="conditionalFormats" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormats"></a>

```typescript
public readonly conditionalFormats: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormatsList</a>

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limit"></a>

```typescript
public readonly limit: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimitOutputReference</a>

---

##### `style`<sup>Required</sup> <a name="style" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.style"></a>

```typescript
public readonly style: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference</a>

---

##### `aliasInput`<sup>Optional</sup> <a name="aliasInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.aliasInput"></a>

```typescript
public readonly aliasInput: string;
```

- *Type:* string

---

##### `cellDisplayModeInput`<sup>Optional</sup> <a name="cellDisplayModeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayModeInput"></a>

```typescript
public readonly cellDisplayModeInput: string;
```

- *Type:* string

---

##### `conditionalFormatsInput`<sup>Optional</sup> <a name="conditionalFormatsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.conditionalFormatsInput"></a>

```typescript
public readonly conditionalFormatsInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaConditionalFormats</a>[]

---

##### `formulaExpressionInput`<sup>Optional</sup> <a name="formulaExpressionInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpressionInput"></a>

```typescript
public readonly formulaExpressionInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaLimit</a>

---

##### `styleInput`<sup>Optional</sup> <a name="styleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.styleInput"></a>

```typescript
public readonly styleInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---

##### `alias`<sup>Required</sup> <a name="alias" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.alias"></a>

```typescript
public readonly alias: string;
```

- *Type:* string

---

##### `cellDisplayMode`<sup>Required</sup> <a name="cellDisplayMode" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.cellDisplayMode"></a>

```typescript
public readonly cellDisplayMode: string;
```

- *Type:* string

---

##### `formulaExpression`<sup>Required</sup> <a name="formulaExpression" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.formulaExpression"></a>

```typescript
public readonly formulaExpression: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette">resetPalette</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex">resetPaletteIndex</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetPalette` <a name="resetPalette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPalette"></a>

```typescript
public resetPalette(): void
```

##### `resetPaletteIndex` <a name="resetPaletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.resetPaletteIndex"></a>

```typescript
public resetPaletteIndex(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput">paletteIndexInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput">paletteInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette">palette</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex">paletteIndex</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `paletteIndexInput`<sup>Optional</sup> <a name="paletteIndexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndexInput"></a>

```typescript
public readonly paletteIndexInput: number;
```

- *Type:* number

---

##### `paletteInput`<sup>Optional</sup> <a name="paletteInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteInput"></a>

```typescript
public readonly paletteInput: string;
```

- *Type:* string

---

##### `palette`<sup>Required</sup> <a name="palette" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.palette"></a>

```typescript
public readonly palette: string;
```

- *Type:* string

---

##### `paletteIndex`<sup>Required</sup> <a name="paletteIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.paletteIndex"></a>

```typescript
public readonly paletteIndex: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyleOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaStyle</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery">putApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula">putFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery">putLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery">putQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery">putRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery">putSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery">resetApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType">resetChangeType</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo">resetCompareTo</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula">resetFormula</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood">resetIncreaseGood</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery">resetLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy">resetOrderBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir">resetOrderDir</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ">resetQ</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery">resetQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery">resetRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery">resetSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent">resetShowPresent</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmQuery` <a name="putApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery"></a>

```typescript
public putApmQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putApmQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `putFormula` <a name="putFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula"></a>

```typescript
public putFormula(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putFormula.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]

---

##### `putLogQuery` <a name="putLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery"></a>

```typescript
public putLogQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putLogQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `putQuery` <a name="putQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery"></a>

```typescript
public putQuery(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putQuery.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]

---

##### `putRumQuery` <a name="putRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery"></a>

```typescript
public putRumQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putRumQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `putSecurityQuery` <a name="putSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery"></a>

```typescript
public putSecurityQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.putSecurityQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `resetApmQuery` <a name="resetApmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetApmQuery"></a>

```typescript
public resetApmQuery(): void
```

##### `resetChangeType` <a name="resetChangeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetChangeType"></a>

```typescript
public resetChangeType(): void
```

##### `resetCompareTo` <a name="resetCompareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetCompareTo"></a>

```typescript
public resetCompareTo(): void
```

##### `resetFormula` <a name="resetFormula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetFormula"></a>

```typescript
public resetFormula(): void
```

##### `resetIncreaseGood` <a name="resetIncreaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetIncreaseGood"></a>

```typescript
public resetIncreaseGood(): void
```

##### `resetLogQuery` <a name="resetLogQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetLogQuery"></a>

```typescript
public resetLogQuery(): void
```

##### `resetOrderBy` <a name="resetOrderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderBy"></a>

```typescript
public resetOrderBy(): void
```

##### `resetOrderDir` <a name="resetOrderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetOrderDir"></a>

```typescript
public resetOrderDir(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```

##### `resetQ` <a name="resetQ" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQ"></a>

```typescript
public resetQ(): void
```

##### `resetQuery` <a name="resetQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetQuery"></a>

```typescript
public resetQuery(): void
```

##### `resetRumQuery` <a name="resetRumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetRumQuery"></a>

```typescript
public resetRumQuery(): void
```

##### `resetSecurityQuery` <a name="resetSecurityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetSecurityQuery"></a>

```typescript
public resetSecurityQuery(): void
```

##### `resetShowPresent` <a name="resetShowPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.resetShowPresent"></a>

```typescript
public resetShowPresent(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery">apmQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula">formula</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery">logQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query">query</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery">rumQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery">securityQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput">apmQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput">changeTypeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput">compareToInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput">formulaInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput">increaseGoodInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput">logQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput">orderByInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput">orderDirInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput">qInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput">queryInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput">rumQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput">securityQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput">showPresentInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType">changeType</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo">compareTo</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood">increaseGood</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy">orderBy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir">orderDir</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q">q</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent">showPresent</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmQuery`<sup>Required</sup> <a name="apmQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQuery"></a>

```typescript
public readonly apmQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQueryOutputReference</a>

---

##### `formula`<sup>Required</sup> <a name="formula" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formula"></a>

```typescript
public readonly formula: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormulaList</a>

---

##### `logQuery`<sup>Required</sup> <a name="logQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQuery"></a>

```typescript
public readonly logQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference</a>

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.query"></a>

```typescript
public readonly query: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList</a>

---

##### `rumQuery`<sup>Required</sup> <a name="rumQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQuery"></a>

```typescript
public readonly rumQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference</a>

---

##### `securityQuery`<sup>Required</sup> <a name="securityQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQuery"></a>

```typescript
public readonly securityQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference</a>

---

##### `apmQueryInput`<sup>Optional</sup> <a name="apmQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.apmQueryInput"></a>

```typescript
public readonly apmQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestApmQuery</a>

---

##### `changeTypeInput`<sup>Optional</sup> <a name="changeTypeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeTypeInput"></a>

```typescript
public readonly changeTypeInput: string;
```

- *Type:* string

---

##### `compareToInput`<sup>Optional</sup> <a name="compareToInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareToInput"></a>

```typescript
public readonly compareToInput: string;
```

- *Type:* string

---

##### `formulaInput`<sup>Optional</sup> <a name="formulaInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.formulaInput"></a>

```typescript
public readonly formulaInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestFormula</a>[]

---

##### `increaseGoodInput`<sup>Optional</sup> <a name="increaseGoodInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGoodInput"></a>

```typescript
public readonly increaseGoodInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `logQueryInput`<sup>Optional</sup> <a name="logQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.logQueryInput"></a>

```typescript
public readonly logQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestLogQuery</a>

---

##### `orderByInput`<sup>Optional</sup> <a name="orderByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderByInput"></a>

```typescript
public readonly orderByInput: string;
```

- *Type:* string

---

##### `orderDirInput`<sup>Optional</sup> <a name="orderDirInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDirInput"></a>

```typescript
public readonly orderDirInput: string;
```

- *Type:* string

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---

##### `qInput`<sup>Optional</sup> <a name="qInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.qInput"></a>

```typescript
public readonly qInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]

---

##### `rumQueryInput`<sup>Optional</sup> <a name="rumQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.rumQueryInput"></a>

```typescript
public readonly rumQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---

##### `securityQueryInput`<sup>Optional</sup> <a name="securityQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.securityQueryInput"></a>

```typescript
public readonly securityQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---

##### `showPresentInput`<sup>Optional</sup> <a name="showPresentInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresentInput"></a>

```typescript
public readonly showPresentInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `changeType`<sup>Required</sup> <a name="changeType" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.changeType"></a>

```typescript
public readonly changeType: string;
```

- *Type:* string

---

##### `compareTo`<sup>Required</sup> <a name="compareTo" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.compareTo"></a>

```typescript
public readonly compareTo: string;
```

- *Type:* string

---

##### `increaseGood`<sup>Required</sup> <a name="increaseGood" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.increaseGood"></a>

```typescript
public readonly increaseGood: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `orderBy`<sup>Required</sup> <a name="orderBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderBy"></a>

```typescript
public readonly orderBy: string;
```

- *Type:* string

---

##### `orderDir`<sup>Required</sup> <a name="orderDir" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.orderDir"></a>

```typescript
public readonly orderDir: string;
```

- *Type:* string

---

##### `q`<sup>Required</sup> <a name="q" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.q"></a>

```typescript
public readonly q: string;
```

- *Type:* string

---

##### `showPresent`<sup>Required</sup> <a name="showPresent" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.showPresent"></a>

```typescript
public readonly showPresent: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequest</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy">resetFilterBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy">resetSearchBy</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFilterBy` <a name="resetFilterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetFilterBy"></a>

```typescript
public resetFilterBy(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSearchBy` <a name="resetSearchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.resetSearchBy"></a>

```typescript
public resetSearchBy(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput">filterByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput">searchByInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy">filterBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy">searchBy</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `filterByInput`<sup>Optional</sup> <a name="filterByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterByInput"></a>

```typescript
public readonly filterByInput: string[];
```

- *Type:* string[]

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `searchByInput`<sup>Optional</sup> <a name="searchByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchByInput"></a>

```typescript
public readonly searchByInput: string;
```

- *Type:* string

---

##### `filterBy`<sup>Required</sup> <a name="filterBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.filterBy"></a>

```typescript
public readonly filterBy: string[];
```

- *Type:* string[]

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `searchBy`<sup>Required</sup> <a name="searchBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.searchBy"></a>

```typescript
public readonly searchBy: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestProcessQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream">resetIsUpstream</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetIsUpstream` <a name="resetIsUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetIsUpstream"></a>

```typescript
public resetIsUpstream(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput">isUpstreamInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream">isUpstream</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `isUpstreamInput`<sup>Optional</sup> <a name="isUpstreamInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstreamInput"></a>

```typescript
public readonly isUpstreamInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `isUpstream`<sup>Required</sup> <a name="isUpstream" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.isUpstream"></a>

```typescript
public readonly isUpstream: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName">resetOperationName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName">resetPrimaryTagName</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue">resetPrimaryTagValue</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName">resetResourceName</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetOperationName` <a name="resetOperationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetOperationName"></a>

```typescript
public resetOperationName(): void
```

##### `resetPrimaryTagName` <a name="resetPrimaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagName"></a>

```typescript
public resetPrimaryTagName(): void
```

##### `resetPrimaryTagValue` <a name="resetPrimaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetPrimaryTagValue"></a>

```typescript
public resetPrimaryTagValue(): void
```

##### `resetResourceName` <a name="resetResourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.resetResourceName"></a>

```typescript
public resetResourceName(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput">envInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput">operationNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput">primaryTagNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput">primaryTagValueInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput">resourceNameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput">serviceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput">statInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env">env</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy">groupBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName">operationName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName">primaryTagName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue">primaryTagValue</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName">resourceName</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service">service</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat">stat</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `envInput`<sup>Optional</sup> <a name="envInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.envInput"></a>

```typescript
public readonly envInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `operationNameInput`<sup>Optional</sup> <a name="operationNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationNameInput"></a>

```typescript
public readonly operationNameInput: string;
```

- *Type:* string

---

##### `primaryTagNameInput`<sup>Optional</sup> <a name="primaryTagNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagNameInput"></a>

```typescript
public readonly primaryTagNameInput: string;
```

- *Type:* string

---

##### `primaryTagValueInput`<sup>Optional</sup> <a name="primaryTagValueInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValueInput"></a>

```typescript
public readonly primaryTagValueInput: string;
```

- *Type:* string

---

##### `resourceNameInput`<sup>Optional</sup> <a name="resourceNameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceNameInput"></a>

```typescript
public readonly resourceNameInput: string;
```

- *Type:* string

---

##### `serviceInput`<sup>Optional</sup> <a name="serviceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.serviceInput"></a>

```typescript
public readonly serviceInput: string;
```

- *Type:* string

---

##### `statInput`<sup>Optional</sup> <a name="statInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.statInput"></a>

```typescript
public readonly statInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `env`<sup>Required</sup> <a name="env" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.env"></a>

```typescript
public readonly env: string;
```

- *Type:* string

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `operationName`<sup>Required</sup> <a name="operationName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.operationName"></a>

```typescript
public readonly operationName: string;
```

- *Type:* string

---

##### `primaryTagName`<sup>Required</sup> <a name="primaryTagName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagName"></a>

```typescript
public readonly primaryTagName: string;
```

- *Type:* string

---

##### `primaryTagValue`<sup>Required</sup> <a name="primaryTagValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.primaryTagValue"></a>

```typescript
public readonly primaryTagValue: string;
```

- *Type:* string

---

##### `resourceName`<sup>Required</sup> <a name="resourceName" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.resourceName"></a>

```typescript
public readonly resourceName: string;
```

- *Type:* string

---

##### `service`<sup>Required</sup> <a name="service" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.service"></a>

```typescript
public readonly service: string;
```

- *Type:* string

---

##### `stat`<sup>Required</sup> <a name="stat" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.stat"></a>

```typescript
public readonly stat: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric">resetMetric</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort">putSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort">resetSort</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSort` <a name="putSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort"></a>

```typescript
public putSort(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.putSort.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort">sort</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput">sortInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sort"></a>

```typescript
public readonly sort: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric">resetMetric</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder">resetOrder</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetMetric` <a name="resetMetric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetMetric"></a>

```typescript
public resetMetric(): void
```

##### `resetOrder` <a name="resetOrder" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.resetOrder"></a>

```typescript
public resetOrder(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySortOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBySort</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute">putCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch">putSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes">resetIndexes</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch">resetSearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage">resetStorage</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putCompute` <a name="putCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute"></a>

```typescript
public putCompute(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `putSearch` <a name="putSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch"></a>

```typescript
public putSearch(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.putSearch.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetIndexes` <a name="resetIndexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetIndexes"></a>

```typescript
public resetIndexes(): void
```

##### `resetSearch` <a name="resetSearch" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetSearch"></a>

```typescript
public resetSearch(): void
```

##### `resetStorage` <a name="resetStorage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.resetStorage"></a>

```typescript
public resetStorage(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute">compute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search">search</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput">computeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput">indexesInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput">searchInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput">storageInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes">indexes</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage">storage</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `compute`<sup>Required</sup> <a name="compute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.compute"></a>

```typescript
public readonly compute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryComputeList</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupByList</a>

---

##### `search`<sup>Required</sup> <a name="search" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.search"></a>

```typescript
public readonly search: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference</a>

---

##### `computeInput`<sup>Optional</sup> <a name="computeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.computeInput"></a>

```typescript
public readonly computeInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryCompute</a>[]

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryGroupBy</a>[]

---

##### `indexesInput`<sup>Optional</sup> <a name="indexesInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexesInput"></a>

```typescript
public readonly indexesInput: string[];
```

- *Type:* string[]

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `searchInput`<sup>Optional</sup> <a name="searchInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.searchInput"></a>

```typescript
public readonly searchInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---

##### `storageInput`<sup>Optional</sup> <a name="storageInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storageInput"></a>

```typescript
public readonly storageInput: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `indexes`<sup>Required</sup> <a name="indexes" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.indexes"></a>

```typescript
public readonly indexes: string[];
```

- *Type:* string[]

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `storage`<sup>Required</sup> <a name="storage" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.storage"></a>

```typescript
public readonly storage: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearchOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuerySearch</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource">resetDataSource</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetDataSource` <a name="resetDataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.resetDataSource"></a>

```typescript
public resetDataSource(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput">queryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query">query</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `queryInput`<sup>Optional</sup> <a name="queryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.queryInput"></a>

```typescript
public readonly queryInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `query`<sup>Required</sup> <a name="query" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.query"></a>

```typescript
public readonly query: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery">putApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery">putApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery">putEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery">putMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery">putProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery">resetApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery">resetApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery">resetEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery">resetMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery">resetProcessQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putApmDependencyStatsQuery` <a name="putApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery"></a>

```typescript
public putApmDependencyStatsQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmDependencyStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `putApmResourceStatsQuery` <a name="putApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery"></a>

```typescript
public putApmResourceStatsQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putApmResourceStatsQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `putEventQuery` <a name="putEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery"></a>

```typescript
public putEventQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putEventQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `putMetricQuery` <a name="putMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery"></a>

```typescript
public putMetricQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putMetricQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `putProcessQuery` <a name="putProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery"></a>

```typescript
public putProcessQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.putProcessQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `resetApmDependencyStatsQuery` <a name="resetApmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmDependencyStatsQuery"></a>

```typescript
public resetApmDependencyStatsQuery(): void
```

##### `resetApmResourceStatsQuery` <a name="resetApmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetApmResourceStatsQuery"></a>

```typescript
public resetApmResourceStatsQuery(): void
```

##### `resetEventQuery` <a name="resetEventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetEventQuery"></a>

```typescript
public resetEventQuery(): void
```

##### `resetMetricQuery` <a name="resetMetricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetMetricQuery"></a>

```typescript
public resetMetricQuery(): void
```

##### `resetProcessQuery` <a name="resetProcessQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.resetProcessQuery"></a>

```typescript
public resetProcessQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery">apmDependencyStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery">apmResourceStatsQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery">eventQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery">metricQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery">processQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput">apmDependencyStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput">apmResourceStatsQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput">eventQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput">metricQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput">processQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `apmDependencyStatsQuery`<sup>Required</sup> <a name="apmDependencyStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQuery"></a>

```typescript
public readonly apmDependencyStatsQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQueryOutputReference</a>

---

##### `apmResourceStatsQuery`<sup>Required</sup> <a name="apmResourceStatsQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQuery"></a>

```typescript
public readonly apmResourceStatsQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQueryOutputReference</a>

---

##### `eventQuery`<sup>Required</sup> <a name="eventQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.eventQuery"></a>

```typescript
public readonly eventQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQueryOutputReference</a>

---

##### `metricQuery`<sup>Required</sup> <a name="metricQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.metricQuery"></a>

```typescript
public readonly metricQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQueryOutputReference</a>

---

##### `processQuery`<sup>Required</sup> <a name="processQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.processQuery"></a>

```typescript
public readonly processQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference</a>

---

##### `apmDependencyStatsQueryInput`<sup>Optional</sup> <a name="apmDependencyStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmDependencyStatsQueryInput"></a>

```typescript
public readonly apmDependencyStatsQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmDependencyStatsQuery</a>

---

##### `apmResourceStatsQueryInput`<sup>Optional</sup> <a name="apmResourceStatsQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.apmResourceStatsQueryInput"></a>

```typescript
public readonly apmResourceStatsQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryApmResourceStatsQuery</a>

---

##### `eventQueryInput`<sup>Optional</sup> <a name="eventQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.eventQueryInput"></a>

```typescript
public readonly eventQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryEventQuery</a>

---

##### `metricQueryInput`<sup>Optional</sup> <a name="metricQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.metricQueryInput"></a>

```typescript
public readonly metricQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryMetricQuery</a>

---

##### `processQueryInput`<sup>Optional</sup> <a name="processQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.processQueryInput"></a>

```typescript
public readonly processQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQuery</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator">resetAggregator</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu">resetIsNormalizedCpu</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort">resetSort</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters">resetTagFilters</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter">resetTextFilter</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetAggregator` <a name="resetAggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetAggregator"></a>

```typescript
public resetAggregator(): void
```

##### `resetIsNormalizedCpu` <a name="resetIsNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetIsNormalizedCpu"></a>

```typescript
public resetIsNormalizedCpu(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSort` <a name="resetSort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetSort"></a>

```typescript
public resetSort(): void
```

##### `resetTagFilters` <a name="resetTagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTagFilters"></a>

```typescript
public resetTagFilters(): void
```

##### `resetTextFilter` <a name="resetTextFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.resetTextFilter"></a>

```typescript
public resetTextFilter(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput">aggregatorInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput">dataSourceInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput">isNormalizedCpuInput</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput">metricInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput">nameInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput">sortInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput">tagFiltersInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput">textFilterInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator">aggregator</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource">dataSource</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu">isNormalizedCpu</a></code> | <code>boolean \| cdktf.IResolvable</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric">metric</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name">name</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort">sort</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters">tagFilters</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter">textFilter</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregatorInput`<sup>Optional</sup> <a name="aggregatorInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregatorInput"></a>

```typescript
public readonly aggregatorInput: string;
```

- *Type:* string

---

##### `dataSourceInput`<sup>Optional</sup> <a name="dataSourceInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSourceInput"></a>

```typescript
public readonly dataSourceInput: string;
```

- *Type:* string

---

##### `isNormalizedCpuInput`<sup>Optional</sup> <a name="isNormalizedCpuInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpuInput"></a>

```typescript
public readonly isNormalizedCpuInput: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `metricInput`<sup>Optional</sup> <a name="metricInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metricInput"></a>

```typescript
public readonly metricInput: string;
```

- *Type:* string

---

##### `nameInput`<sup>Optional</sup> <a name="nameInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.nameInput"></a>

```typescript
public readonly nameInput: string;
```

- *Type:* string

---

##### `sortInput`<sup>Optional</sup> <a name="sortInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sortInput"></a>

```typescript
public readonly sortInput: string;
```

- *Type:* string

---

##### `tagFiltersInput`<sup>Optional</sup> <a name="tagFiltersInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFiltersInput"></a>

```typescript
public readonly tagFiltersInput: string[];
```

- *Type:* string[]

---

##### `textFilterInput`<sup>Optional</sup> <a name="textFilterInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilterInput"></a>

```typescript
public readonly textFilterInput: string;
```

- *Type:* string

---

##### `aggregator`<sup>Required</sup> <a name="aggregator" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.aggregator"></a>

```typescript
public readonly aggregator: string;
```

- *Type:* string

---

##### `dataSource`<sup>Required</sup> <a name="dataSource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.dataSource"></a>

```typescript
public readonly dataSource: string;
```

- *Type:* string

---

##### `isNormalizedCpu`<sup>Required</sup> <a name="isNormalizedCpu" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.isNormalizedCpu"></a>

```typescript
public readonly isNormalizedCpu: boolean | IResolvable;
```

- *Type:* boolean | cdktf.IResolvable

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `metric`<sup>Required</sup> <a name="metric" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.metric"></a>

```typescript
public readonly metric: string;
```

- *Type:* string

---

##### `name`<sup>Required</sup> <a name="name" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* string

---

##### `sort`<sup>Required</sup> <a name="sort" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.sort"></a>

```typescript
public readonly sort: string;
```

- *Type:* string

---

##### `tagFilters`<sup>Required</sup> <a name="tagFilters" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.tagFilters"></a>

```typescript
public readonly tagFilters: string[];
```

- *Type:* string[]

---

##### `textFilter`<sup>Required</sup> <a name="textFilter" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.textFilter"></a>

```typescript
public readonly textFilter: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestQueryProcessQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestRumQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery">putSortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit">resetLimit</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery">resetSortQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putSortQuery` <a name="putSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery"></a>

```typescript
public putSortQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.putSortQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetLimit` <a name="resetLimit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetLimit"></a>

```typescript
public resetLimit(): void
```

##### `resetSortQuery` <a name="resetSortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.resetSortQuery"></a>

```typescript
public resetSortQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery">sortQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput">limitInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput">sortQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit">limit</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `sortQuery`<sup>Required</sup> <a name="sortQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQuery"></a>

```typescript
public readonly sortQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference</a>

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `limitInput`<sup>Optional</sup> <a name="limitInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limitInput"></a>

```typescript
public readonly limitInput: number;
```

- *Type:* number

---

##### `sortQueryInput`<sup>Optional</sup> <a name="sortQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.sortQueryInput"></a>

```typescript
public readonly sortQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `limit`<sup>Required</sup> <a name="limit" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.limit"></a>

```typescript
public readonly limit: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet">resetFacet</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput">orderInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order">order</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `orderInput`<sup>Optional</sup> <a name="orderInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.orderInput"></a>

```typescript
public readonly orderInput: string;
```

- *Type:* string

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `order`<sup>Required</sup> <a name="order" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.order"></a>

```typescript
public readonly order: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBySortQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList(terraformResource: IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet">wrapsSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `wrapsSet`<sup>Required</sup> <a name="wrapsSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.Initializer.parameter.wrapsSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get">get</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `get` <a name="get" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get"></a>

```typescript
public get(index: number): DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference
```

###### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.get.parameter.index"></a>

- *Type:* number

the index of the item to return.

---


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue">internalValue</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList.property.internalValue"></a>

```typescript
public readonly internalValue: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex">complexObjectIndex</a></code> | <code>number</code> | the index of this item in the list. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet">complexObjectIsFromSet</a></code> | <code>boolean</code> | whether the list is wrapping a set (will add tolist() to be able to access an item via an index). |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

##### `complexObjectIndex`<sup>Required</sup> <a name="complexObjectIndex" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIndex"></a>

- *Type:* number

the index of this item in the list.

---

##### `complexObjectIsFromSet`<sup>Required</sup> <a name="complexObjectIsFromSet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.Initializer.parameter.complexObjectIsFromSet"></a>

- *Type:* boolean

whether the list is wrapping a set (will add tolist() to be able to access an item via an index).

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet">resetFacet</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval">resetInterval</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetFacet` <a name="resetFacet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetFacet"></a>

```typescript
public resetFacet(): void
```

##### `resetInterval` <a name="resetInterval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.resetInterval"></a>

```typescript
public resetInterval(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput">aggregationInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput">facetInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput">intervalInput</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation">aggregation</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet">facet</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval">interval</a></code> | <code>number</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> \| cdktf.IResolvable</code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `aggregationInput`<sup>Optional</sup> <a name="aggregationInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregationInput"></a>

```typescript
public readonly aggregationInput: string;
```

- *Type:* string

---

##### `facetInput`<sup>Optional</sup> <a name="facetInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facetInput"></a>

```typescript
public readonly facetInput: string;
```

- *Type:* string

---

##### `intervalInput`<sup>Optional</sup> <a name="intervalInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.intervalInput"></a>

```typescript
public readonly intervalInput: number;
```

- *Type:* number

---

##### `aggregation`<sup>Required</sup> <a name="aggregation" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.aggregation"></a>

```typescript
public readonly aggregation: string;
```

- *Type:* string

---

##### `facet`<sup>Required</sup> <a name="facet" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.facet"></a>

```typescript
public readonly facet: string;
```

- *Type:* string

---

##### `interval`<sup>Required</sup> <a name="interval" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.interval"></a>

```typescript
public readonly interval: number;
```

- *Type:* number

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute | IResolvable;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a> | cdktf.IResolvable

---


### DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference <a name="DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery">putComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy">putGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute">putMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery">resetComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute">resetMultiCompute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery">resetSearchQuery</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putComputeQuery` <a name="putComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery"></a>

```typescript
public putComputeQuery(value: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putComputeQuery.parameter.value"></a>

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `putGroupBy` <a name="putGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy"></a>

```typescript
public putGroupBy(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putGroupBy.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `putMultiCompute` <a name="putMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute"></a>

```typescript
public putMultiCompute(value: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.putMultiCompute.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `resetComputeQuery` <a name="resetComputeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetComputeQuery"></a>

```typescript
public resetComputeQuery(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetMultiCompute` <a name="resetMultiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetMultiCompute"></a>

```typescript
public resetMultiCompute(): void
```

##### `resetSearchQuery` <a name="resetSearchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.resetSearchQuery"></a>

```typescript
public resetSearchQuery(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery">computeQuery</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy">groupBy</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute">multiCompute</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput">computeQueryInput</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput">groupByInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput">indexInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput">multiComputeInput</a></code> | <code>cdktf.IResolvable \| <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput">searchQueryInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index">index</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery">searchQuery</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `computeQuery`<sup>Required</sup> <a name="computeQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQuery"></a>

```typescript
public readonly computeQuery: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQueryOutputReference</a>

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupByList</a>

---

##### `multiCompute`<sup>Required</sup> <a name="multiCompute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiCompute"></a>

```typescript
public readonly multiCompute: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiComputeList</a>

---

##### `computeQueryInput`<sup>Optional</sup> <a name="computeQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.computeQueryInput"></a>

```typescript
public readonly computeQueryInput: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryComputeQuery</a>

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryGroupBy</a>[]

---

##### `indexInput`<sup>Optional</sup> <a name="indexInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.indexInput"></a>

```typescript
public readonly indexInput: string;
```

- *Type:* string

---

##### `multiComputeInput`<sup>Optional</sup> <a name="multiComputeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.multiComputeInput"></a>

```typescript
public readonly multiComputeInput: IResolvable | DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute[];
```

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryMultiCompute</a>[]

---

##### `searchQueryInput`<sup>Optional</sup> <a name="searchQueryInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQueryInput"></a>

```typescript
public readonly searchQueryInput: string;
```

- *Type:* string

---

##### `index`<sup>Required</sup> <a name="index" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.index"></a>

```typescript
public readonly index: string;
```

- *Type:* string

---

##### `searchQuery`<sup>Required</sup> <a name="searchQuery" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.searchQuery"></a>

```typescript
public readonly searchQuery: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQueryOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery">DashboardWidgetGroupDefinitionWidgetChangeDefinitionRequestSecurityQuery</a>

---


### DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetGroup">resetGroup</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetGroupBy">resetGroupBy</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTags">resetTags</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `resetGroup` <a name="resetGroup" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetGroup"></a>

```typescript
public resetGroup(): void
```

##### `resetGroupBy` <a name="resetGroupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetGroupBy"></a>

```typescript
public resetGroupBy(): void
```

##### `resetLiveSpan` <a name="resetLiveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetLiveSpan"></a>

```typescript
public resetLiveSpan(): void
```

##### `resetTags` <a name="resetTags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTags"></a>

```typescript
public resetTags(): void
```

##### `resetTitle` <a name="resetTitle" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitle"></a>

```typescript
public resetTitle(): void
```

##### `resetTitleAlign` <a name="resetTitleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitleAlign"></a>

```typescript
public resetTitleAlign(): void
```

##### `resetTitleSize` <a name="resetTitleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.resetTitleSize"></a>

```typescript
public resetTitleSize(): void
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.creationStack">creationStack</a></code> | <code>string[]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.fqn">fqn</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.checkInput">checkInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupByInput">groupByInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupingInput">groupingInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupInput">groupInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput">liveSpanInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.tagsInput">tagsInput</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput">titleAlignInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleInput">titleInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput">titleSizeInput</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.check">check</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.group">group</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupBy">groupBy</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.grouping">grouping</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.liveSpan">liveSpan</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.tags">tags</a></code> | <code>string[]</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.title">title</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleAlign">titleAlign</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleSize">titleSize</a></code> | <code>string</code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.internalValue">internalValue</a></code> | <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a></code> | *No description.* |

---

##### `creationStack`<sup>Required</sup> <a name="creationStack" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.creationStack"></a>

```typescript
public readonly creationStack: string[];
```

- *Type:* string[]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.fqn"></a>

```typescript
public readonly fqn: string;
```

- *Type:* string

---

##### `checkInput`<sup>Optional</sup> <a name="checkInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.checkInput"></a>

```typescript
public readonly checkInput: string;
```

- *Type:* string

---

##### `groupByInput`<sup>Optional</sup> <a name="groupByInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupByInput"></a>

```typescript
public readonly groupByInput: string[];
```

- *Type:* string[]

---

##### `groupingInput`<sup>Optional</sup> <a name="groupingInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupingInput"></a>

```typescript
public readonly groupingInput: string;
```

- *Type:* string

---

##### `groupInput`<sup>Optional</sup> <a name="groupInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupInput"></a>

```typescript
public readonly groupInput: string;
```

- *Type:* string

---

##### `liveSpanInput`<sup>Optional</sup> <a name="liveSpanInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.liveSpanInput"></a>

```typescript
public readonly liveSpanInput: string;
```

- *Type:* string

---

##### `tagsInput`<sup>Optional</sup> <a name="tagsInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.tagsInput"></a>

```typescript
public readonly tagsInput: string[];
```

- *Type:* string[]

---

##### `titleAlignInput`<sup>Optional</sup> <a name="titleAlignInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleAlignInput"></a>

```typescript
public readonly titleAlignInput: string;
```

- *Type:* string

---

##### `titleInput`<sup>Optional</sup> <a name="titleInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleInput"></a>

```typescript
public readonly titleInput: string;
```

- *Type:* string

---

##### `titleSizeInput`<sup>Optional</sup> <a name="titleSizeInput" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleSizeInput"></a>

```typescript
public readonly titleSizeInput: string;
```

- *Type:* string

---

##### `check`<sup>Required</sup> <a name="check" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.check"></a>

```typescript
public readonly check: string;
```

- *Type:* string

---

##### `group`<sup>Required</sup> <a name="group" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.group"></a>

```typescript
public readonly group: string;
```

- *Type:* string

---

##### `groupBy`<sup>Required</sup> <a name="groupBy" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.groupBy"></a>

```typescript
public readonly groupBy: string[];
```

- *Type:* string[]

---

##### `grouping`<sup>Required</sup> <a name="grouping" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.grouping"></a>

```typescript
public readonly grouping: string;
```

- *Type:* string

---

##### `liveSpan`<sup>Required</sup> <a name="liveSpan" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.liveSpan"></a>

```typescript
public readonly liveSpan: string;
```

- *Type:* string

---

##### `tags`<sup>Required</sup> <a name="tags" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.tags"></a>

```typescript
public readonly tags: string[];
```

- *Type:* string[]

---

##### `title`<sup>Required</sup> <a name="title" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.title"></a>

```typescript
public readonly title: string;
```

- *Type:* string

---

##### `titleAlign`<sup>Required</sup> <a name="titleAlign" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleAlign"></a>

```typescript
public readonly titleAlign: string;
```

- *Type:* string

---

##### `titleSize`<sup>Required</sup> <a name="titleSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.titleSize"></a>

```typescript
public readonly titleSize: string;
```

- *Type:* string

---

##### `internalValue`<sup>Optional</sup> <a name="internalValue" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinitionOutputReference.property.internalValue"></a>

```typescript
public readonly internalValue: DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition;
```

- *Type:* <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition">DashboardWidgetGroupDefinitionWidgetCheckStatusDefinition</a>

---


### DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference <a name="DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.Initializer"></a>

```typescript
import { dashboard } from '@cdktf/provider-datadog'

new dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference(terraformResource: IInterpolatingParent, terraformAttribute: string)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource">terraformResource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute">terraformAttribute</a></code> | <code>string</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraformResource`<sup>Required</sup> <a name="terraformResource" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* string

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.computeFqn">computeFqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getAnyMapAttribute">getAnyMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanAttribute">getBooleanAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute">getBooleanMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getListAttribute">getListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberAttribute">getNumberAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberListAttribute">getNumberListAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberMapAttribute">getNumberMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringAttribute">getStringAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringMapAttribute">getStringMapAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.interpolationForAttribute">interpolationForAttribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.toString">toString</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.putRequest">putRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetLegendSize">resetLegendSize</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetLiveSpan">resetLiveSpan</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetRequest">resetRequest</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetShowLegend">resetShowLegend</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetTitle">resetTitle</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetTitleAlign">resetTitleAlign</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetTitleSize">resetTitleSize</a></code> | *No description.* |

---

##### `computeFqn` <a name="computeFqn" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.computeFqn"></a>

```typescript
public computeFqn(): string
```

##### `getAnyMapAttribute` <a name="getAnyMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getAnyMapAttribute"></a>

```typescript
public getAnyMapAttribute(terraformAttribute: string): {[ key: string ]: any}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanAttribute` <a name="getBooleanAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanAttribute"></a>

```typescript
public getBooleanAttribute(terraformAttribute: string): IResolvable
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getBooleanMapAttribute` <a name="getBooleanMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute"></a>

```typescript
public getBooleanMapAttribute(terraformAttribute: string): {[ key: string ]: boolean}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getListAttribute` <a name="getListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getListAttribute"></a>

```typescript
public getListAttribute(terraformAttribute: string): string[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberAttribute` <a name="getNumberAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberAttribute"></a>

```typescript
public getNumberAttribute(terraformAttribute: string): number
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberListAttribute` <a name="getNumberListAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberListAttribute"></a>

```typescript
public getNumberListAttribute(terraformAttribute: string): number[]
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getNumberMapAttribute` <a name="getNumberMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberMapAttribute"></a>

```typescript
public getNumberMapAttribute(terraformAttribute: string): {[ key: string ]: number}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringAttribute` <a name="getStringAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringAttribute"></a>

```typescript
public getStringAttribute(terraformAttribute: string): string
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `getStringMapAttribute` <a name="getStringMapAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringMapAttribute"></a>

```typescript
public getStringMapAttribute(terraformAttribute: string): {[ key: string ]: string}
```

###### `terraformAttribute`<sup>Required</sup> <a name="terraformAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* string

---

##### `interpolationForAttribute` <a name="interpolationForAttribute" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.interpolationForAttribute"></a>

```typescript
public interpolationForAttribute(property: string): IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* string

---

##### `resolve` <a name="resolve" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resolve"></a>

```typescript
public resolve(_context: IResolveContext): any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `toString` <a name="toString" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.toString"></a>

```typescript
public toString(): string
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `putRequest` <a name="putRequest" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.putRequest"></a>

```typescript
public putRequest(value: IResolvable | DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest[]): void
```

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.putRequest.parameter.value"></a>

- *Type:* cdktf.IResolvable | <a href="#@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest">DashboardWidgetGroupDefinitionWidgetDistributionDefinitionRequest</a>[]

---

##### `resetLegendSize` <a name="resetLegendSize" id="@cdktf/provider-datadog.dashboard.DashboardWidgetGroupDefinitionWidgetDistributionDefinitionOutputReference.resetLegendSize"></a>

```typescript
public resetLegendSize(): void
```
